import "../src/styles/global.css";

import {
  INITIAL_VIEWPORTS,
  MINIMAL_VIEWPORTS,
} from "@storybook/addon-viewport";
import type { Preview } from "@storybook/react";
import { themes } from "@storybook/theming";

const preview: Preview = {
  parameters: {
    actions: { argTypesRegex: "^on[A-Z].*" },
    controls: {
      matchers: {
        color: /(background|color)$/i,
        date: /Date$/,
      },
      viewport: {
        viewports: {
          ...INITIAL_VIEWPORTS,
          ...MINIMAL_VIEWPORTS,
        },
      },
    },
    docs: {
      theme: themes.light,
      story: { inline: true, excludeDecorators: true },
    },
  },
};

export default preview;
