/* eslint-disable import/no-extraneous-dependencies, import/extensions */
const withBundleAnalyzer = require("@next/bundle-analyzer");

const bundleAnalyzer = withBundleAnalyzer({
  enabled: process.env.ANALYZE === "true",
});

/** @type {import('next').NextConfig} */

const nextConfig = {
  eslint: {
    dirs: ["./src"],
    ignoreDuringBuilds: true,
  },
  experimental: {
    serverActions: true,
  },
  typescript: {
    ignoreBuildErrors: true,
  },
  poweredByHeader: false,
  reactStrictMode: false,
  images: {
    domains: [
      "gordiosdatatest.blob.core.windows.net",
      "cdng.jollytur.com",
      "concorecdn.jollytur.com",
      "seeklogo.com",
      "media.dev.paximum.com",
      "cdn.smyrooms.com",
    ],
  },
  async rewrites() {
    return [
      {
        source: "/health/live",
        destination: "/api/health/live",
      },
      {
        source: "/health/startup",
        destination: "/api/health/startup",
      },
    ];
  },
};

module.exports = bundleAnalyzer(nextConfig);
