export interface StrategyRunnerRequest<T> {
  Code: string;
  RequestInput: RequestInput<T>;
}

interface RequestInput<T> {
  Parameters: T;
}

export interface IStrategyRunnerResponse<T> {
  success: boolean;
  result: StrategyRunnerResponseResult<T>;
}

interface StrategyRunnerResponseResult<T> {
  serviceResponse: IServiceResponse<T>;
  code: string;
  outputData?: any;
  type: number;
  name: string;
  status: number;
}
export interface IServiceResponse<T> {
  success: boolean;
  result: T;
  errors: IServiceResponseError[];
  informations?: IServiceResponseInformations[];
}

export interface IServiceResponseError {
  code?: any;
  innerExceptionDetail?: any;
  exceptionDetail?: any;
  message: string;
  source: number;
}

export interface IServiceResponseInformations {
  code?: string;
  message?: string;
  source?: number;
}
