/* eslint-disable jsx-a11y/control-has-associated-label */
/* eslint-disable @next/next/no-img-element */
/* eslint-disable jsx-a11y/alt-text */
/* eslint-disable jsx-a11y/anchor-is-valid */
/* eslint-disable @next/next/no-page-custom-font */
/* eslint-disable jsx-a11y/label-has-associated-control */
import dayjs from "dayjs";
import Head from "next/head";

import { Preload } from "@/server/preload/preload";

const destinationList = [
  {
    key: "ADA",
    destinationId: 38115,
    destination: "Adana",
  },
  {
    key: "ADF",
    destinationId: 38116,
    destination: "Adıyaman",
  },
  {
    key: "MZH",
    destinationId: 38118,
    destination: "Amasya",
  },
  {
    key: "AJI",
    destinationId: 38119,
    destination: "Ağrı",
  },
  {
    key: "ESB",
    destinationId: 38123,
    destination: "Ankara",
  },
  {
    key: "ANK",
    destinationId: 38123,
    destination: "Ankara",
  },
  {
    key: "AYT",
    destinationId: 38140,
    destination: "Antalya",
  },
  {
    key: "GZP",
    destinationId: 38140,
    destination: "Antalya",
  },
  {
    key: "XHQ",
    destinationId: 38182,
    destination: "Artvin",
  },
  {
    key: "BDM",
    destinationId: 38184,
    destination: "Balıkesir",
  },
  {
    key: "EDO",
    destinationId: 38184,
    destination: "Balıkesir",
  },
  {
    key: "BZI",
    destinationId: 38184,
    destination: "Balıkesir",
  },
  {
    key: "BAL",
    destinationId: 38187,
    destination: "Batman",
  },
  {
    key: "BGG",
    destinationId: 38187,
    destination: "Bingöl",
  },
  {
    key: "YEI",
    destinationId: 38258,
    destination: "Bursa",
  },
  {
    key: "CKZ",
    destinationId: 38259,
    destination: "Çanakkale",
  },
  {
    key: "GKD",
    destinationId: 38259,
    destination: "Çanakkale",
  },
  {
    key: "DNZ",
    destinationId: 38262,
    destination: "Denizli",
  },
  {
    key: "DIY",
    destinationId: 38263,
    destination: "Diyarbakır",
  },
  {
    key: "EZS",
    destinationId: 38270,
    destination: "Elazığ",
  },
  {
    key: "ERC",
    destinationId: 38272,
    destination: "Erzincan",
  },
  {
    key: "ERZ",
    destinationId: 38273,
    destination: "Erzurum",
  },
  {
    key: "AOE",
    destinationId: 38274,
    destination: "Eskişehir",
  },
  {
    key: "ESK",
    destinationId: 38274,
    destination: "Eskişehir",
  },
  {
    key: "GZT",
    destinationId: 38276,
    destination: "Gaziantep",
  },
  {
    key: "YKO",
    destinationId: 38266,
    destination: "Hakkari",
  },
  {
    key: "HTY",
    destinationId: 38281,
    destination: "Hatay",
  },
  {
    key: "IGD",
    destinationId: 38283,
    destination: "Iğdır",
  },
  {
    key: "ISE",
    destinationId: 38285,
    destination: "Isparta",
  },
  {
    key: "IST",
    destinationId: 38286,
    destination: "İstanbul",
  },
  {
    key: "SAW",
    destinationId: 38286,
    destination: "İstanbul",
  },
  {
    key: "ADB",
    destinationId: 38341,
    destination: "İzmir",
  },
  {
    key: "IGL",
    destinationId: 38341,
    destination: "İzmir",
  },
  {
    key: "KCM",
    destinationId: 38345,
    destination: "Kahramanmaraş",
  },
  {
    key: "KSY",
    destinationId: 38348,
    destination: "Kars",
  },
  {
    key: "KFS",
    destinationId: 38349,
    destination: "Kastomonu",
  },
  {
    key: "ASR",
    destinationId: 38350,
    destination: "Kayseri",
  },
  {
    key: "KCO",
    destinationId: 38357,
    destination: "Kocaeli",
  },
  {
    key: "KYA",
    destinationId: 38358,
    destination: "Konya",
  },
  {
    key: "KZR",
    destinationId: 38359,
    destination: "Kütahya",
  },
  {
    key: "MLX",
    destinationId: 38360,
    destination: "Malatya",
  },
  {
    key: "MQM",
    destinationId: 38362,
    destination: "Mardin",
  },
  {
    key: "BJV",
    destinationId: 38365,
    destination: "Muğla",
  },
  {
    key: "DLM",
    destinationId: 38365,
    destination: "Muğla",
  },
  {
    key: "MSR",
    destinationId: 38369,
    destination: "Muş",
  },
  {
    key: "NAV",
    destinationId: 38370,
    destination: "Nevşehir",
  },
  {
    key: "OGU",
    destinationId: 38372,
    destination: "Ordu",
  },
  {
    key: "SSX",
    destinationId: 38376,
    destination: "Samsun",
  },
  {
    key: "SZF",
    destinationId: 38376,
    destination: "Samsun",
  },
  {
    key: "GNY",
    destinationId: 38377,
    destination: "Şanlıurfa",
  },
  {
    key: "SFQ",
    destinationId: 38377,
    destination: "Şanlıurfa",
  },
  {
    key: "SXZ",
    destinationId: 38378,
    destination: "Siirt",
  },
  {
    key: "SIC",
    destinationId: 38379,
    destination: "Sinop",
  },
  {
    key: "NOP",
    destinationId: 38379,
    destination: "Sinop",
  },
  {
    key: "NKT",
    destinationId: 38380,
    destination: "Şırnak",
  },
  {
    key: "VAS",
    destinationId: 38381,
    destination: "Sivas",
  },
  {
    key: "TEQ",
    destinationId: 38382,
    destination: "Tekirdağ",
  },
  {
    key: "TJK",
    destinationId: 38385,
    destination: "Tokat",
  },
  {
    key: "TZX",
    destinationId: 38386,
    destination: "Trabzon",
  },
  {
    key: "USQ",
    destinationId: 38388,
    destination: "Uşak",
  },
  {
    key: "VAN",
    destinationId: 38389,
    destination: "Van",
  },
  {
    key: "ONQ",
    destinationId: 38392,
    destination: "Zonguldak",
  },
  {
    key: "RZV",
    destinationId: 38374,
    destination: "Rize",
  },
];
const globalisationText = [
  {
    key: "en",
    title:
      "Book your hotel through our partner, Jolly, and earn 2 miles for every €1 spent.",
    destinationLabel: "Where are you going?",
    checkinLabel: "Check-in",
    checkoutLabel: "Check-out",
    buttonText: "Search",
  },
  {
    key: "tr",
    title:
      "Otel rezervasyonunuzu anlaşmalı olduğumuz Jolly üzerinden yapın, harcadığınız her 1€ için 2 mil kazanın.",
    destinationLabel: "Nereye gidiyorsunuz?",
    checkinLabel: "Giriş Tarihi",
    checkoutLabel: "Çıkış Tarihi",
    buttonText: "Ara",
  },
  {
    key: "de",
    title:
      "Buchen Sie Ihr Hotel über unseren Partner Jolly und sammeln Sie 2 Meilen für jeden ausgegebenen Euro.",
    destinationLabel: "Wohin geht ihr?",
    checkinLabel: "Einreisedatum",
    checkoutLabel: "Veröffentlichungsdatum",
    buttonText: "Suchen",
  },
  {
    key: "pt-br",
    title:
      "Reserve o seu hotel através do nosso parceiro, Jolly, e ganhe 2 milhas para cada € gasto.",
    destinationLabel: "Where are you going?",
    checkinLabel: "Check-in",
    checkoutLabel: "Check-out",
    buttonText: "Search",
  },
  {
    key: "fr",
    title:
      "Réservez votre hôtel par l’intermédiaire de notre partenaire, Jolly, et gagnez 2 Miles pour chaque euro dépensé.",
    destinationLabel: "Where are you going?",
    checkinLabel: "Check-in",
    checkoutLabel: "Check-out",
    buttonText: "Search",
  },
  {
    key: "es",
    title:
      "Reserve su hotel a través de nuestro socio, Jolly, y gane 2 millas por cada 1 € gastado.",
    destinationLabel: "Where are you going?",
    checkinLabel: "Check-in",
    checkoutLabel: "Check-out",
    buttonText: "Search",
  },
  {
    key: "it",
    title:
      "Prenota l'hotel tramite il nostro partner, Jolly, e guadagna 2 Miglia per ogni € speso.",
    destinationLabel: "Where are you going?",
    checkinLabel: "Check-in",
    checkoutLabel: "Check-out",
    buttonText: "Search",
  },
  {
    key: "ja-jp",
    title:
      "弊社のパートナーであるJollyでホテルを予約すると、1ユーロごとに2マイルを獲得できます。",
    destinationLabel: "Where are you going?",
    checkinLabel: "Check-in",
    checkoutLabel: "Check-out",
    buttonText: "Search",
  },
  {
    key: "ko-kr",
    title: "파트너인 Jolly를 통해 호텔을 예약하고 €1당 2마일을 적립하세요.",
    destinationLabel: "Where are you going?",
    checkinLabel: "Check-in",
    checkoutLabel: "Check-out",
    buttonText: "Search",
  },
  {
    key: "pt-pt",
    title:
      "Reserve o seu hotel através do nosso parceiro, Jolly, e ganhe 2 milhas para cada € gasto.",
    destinationLabel: "Where are you going?",
    checkinLabel: "Check-in",
    checkoutLabel: "Check-out",
    buttonText: "Search",
  },
  {
    key: "ru",
    title:
      "Забронируйте отель с помощью нашего партнера, Jolly, и зарабатывайте 2 мили за каждый потраченный евро.",
    destinationLabel: "Where are you going?",
    checkinLabel: "Check-in",
    checkoutLabel: "Check-out",
    buttonText: "Search",
  },
  {
    key: "th",
    title:
      "จองโรงแรมของคุณผ่านพาร์ทเนอร์ของเรา Jolly และรับ 2 ไมล์สำหรับทุกๆ €1 ที่ใช้ไป",
    destinationLabel: "Where are you going?",
    checkinLabel: "Check-in",
    checkoutLabel: "Check-out",
    buttonText: "Search",
  },
  {
    key: "uk-ua",
    title:
      "Забронюйте готель за через нашого партнера Jolly й заробляйте 2 милі за кожне витрачене євро.",
    destinationLabel: "Where are you going?",
    checkinLabel: "Check-in",
    checkoutLabel: "Check-out",
    buttonText: "Search",
  },
  {
    key: "ar",
    title: "واكسبميلينمقابلكليوروتنفقه Jolly احجزفندقكمنخلالشريكنا",
    destinationLabel: "Where are you going?",
    checkinLabel: "Check-in",
    checkoutLabel: "Check-out",
    buttonText: "Search",
  },
  {
    key: "zh-cn",
    title: "通过我们的合作伙伴 Jolly 预订酒店，每消费 1 欧元即可赚取 2 里程。",
    destinationLabel: "Where are you going?",
    checkinLabel: "Check-in",
    checkoutLabel: "Check-out",
    buttonText: "Search",
  },
  {
    key: "zh-tw",
    title: "通过我们的合作伙伴 Jolly 预订酒店，每消费 1 欧元即可赚取 2 里程。",
    destinationLabel: "Where are you going?",
    checkinLabel: "Check-in",
    checkoutLabel: "Check-out",
    buttonText: "Search",
  },
];

interface PageWithSlugProps {
  searchParams: {
    originCode: string;
    destinationCode: string;
    originId: string;
    destinationId: string;
    checkinDate: string;
    checkoutDate: string;
    rooms: string;
    trf_src: string;
    lng: string;
    cur: string;
  };
}

export default async function ThySuccessIframe(props: PageWithSlugProps) {
  const baseUrl = await Preload.getBaseUrl();

  const globalisation = globalisationText.find(
    ({ key }) => key === props.searchParams.lng,
  );

  const destination = destinationList.find(
    ({ key }) => key === props.searchParams.destinationCode,
  );
  const destinationValue = destination?.destination;
  const checkinDate = dayjs(props.searchParams.checkinDate).format(
    "DD/MM/YYYY",
  );
  const checkoutDate = dayjs(props.searchParams.checkoutDate).format(
    "DD/MM/YYYY",
  );
  const imageUrl = `https://gordiosdata.blob.core.windows.net/files/eva/images/cities/${props.searchParams.destinationCode}.jpg`;

  return (
    <>
      <Head>
        <meta name="robots" content="noindex,nofollow" />
        <link rel="preconnect" href="https://fonts.googleapis.com" />
        <link rel="preconnect" href="https://fonts.gstatic.com" />
        <link
          href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap"
          rel="stylesheet"
        />
      </Head>
      <div
        style={{
          display: "flex",
          flexDirection: "column",
          height: "500px",
          fontFamily: "Roboto, sans-serif",
        }}
      >
        <p
          style={{
            textAlign: "center",
            margin: "10px 10px",
            fontWeight: "bold",
            fontSize: "15px",
          }}
        >
          {globalisation?.title}
        </p>
        <a
          target="_blank"
          href={`${baseUrl.origin}/hotel-list?originCode=${props.searchParams.originCode}&destination=${destinationValue}&destinationType=4&destinationId=${
            destination?.destinationId
          }&destinationTypeName=Destination&checkinDate=${props.searchParams.checkinDate}&checkoutDate=${props.searchParams.checkoutDate}&rooms=${props.searchParams.rooms}&trf_src=${props.searchParams.trf_src}&lng=${props.searchParams.lng}&cur=${props.searchParams.cur}`}
          style={{ cursor: "pointer" }}
        >
          <figure style={{ position: "relative", margin: " 0 0 16px" }}>
            <img style={{ height: "200px", width: "100%" }} src={imageUrl} />
          </figure>
        </a>
        <div style={{ padding: "8px" }}>
          <label
            style={{
              position: "relative",
              top: "23px",
              color: "#2073E3",
              fontFamily: "sans-serif",
              left: "8px",
              fontSize: "14px",
            }}
          >
            {globalisation?.destinationLabel}
          </label>
          <input
            style={{
              border: "1px solid  #DCDCDC",
              backgroundColor: "#FFF",
              width: "calc(100% - 16px)",
              borderRadius: "4px",
              height: "30px",
              padding: "19px 8px 0px",
              color: "#232b38",
              fontSize: "14px",
              fontWeight: 800,
            }}
            value={destinationValue}
            disabled
          />
        </div>
        <div style={{ display: "flex" }}>
          <div
            style={{
              position: "relative",
              width: "100%",
              padding: "0 8px 0 8px",
            }}
          >
            <label
              style={{
                position: "relative",
                top: "23px",
                color: "#2073E3",
                fontFamily: "sans-serif",
                left: "8px",
                fontSize: "14px",
              }}
            >
              {globalisation?.checkinLabel}
            </label>
            <input
              style={{
                border: "1px solid  #DCDCDC",
                backgroundColor: "#FFF",
                width: "calc(100% - 16px)",
                borderRadius: "4px",
                height: "30px",
                padding: "19px 8px 0px",
                color: "#232b38",
                fontSize: "14px",
                fontWeight: 800,
              }}
              value={checkinDate}
              disabled
            />
            <svg
              style={{ position: "absolute", right: "14px", top: "23px" }}
              height="24"
              xmlns="http://www.w3.org/2000/svg"
              viewBox="0 0 448 512"
            >
              <path d="M152 64H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H104V24C104 10.75 114.7 0 128 0C141.3 0 152 10.75 152 24V64zM48 248H128V192H48V248zM48 296V360H128V296H48zM176 296V360H272V296H176zM320 296V360H400V296H320zM400 192H320V248H400V192zM400 408H320V464H384C392.8 464 400 456.8 400 448V408zM272 408H176V464H272V408zM128 408H48V448C48 456.8 55.16 464 64 464H128V408zM272 192H176V248H272V192z" />
            </svg>
          </div>
          <div
            style={{
              position: "relative",
              width: "100%",
              padding: "0 8px 0 8px",
            }}
          >
            <label
              style={{
                position: "relative",
                top: "23px",
                color: "#2073E3",
                fontFamily: "sans-serif",
                left: "8px",
                fontSize: "14px",
              }}
            >
              {globalisation?.checkoutLabel}
            </label>
            <input
              style={{
                border: "1px solid  #DCDCDC",
                backgroundColor: "#FFF",
                width: "calc(100% - 16px)",
                borderRadius: "4px",
                height: "30px",
                padding: "19px 8px 0px",
                color: "#232b38",
                fontSize: "14px",
                fontWeight: 800,
              }}
              value={checkoutDate}
              disabled
            />
            <svg
              style={{ position: "absolute", right: "14px", top: "23px" }}
              height="24"
              xmlns="http://www.w3.org/2000/svg"
              viewBox="0 0 448 512"
            >
              <path
                stroke="#DCDCDC"
                d="M152 64H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H104V24C104 10.75 114.7 0 128 0C141.3 0 152 10.75 152 24V64zM48 248H128V192H48V248zM48 296V360H128V296H48zM176 296V360H272V296H176zM320 296V360H400V296H320zM400 192H320V248H400V192zM400 408H320V464H384C392.8 464 400 456.8 400 448V408zM272 408H176V464H272V408zM128 408H48V448C48 456.8 55.16 464 64 464H128V408zM272 192H176V248H272V192z"
              />
            </svg>
          </div>
        </div>

        <a
          style={{
            backgroundColor: "rgb(232,25,50)",
            color: "white",
            cursor: "pointer",
            fontWeight: "bold",
            padding: "13px",
            border: "none",
            margin: "16px 8px",
            textDecoration: "none",
            textAlign: "center",
          }}
          href={`${baseUrl.origin}/hotel-list?originCode=${props.searchParams.originCode}&destination=${destinationValue}&destinationType=4&destinationId=${
            destination?.destinationId
          }&destinationTypeName=Destination&checkinDate=${props.searchParams.checkinDate}&checkoutDate=${props.searchParams.checkoutDate}&rooms=${props.searchParams.rooms}&trf_src=${props.searchParams.trf_src}&lng=${props.searchParams.lng}&cur=${props.searchParams.cur}`}
          target="_blank"
        >
          {globalisation?.buttonText}
        </a>
      </div>
    </>
  );
}
