"use client";

import { useSearchParams } from "next/navigation";

import { useAuth } from "@/features/auth/hooks/use-auth";
import BookingRequestHotelChangeDataView from "@/features/booking-request-change/booking-request-hotel-change/booking-request-hotel-change-data-view";
import { Main } from "@/templates/Main";

const BookingRequestHotelChange = () => {
  const { isAuthenticated } = useAuth();

  const searchParams = useSearchParams();

  const pageId = searchParams.get("id") || 0;

  return (
    <Main>
      {isAuthenticated && <BookingRequestHotelChangeDataView pageId={pageId} />}
    </Main>
  );
};

export default BookingRequestHotelChange;
