"use client";

import dynamic from "next/dynamic";
import { useSearchParams } from "next/navigation";

import Container from "@/components/shared/container";
import { useAuth } from "@/features/auth/hooks/use-auth";

const BookingRequestSuccess = dynamic(
  () =>
    import(
      "@/features/success/booking-request-success/booking-request-success"
    ),
  {
    ssr: false,
    loading: () => <div />,
  },
);

export default function HotelSuccessPage() {
  const searchParams = useSearchParams();
  const { isAuthenticated } = useAuth();
  return (
    <Container className="max-w-[688px] px-4 pt-4 md:px-5 md:pt-6">
      {isAuthenticated && (
        <BookingRequestSuccess
          bookingRequestId={searchParams.get("bookingId") as string}
          withoutApprove={searchParams.get("withoutApprove") === "true"}
        />
      )}
    </Container>
  );
}
