"use client";

import dynamic from "next/dynamic";

import { useAuth } from "@/features/auth/hooks/use-auth";
import { Main } from "@/templates/Main";

const BookingRequestList = dynamic(
  () =>
    import(
      "@/features/booking-request/components/booking-request-list/booking-request-list"
    ),
  {
    ssr: false,
  },
);

export default function DemandPage() {
  const { isAuthenticated } = useAuth();

  return <Main>{isAuthenticated && <BookingRequestList />}</Main>;
}
