"use client";

import Container from "@/components/shared/container";
import ContentAside from "@/components/widget/content/content-aside/content-aside";
import { useLocale } from "@/hooks/useLocale";
import { Main } from "@/templates/Main";

export default function ContentPage({
  children,
}: {
  children: React.ReactNode;
}) {
  const { t } = useLocale();
  const buttons = [
    { label: t("About us"), url: "about" },
    { label: t("Communication"), url: "communation" },
    { label: t("Contracts"), url: "contracts/10" },
  ];

  return (
    <Main>
      <Container className="pt-6">
        <div className="flex gap-4">
          <div className="md:w-1/4">
            <ContentAside buttons={buttons} />
          </div>
          <div className="mb-[100px] md:w-3/4">{children}</div>
        </div>
      </Container>
    </Main>
  );
}
