"use client";

import dynamic from "next/dynamic";
import { Suspense, useEffect } from "react";

import ScrollToTop from "@/features/scroll-to-top/scroll-to-top";
import { ILoaderKeys } from "@/models/loader.model";
import { useLoaderStore } from "@/store/loader-store/use-loader-store";
import { Main } from "@/templates/Main";

const HotelDetailDataLazy = dynamic(
  () => import("@/features/hotel/components/hotel-detail/hotel-detail-data"),
);

export default function HotelListPage() {
  const { openLoader } = useLoaderStore();

  useEffect(() => {
    openLoader({
      key: ILoaderKeys.HotelDetailLoaderKey,
      open: true,
    });
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);

  return (
    <Main>
      <Suspense>
        <HotelDetailDataLazy />
      </Suspense>
      <ScrollToTop className="bottom-20" />
    </Main>
  );
}
