"use client";

import dynamic from "next/dynamic";
import { Suspense, useEffect } from "react";

import Container from "@/components/shared/container";
import HotelTravelPlanner from "@/features/modules/hotel/travel-planner/components/hotel-travel-planner";
import ScrollToTop from "@/features/scroll-to-top/scroll-to-top";
import { ILoaderKeys } from "@/models/loader.model";
import { useLoaderStore } from "@/store/loader-store/use-loader-store";
import { Main } from "@/templates/Main";

const HotelListLazy = dynamic(
  () => import("@/features/hotel/components/hotel-list/hotel-list"),
);

export default function HotelListPage() {
  const { openLoader } = useLoaderStore();
  useEffect(() => {
    openLoader({
      key: ILoaderKeys.HotelDetailLoaderKey,
      open: true,
    });
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);

  return (
    <Main>
      <Container>
        <div className="flex flex-col gap-4  pt-8">
          {/* <TravelPlannerForm hideShadow defaultValues={defaultValues} /> */}
          <HotelTravelPlanner hideShadow isCollapsible />
          <Suspense>
            <HotelListLazy />
          </Suspense>
        </div>
      </Container>
      <ScrollToTop />
    </Main>
  );
}
