"use client";

import { useSearchParams } from "next/navigation";

import Container from "@/components/shared/container";
import { useAuth } from "@/features/auth/hooks/use-auth";
import RentACarRequestDetail from "@/features/demand/components/demand-detail/rent-a-car-request-detail";
import { Main } from "@/templates/Main";

export default function DemandDetailPage() {
  const { isAuthenticated } = useAuth();

  const searchParams = useSearchParams();

  const pageId = searchParams.get("id") || 0;

  return (
    <Main>
      <Container>
        {isAuthenticated && <RentACarRequestDetail id={+pageId} />}
      </Container>
    </Main>
  );
}
