"use client";

import { lazy, Suspense, useEffect } from "react";

import { ILoaderKeys } from "@/models/loader.model";
import { useLoaderStore } from "@/store/loader-store/use-loader-store";

const RentACarSummaryLazy = lazy(
  () => import("@/features/modules/rent-a-car/summary/rent-a-car-summary"),
);

export default function Page() {
  const { openLoader } = useLoaderStore();

  useEffect(() => {
    openLoader({
      key: ILoaderKeys.SummaryLoaderKey,
      open: true,
    });
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);

  return (
    <Suspense>
      <RentACarSummaryLazy />
    </Suspense>
  );
}
