/* eslint-disable react-hooks/exhaustive-deps */

"use client";

import { lazy, Suspense, useEffect } from "react";

import Container from "@/components/shared/container";
import TourTravelPlanner from "@/features/modules/tour/travel-planner/components/tour-travel-planner";
import ScrollToTop from "@/features/scroll-to-top/scroll-to-top";
import { ILoaderKeys } from "@/models/loader.model";
import { useLoaderStore } from "@/store/loader-store/use-loader-store";

const TourListContainerLazy = lazy(
  () => import("@/features/modules/tour/list/components/tour-list-container"),
);

export default function Page() {
  const { openLoader } = useLoaderStore();

  useEffect(() => {
    openLoader({
      key: ILoaderKeys.ListingLoaderKey,
      open: true,
    });
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);

  return (
    <Container>
      <div className="flex flex-col gap-8  py-8">
        <TourTravelPlanner />
        <Suspense>
          <TourListContainerLazy />
        </Suspense>
      </div>
      <ScrollToTop />
    </Container>
  );
}
