"use client";

import { lazy, Suspense, useEffect } from "react";

import { ILoaderKeys } from "@/models/loader.model";
import { useLoaderStore } from "@/store/loader-store/use-loader-store";

const TourSummaryLazy = lazy(
  () => import("@/features/modules/tour/summary/components/tour-summary"),
);

export default function Page() {
  const { openLoader } = useLoaderStore();

  useEffect(() => {
    openLoader({
      key: ILoaderKeys.SummaryLoaderKey,
      open: true,
    });
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);

  return (
    <Suspense>
      <TourSummaryLazy />
    </Suspense>
  );
}
