"use client";

import dynamic from "next/dynamic";
import { Suspense, useEffect } from "react";

import Container from "@/components/shared/container";
import TransferTravelPlanner from "@/features/modules/transfer/travel-planner/components/transfer-travel-planner";
import ScrollToTop from "@/features/scroll-to-top/scroll-to-top";
import { ILoaderKeys } from "@/models/loader.model";
import { useLoaderStore } from "@/store/loader-store/use-loader-store";

const TransferListLazy = dynamic(
  () => import("@/features/modules/transfer/list/components/transfer-list"),
);

export default function Page() {
  const { openLoader } = useLoaderStore();

  useEffect(() => {
    openLoader({
      key: ILoaderKeys.HotelDetailLoaderKey,
      open: true,
    });
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);

  return (
    <Container>
      <div className="flex flex-col gap-8  py-8">
        <TransferTravelPlanner />
        <Suspense>
          <TransferListLazy />
        </Suspense>
      </div>
      <ScrollToTop />
    </Container>
  );
}
