"use client";

import { lazy, Suspense, useEffect } from "react";

import { ILoaderKeys } from "@/models/loader.model";
import { useLoaderStore } from "@/store/loader-store/use-loader-store";

const TransferSummaryLazy = lazy(
  () =>
    import("@/features/modules/transfer/summary/components/transfer-summary"),
);

export default function TransferSummmaryPage() {
  const { openLoader } = useLoaderStore();

  useEffect(() => {
    openLoader({
      key: ILoaderKeys.HotelDetailLoaderKey,
      open: true,
    });
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);

  return (
    <Suspense>
      <TransferSummaryLazy />
    </Suspense>
  );
}
