import axios from "axios";
import { NextResponse } from "next/server";

export async function POST() {
  const body = {
    grant_type: "client_credentials",
    client_id: "test_client",
    client_secret: process.env.CLIENT_SECRET,
    scope: "client_scope",
    referer: process.env.NEXT_PUBLIC_BASE_URL,
  };

  try {
    const response = await axios.post(
      `${process.env.NEXT_PUBLIC_WL_AUTH_URL}/connect/token`,
      body,
      {
        headers: {
          "Content-Type": "application/x-www-form-urlencoded",
          Accept: "*/*",
          Referer: process.env.NEXT_PUBLIC_BASE_URL,
        },
      },
    );

    return NextResponse.json(response.data, { status: 200 });
  } catch (error) {
    return NextResponse.json({}, { status: 400 });
  }
}
