import { ClientDataService } from "@/server/services/client-data.services";

export async function POST(request: Request) {
  const { url } = await request.json();

  if (!url || !url.startsWith("http")) {
    return Response.json({ message: "invalid url" }, { status: 400 });
  }

  try {
    await ClientDataService.deleteClientData(url);
    return new Response(undefined, { status: 204 });
  } catch (error) {
    return Response.json({ status: 500 });
  }
}
