import { cn } from "@/libs/utils";

export interface GearProps {
  color?: "black" | "gray";
}
export default function Gear({ color = "black" }: GearProps) {
  return (
    <svg
      width="10"
      height="14"
      viewBox="0 0 10 14"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M5 13.9668L5 1.9668"
        className={cn(
          color === "black" ? "stroke-gray-800" : "stroke-gray-500",
        )}
      />
      <path
        d="M1 0.966797L1 7.9668H9"
        className={cn(
          color === "black" ? "stroke-gray-800" : "stroke-gray-500",
        )}
      />
      <path
        d="M9 13.6333L9 1.6333"
        className={cn(
          color === "black" ? "stroke-gray-800" : "stroke-gray-500",
        )}
      />
      <rect
        x="8"
        y="12.9668"
        width="2"
        height="1"
        className={cn(color === "black" ? "fill-gray-800" : "fill-gray-500")}
      />
      <rect
        x="4"
        y="12.9668"
        width="2"
        height="1"
        className={cn(color === "black" ? "fill-gray-800" : "fill-gray-500")}
      />
      <rect
        x="8"
        y="0.966797"
        width="2"
        height="1"
        className={cn(color === "black" ? "fill-gray-800" : "fill-gray-500")}
      />
      <rect
        y="0.966797"
        width="2"
        height="1"
        className={cn(color === "black" ? "fill-gray-800" : "fill-gray-500")}
      />
      <rect
        x="4"
        y="0.966797"
        width="2"
        height="1"
        className={cn(color === "black" ? "fill-gray-800" : "fill-gray-500")}
      />
    </svg>
  );
}
