import type { InputProps } from "@/components/ui/input/input";
import MaskedInput from "@/components/ui/masked-input/masked-input";

import type { FormItemProps } from "../../form-item";
import FormItem from "../../form-item";

interface FormFlightNoInputProps
  extends FormItemProps,
    Omit<InputProps, "name" | "onChange"> {}

const FormFlightNoInput = ({
  name,
  rules,
  ...props
}: FormFlightNoInputProps) => {
  return (
    <FormItem name={name} rules={rules}>
      {({ field, setValue }) => (
        <MaskedInput
          defaultValue={field.value}
          onChange={(value) => setValue(value)}
          mask="phoneWithCode"
          {...props}
        />
      )}
    </FormItem>
  );
};

export default FormFlightNoInput;
