import type { InputProps } from "@/components/ui/input/input";
import { Input } from "@/components/ui/input/input";

import type { FormItemProps } from "../../form-item";
import FormItem from "../../form-item";

interface FormMilesCodeInputProps
  extends FormItemProps,
    Omit<InputProps, "name"> {}

export const MilesCodeInput = (props: InputProps) => {
  return <Input {...props} />;
};

const FormMilesCodeInput = (props: FormMilesCodeInputProps) => {
  return (
    <FormItem name={props.name} rules={{ ...props.rules }}>
      {({ field, fieldState }) => (
        <MilesCodeInput
          {...props}
          {...field}
          errorMessage={fieldState.error?.message}
          isInvalid={Boolean(fieldState.error)}
        />
      )}
    </FormItem>
  );
};

export default FormMilesCodeInput;
