"use client";

import dynamic from "next/dynamic";

import { useNotifyStore } from "@/store/notify-store/use-notify-store";

const NotifyDialog = dynamic(() => import("./notify-dialog"), {
  ssr: false,
});

const NotifyDialogControl = () => {
  const { notifies } = useNotifyStore();

  if (!notifies.length) return null;

  return (
    <>
      {notifies.map((notify) => (
        <NotifyDialog notify={notify} key={notify.title} />
      ))}
    </>
  );
};

export default NotifyDialogControl;
