"use client";

import dynamic from "next/dynamic";

import { useApp } from "@/hooks/useApp";

const FlightTpPage = dynamic(
  () => import("@/features/tp-pages/flight-tp-page"),
  {
    ssr: false,
  },
);
const CmsWrapper = dynamic(() => import("@/features/cms/cms-wrapper"), {
  ssr: false,
});

export default function FlightPageContent() {
  const { isOtel, isB2E, isB2C } = useApp();
  return (
    <div>
      {(isOtel || isB2E) && <FlightTpPage />}
      {isB2C && <CmsWrapper />}
    </div>
  );
}
