"use client";

import dynamic from "next/dynamic";

import HotelWidget from "@/features/modules/hotel/hotel-widget/hotel-widget";
import { useApp } from "@/hooks/useApp";

const HotelTpPage = dynamic(() => import("@/features/tp-pages/hotel-tp-page"), {
  ssr: false,
});
const CmsWrapper = dynamic(() => import("@/features/cms/cms-wrapper"), {
  ssr: false,
});

export default function HotelPageContent() {
  const { isOtel, isB2E, isB2C } = useApp();
  return (
    <div>
      {isOtel && <HotelWidget />}
      {isB2E && <HotelTpPage />}
      {isB2C && <CmsWrapper />}
    </div>
  );
}
