"use client";

import dynamic from "next/dynamic";

import { useApp } from "@/hooks/useApp";

const TransferTravelPlanner = dynamic(
  () =>
    import(
      "@/features/modules/transfer/travel-planner/components/transfer-travel-planner"
    ),
  {
    ssr: false,
  },
);

const TravelPlannerBox = dynamic(
  () =>
    import(
      "@/features/travel-planner/components/travel-planner/travel-planner-box"
    ),
  {
    ssr: false,
  },
);

const CmsWrapper = dynamic(() => import("@/features/cms/cms-wrapper"), {
  ssr: false,
});

export default function TransferPageContent() {
  const { isOtel, isB2E, isB2C } = useApp();
  return (
    <div>
      {(isOtel || isB2E) && (
        <TravelPlannerBox>
          <TransferTravelPlanner />
        </TravelPlannerBox>
      )}
      {isB2C && <CmsWrapper />}
    </div>
  );
}
