import Link from "next/link";

import LIcon from "@/components/ui/lucid-icon/lucid-icon";

interface TinyHeaderProps {
  title: string;
  href?: string;
}

const TinyHeader = (props: TinyHeaderProps) => {
  return (
    <div className="inline-flex items-end gap-1 py-4">
      <Link href={props?.href || "javascript;"} className="cursor-pointer p-1">
        <LIcon name="X" size="20" />
      </Link>
      <h2 className="text-2xl font-semibold">{props.title}</h2>
    </div>
  );
};

export default TinyHeader;
