import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import {
  Accordion,
  AccordionContent,
  AccordionItem,
  AccordionTrigger,
} from "./accordion";

const meta = {
  title: "UI/Accordion",
  component: Accordion,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
} satisfies Meta<typeof Accordion>;

export default meta;

type Story = StoryObj<typeof Accordion>;

export const DefaultAccordion: Story = {
  render: () => (
    <Accordion type="single" collapsible>
      <AccordionItem value="item-1">
        <AccordionTrigger>Awesome Item 🖖</AccordionTrigger>
        <AccordionContent>
          Hi there! I`m the content of the awesome item. Nice to meet you! 🚀🚀
        </AccordionContent>
      </AccordionItem>
      <AccordionItem value="item-2">
        <AccordionTrigger>Awesome Item 🖖</AccordionTrigger>
        <AccordionContent>
          Hi there! I`m the content of the awesome item. Nice to meet you! 🚀
        </AccordionContent>
      </AccordionItem>
      <AccordionItem value="item-3">
        <AccordionTrigger>Awesome Item 🖖</AccordionTrigger>
        <AccordionContent>
          Hi there! I`m the content of the awesome item. Nice to meet you!🚀
        </AccordionContent>
      </AccordionItem>
      <AccordionItem value="item-4  ">
        <AccordionTrigger>Awesome Item 🖖</AccordionTrigger>
        <AccordionContent>
          Hi there! I`m the content of the awesome item. Nice to meet
          you!🚀🚀🚀🚀🚀
        </AccordionContent>
      </AccordionItem>
    </Accordion>
  ),
};
