import { cva } from "class-variance-authority";

import styles from "./badge.module.css";

const badgeVariants = cva(styles.badge, {
  variants: {
    variant: {
      default: styles.default,
      primary: styles.primary,
      error: styles.error,
      success: styles.success,
      warning: styles.warning,
      blueGray: styles.blueGray,
      blueLight: styles.blueLight,
      grayGreen: styles.grayGreen,
      blue: styles.blue,
      indigo: styles.indigo,
      violet: styles.violet,
      pink: styles.pink,
      rose: styles.rose,
      orange: styles.orange,
      secondary: styles.secondary,
      destructive: styles.destructive,
      outline: styles.outline,
    },
    size: {
      sm: styles.sm,
      md: styles.md,
      lg: styles.lg,
    },
  },
  defaultVariants: {
    variant: "default",
    size: "md",
  },
});

export default badgeVariants;
