import type { PropsWithChildren } from "react";
import React from "react";

import { cn } from "@/libs/utils";

interface CardProps extends PropsWithChildren {
  className?: string;
  id?: string;
  ref?: React.Ref<HTMLDivElement>;
}

const Card = (props: CardProps) => {
  return (
    <div
      ref={props.ref}
      className={cn(
        "rounded-primary bg-white border border-gray-200 shadow-sm p-4 scroll-mt-10",
        props.className,
      )}
      id={props.id}
    >
      {props.children}
    </div>
  );
};

export default Card;
