import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import { Checkbox } from "./checkbox";

const meta = {
  title: "UI/Checkbox",
  component: Checkbox,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
} satisfies Meta<typeof Checkbox>;

export default meta;

type Story = StoryObj<typeof Checkbox>;

export const DefaultCheckbox: Story = {
  args: {
    variant: "default",
    label: "Default Checkbox",
  },
};

export const PrimaryChecbox: Story = {
  args: {
    variant: "primary",
    label: "Primary Checbox",
  },
};

export const SuccessCheckbox: Story = {
  args: {
    variant: "success",
    label: "Success Checkbox",
  },
};

export const DangerCheckbox: Story = {
  args: {
    variant: "danger",
    label: "Danger Checkbox",
  },
};

export const SmCheckbox: Story = {
  args: {
    variant: "primary",
    size: "sm",
    labelTextSize: "sm",
    label: "Sm Checkbox",
  },
};

export const MdCheckbox: Story = {
  args: {
    variant: "primary",
    size: "md",
    labelTextSize: "md",
    label: "Md Checkbox",
  },
};

export const LgCheckbox: Story = {
  args: {
    variant: "primary",
    size: "lg",
    labelTextSize: "lg",
    label: "Lg Checkbox",
  },
};

export const XlCheckbox: Story = {
  args: {
    variant: "primary",
    size: "xl",
    labelTextSize: "xl",
    label: "Xl Checkbox",
  },
};

export const RoundedNoneCheckbox: Story = {
  args: {
    variant: "primary",
    rounded: "none",
    label: "RoundedNone Checkbox",
  },
};

export const RoundedSmCheckbox: Story = {
  args: {
    variant: "primary",
    rounded: "sm",
    label: "RoundedSm Checkbox",
  },
};

export const RoundedMdCheckbox: Story = {
  args: {
    variant: "primary",
    rounded: "md",
    label: "RoundedMd Checkbox",
  },
};

export const RoundedLgCheckbox: Story = {
  args: {
    variant: "primary",
    rounded: "lg",
    label: "RoundedLg Checkbox",
  },
};

export const RoundedXlCheckbox: Story = {
  args: {
    variant: "primary",
    rounded: "xl",
    label: "RoundedXl Checkbox",
  },
};
