import { cva } from "class-variance-authority";

import styles from "./checkbox.module.css";

export const checkboxVariants = cva(styles.checkbox, {
  variants: {
    variant: {
      default: styles.default,
      primary: styles.primary,
      success: styles.success,
      danger: styles.danger,
    },
    size: {
      sm: styles.sm,
      md: styles.md,
      lg: styles.lg,
      xl: styles.xl,
    },
    rounded: {
      none: styles.roundedNone,
      sm: styles.roundedSm,
      md: styles.roundedMd,
      lg: styles.roundedLg,
      xl: styles.roundedXl,
    },
  },
  defaultVariants: {
    variant: "default",
    size: "sm",
    rounded: "none",
  },
});

export const labelVariants = cva("cursor-pointer", {
  variants: {
    labelTextSize: {
      sm: "text-sm",
      md: "text-base",
      lg: "text-lg",
      xl: "text-xl",
    },
  },
  defaultVariants: {
    labelTextSize: "sm",
  },
});
