import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import CircleProgressBar from "./circle-progress-bar";

const meta = {
  title: "UI/CircleProgressBar",
  component: CircleProgressBar,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
  parameters: {
    componentSource: {
      code: 'export default "This is my code"',
      language: "typescript",
    },
  },
} satisfies Meta<typeof CircleProgressBar>;

export default meta;

type Story = StoryObj<typeof CircleProgressBar>;

export const DefaultCircleProgressBar: Story = {
  args: {
    activeIndex: 1,
    items: [
      {
        label: "Otel",
      },
      {
        label: "Oda",
      },
      {
        label: "Onay",
      },
    ],
    canGoNextStep: true,
    itemOnClick: () => {},
  },
};
