import type { Meta, StoryObj } from "@storybook/react";
import { Search } from "lucide-react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import { Input } from "./input";

const meta = {
  title: "UI/Input",
  component: Input,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
} satisfies Meta<typeof Input>;

export default meta;

type Story = StoryObj<typeof Input>;

export const DefaultInput: Story = {
  args: {
    placeholder: "E-Posta Adresi",
  },
};

export const FloatInput: Story = {
  args: {
    label: "E-Posta Adresi",
  },
};

export const FloatInputWithIcon: Story = {
  args: {
    label: "Seyahat Yeri",
    leftIcon: <Search />,
    size: "lg",
  },
};
