import type { Meta, StoryObj } from "@storybook/react";
import { MapPin } from "lucide-react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import ListTile from "./list-tile";

const meta = {
  title: "UI/ListTile",
  component: ListTile,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
} satisfies Meta<typeof ListTile>;

export default meta;

type Story = StoryObj<typeof ListTile>;

export const DefaultListTile: Story = {
  args: {
    leading: <MapPin />,
    title: "Antalya",
    subTitle: "Antalya, Türkiye",
    trailing: "Bölge",
    className: "w-[300px]",
  },
};

export const TitleListTile: Story = {
  args: {
    leading: <MapPin />,
    title: "Antalya",
    className: "w-[300px]",
  },
};
