import type { Meta, StoryObj } from "@storybook/react";
import { icons } from "lucide-react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import type { LIconProps } from "./lucid-icon";
import LIcon from "./lucid-icon";

const meta = {
  title: "UI/LucidIcon",
  component: LIcon,
  tags: ["autodocs"],
  args: {
    name: "Accessibility",
    size: 24,
    color: "currentColor",
  },
  argTypes: {
    name: {
      options: Array.from(Object.keys(icons)),
      control: {
        type: "select",
      },
    },
  },
  decorators: ThemeProviderDecorators,
} satisfies Meta<LIconProps>;

export default meta;

type Story = StoryObj<typeof LIcon>;

export const DefaultLIcon: Story = {};
