import { type ReactMaskOpts } from "react-imask";

export type MasksKey =
  | "date"
  | "creditCard"
  | "creditCardCvc"
  | "creditCardExpire"
  | "phoneWithCode"
  | "phone"
  | "identity"
  | "phoneAbroad"
  | "miles"
  | "passport";

export const Masks: Record<MasksKey, ReactMaskOpts["mask"]> = {
  date: "00.00.0000",
  creditCard: "0000 0000 0000 0000",
  creditCardCvc: "000",
  creditCardExpire: "00/00",
  phoneWithCode: "+9{0} (000) 000 00 00",
  phone: "(000) 000 00 00",
  phoneAbroad: "000 000000000000",
  identity: "********************",
  passport: "a000000000",
  miles: "TK 000000000",
} as const;
