import { useState } from "react";

import type { ModalProps } from "./modal";

const useModal = ({ open }: Pick<ModalProps, "open">) => {
  const [modalOpen, setModalOpen] = useState(open || false);
  const openModal = () => setModalOpen(true);
  const closeModal = () => setModalOpen(false);

  return {
    modalOpen,
    openModal,
    closeModal,
  };
};

export { useModal };
