import { cva } from "class-variance-authority";

import styles from "./radio-group.module.css";

export const radioVariants = cva(styles.radioGroup, {
  variants: {
    variant: {
      default: styles.radioGroup,
      primary: styles.primary,
      success: styles.success,
      danger: styles.danger,
    },
    size: {
      sm: styles.sm,
      md: styles.md,
      lg: styles.lg,
      xl: styles.xl,
    },
  },
  defaultVariants: {
    variant: "default",
    size: "sm",
  },
});

export const circleVariant = cva("fill-current text-current", {
  variants: {
    circleSize: {
      sm: styles.circleSm,
      md: styles.circleMd,
      lg: styles.circleLg,
      xl: styles.circleXl,
    },
  },
  defaultVariants: {
    circleSize: "sm",
  },
});

export const labelVariants = cva("cursor-pointer", {
  variants: {
    labelTextSize: {
      sm: "text-sm",
      md: "text-base",
      lg: "text-lg",
      xl: "text-xl",
    },
  },
  defaultVariants: {
    labelTextSize: "md",
  },
});
