import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import { SeeAllText } from "./see-all-text";

const meta = {
  title: "UI/SeeAllText",
  component: SeeAllText,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
} satisfies Meta<typeof SeeAllText>;

export default meta;

type Story = StoryObj<typeof SeeAllText>;

export const DefaultSeeAllText: Story = {
  render: () => {
    return (
      <SeeAllText
        text="Göz alabildiğine masmavi denize sahip Caresse Luxury
                    Collection Resort & Spa özel kum plajı ile eşsiz bir
                    deneyim fırsatı sunu... Resort & Spa özel kum plajı ile
                    eşsiz bir deneyim fırsatı sunu..."
        classname="text-sm text-gray-500"
        lineClampSize="2"
      />
    );
  },
};
