import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import { StatusText } from "./status-text";

const meta = {
  title: "UI/StatusText",
  component: StatusText,
  decorators: ThemeProviderDecorators,
} satisfies Meta<typeof StatusText>;

export default meta;

type Story = StoryObj<typeof StatusText>;

const DefaultStatusText = {
  args: {
    status: "error",
    text: "12.12.2022 tarihinde Ayşe Sıla Geçer tarafından onaylandı.",
    message: "Uygun koşullar sağlanmadığı için reddedildi.",
  },
} satisfies Story;

export { DefaultStatusText };
