import { cva } from "class-variance-authority";

import styles from "./status-text.module.css";

export type StatusVariants = "success" | "error" | "warning" | "denied";

const statusTextVariants = cva("!flex items-center text-sm font-medium", {
  variants: {
    status: {
      success: styles.success,
      error: styles.error,
      denied: styles.error,
      warning: styles.warning,
    },
  },
  defaultVariants: {
    status: "success",
  },
});

export default statusTextVariants;
