import type { Meta, StoryObj } from "@storybook/react";
import { ChevronDown, Inbox, Search, User } from "lucide-react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import TriggerButton from "./trigger-button";

const meta = {
  title: "UI/TriggerButton",
  component: TriggerButton,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
} satisfies Meta<typeof TriggerButton>;

export default meta;

type Story = StoryObj<typeof TriggerButton>;

export const DefaultTriggerButton: Story = {
  args: {
    leftIcon: <Search />,
  },
};

export const SmallTriggerButton: Story = {
  args: {
    leftIcon: <User />,
    size: "md",
    label: "Can Yılmaz",
    rightIcon: <ChevronDown />,
  },
};
export const SmallTriggerButton2: Story = {
  args: {
    leftIcon: <Inbox />,
    size: "md",
    label: "Taleplerim",
    className: "!max-w-[132px]",
  },
};
