import { INITIAL_VIEWPORTS } from "@storybook/addon-viewport";
import type { Meta, StoryObj } from "@storybook/react";

import { FilterPropertyEnum } from "@/services/eva-display/hotel/hotel-search/hotel-search-services.types";
import { ThemeProviderDecorators } from "@/storybook/Decorator";

import AppliedFilter from "./applied-filter";

const meta = {
  title: "Widgets/AppliedFilter",
  component: AppliedFilter,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
  args: {
    data: [
      {
        filterKey: FilterPropertyEnum.THEMES,
        filterLabel: "Wi-Fi",
        filterValue: "32234",
      },
      {
        filterKey: FilterPropertyEnum.THEMES,
        filterLabel: "Side",
        filterValue: "322343",
      },
      {
        filterKey: FilterPropertyEnum.THEMES,
        filterLabel: "Golf",
        filterValue: "332234",
      },
      {
        filterKey: FilterPropertyEnum.THEMES,
        filterLabel: "Bilardo",
        filterValue: "3224434",
      },
      {
        filterKey: FilterPropertyEnum.THEMES,
        filterLabel: "Masa Tenisi",
        filterValue: "132234",
      },
      {
        filterKey: FilterPropertyEnum.THEMES,
        filterLabel: "Fitness Center",
        filterValue: "3221341",
      },
      {
        filterKey: FilterPropertyEnum.THEMES,
        filterLabel: "Fitness Center",
        filterValue: "1132234",
      },
      {
        filterKey: FilterPropertyEnum.THEMES,
        filterLabel: "Fitness Center",
        filterValue: "32234g",
      },
      {
        filterKey: FilterPropertyEnum.THEMES,
        filterLabel: "Fitness Center",
        filterValue: "32234111",
      },
      {
        filterKey: FilterPropertyEnum.THEMES,
        filterLabel: "Fitness Center",
        filterValue: "3223s4aaa",
      },
      {
        filterKey: FilterPropertyEnum.THEMES,
        filterLabel: "Fitness Center",
        filterValue: "32234123",
      },
      {
        filterKey: FilterPropertyEnum.THEMES,
        filterLabel: "Fitness Center",
        filterValue: "3223aaa4",
      },
      {
        filterKey: FilterPropertyEnum.THEMES,
        filterLabel: "Fitness Center",
        filterValue: "32234aaa",
      },
      {
        filterKey: FilterPropertyEnum.THEMES,
        filterLabel: "Fitness Center",
        filterValue: "3225534",
      },
      {
        filterKey: FilterPropertyEnum.THEMES,
        filterLabel: "Fitness Center",
        filterValue: "3aaag2234",
      },
      {
        filterKey: FilterPropertyEnum.THEMES,
        filterLabel: "Fitness Center",
        filterValue: "32234q",
      },
    ],
  },
  parameters: {
    // 👇 The viewports object from the Essentials addon
    viewport: {
      // 👇 The viewports you want to use
      viewports: INITIAL_VIEWPORTS,
      // 👇 Your own default viewport
    },
  },
} satisfies Meta<typeof AppliedFilter>;

export default meta;

type Story = StoryObj<typeof AppliedFilter>;

export const DefaultAppliedFilter: Story = {
  args: {},
};
