import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import { AttendeesChecbox } from "./attendees-checkbox";

const meta = {
  title: "Widgets/AttendeesCheckbox",
  component: AttendeesChecbox,
  args: {
    addOn: {
      name: "Tarkan Konser",
      key: "DQtJlZs+Swx8jm7X6ZrQGxJfZ3GPhtpVSnhdC7TMMc+S9jVEw2wQR6g5hEX2nOoq",
      totalPrice: "TRY800.00",
      totalExchangePrice: "TRY800.00",
      passengers: [
        {
          key: "f6sEG2",
          description: "1. Yetişkin",
        },
        {
          key: "PccDC3",
          description: "2. Yetişkin",
        },
      ],
      formattedDate:
        "01 Ağustos 2024 00:00 - Per / 04 Ağustos 2024 00:00 - Paz",
      description: "",
    },
  },
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
} satisfies Meta<typeof AttendeesChecbox>;

export default meta;

type Story = StoryObj<typeof AttendeesChecbox>;

export const AttendeesChecboxDefault: Story = {
  render: (props) => {
    return (
      <div className="max-w-[688px]">
        <AttendeesChecbox {...props} />
      </div>
    );
  },
};

export const AttendeesChecboxMultipleRoom: Story = {
  args: {},
  render: (props) => {
    return (
      <div className="max-w-[688px]">
        <AttendeesChecbox {...props} />
      </div>
    );
  },
};
