/* eslint-disable react-hooks/exhaustive-deps */
import React, { useEffect } from "react";

import ListSkeleton from "@/components/widget/list-skeleton/list-skeleton";
import Room from "@/features/room";
import { useHotelDetailListSearchMutation } from "@/services/eva-display/hotel/hotel-detail/hotel-detail-services";
import type { IHotelListItem } from "@/services/eva-display/hotel/hotel-search/hotel-search-services.types";

interface BookingRequestHotelChangeRoomStepProps {
  searchId?: string;
  selectedHotel?: IHotelListItem;
  setSelectedRoom?(selectedRoom: any): void;
}

const BookingRequestHotelChangeRoomStep = (
  props: BookingRequestHotelChangeRoomStepProps,
) => {
  const hotelDetailMutation = useHotelDetailListSearchMutation();

  useEffect(() => {
    hotelDetailMutation.mutate({
      searchId: props?.searchId || "",
      ProductKey: props?.selectedHotel?.key || "",
    });
  }, []);

  return (
    <div className="flex  flex-col items-center justify-center gap-4">
      <div className="w-full">
        <div className="flex flex-col gap-4">
          {hotelDetailMutation?.isLoading && <ListSkeleton size={10} />}
          {!hotelDetailMutation?.isLoading &&
            hotelDetailMutation.isSuccess &&
            hotelDetailMutation.data && (
              <Room
                hideTravelPlanner
                primaryButtonOnClick={(selectedRoom) => {
                  if (props.setSelectedRoom) {
                    props.setSelectedRoom(selectedRoom);
                  }
                }}
                data={hotelDetailMutation.data.roomCollectionResult}
                roomGroupResult={hotelDetailMutation.data.roomGroupResult}
                searchId={props.searchId as string}
              />
            )}
        </div>
      </div>
    </div>
  );
};

export default BookingRequestHotelChangeRoomStep;
