import { INITIAL_VIEWPORTS } from "@storybook/addon-viewport";
import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import { BookingRequestSuccess } from "./booking-request-success";

const meta = {
  title: "Widgets/BookingRequestSuccess",
  component: BookingRequestSuccess,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
  parameters: {
    // 👇 The viewports object from the Essentials addon
    viewport: {
      // 👇 The viewports you want to use
      viewports: INITIAL_VIEWPORTS,
      // 👇 Your own default viewport
    },
  },
} satisfies Meta<typeof BookingRequestSuccess>;

export default meta;

type Story = StoryObj<typeof BookingRequestSuccess>;

export const DefaultBookingRequestSuccess: Story = {
  render: () => {
    return (
      <div className="mt-10 flex max-w-[776px] justify-center">
        <BookingRequestSuccess />
      </div>
    );
  },
};
