import type { PropsWithChildren } from "react";
import React from "react";
import { useMediaQuery } from "usehooks-ts";

import Container from "@/components/shared/container";

function Filter({ children, ...props }: PropsWithChildren) {
  const isDesktop = useMediaQuery("(min-width: 768px)");
  return (
    isDesktop && (
      <div className="flex w-[246px] min-w-[246px] flex-col gap-2" {...props}>
        {children}
      </div>
    )
  );
}

function Result({ children, ...props }: PropsWithChildren) {
  return (
    <div className="grow overflow-hidden" {...props}>
      {children}
    </div>
  );
}

function Body({ children, ...props }: PropsWithChildren) {
  return (
    <Container className="px-0 py-10" {...props}>
      <div className="flex gap-6 text-center">{children}</div>
    </Container>
  );
}

const CoreListEmptyRoot = ({ children, ...props }: PropsWithChildren) => {
  return <Body {...props}>{children}</Body>;
};

const CoreListEmpty = Object.assign(CoreListEmptyRoot, {
  Filter,
  Result,
});

export default CoreListEmpty;
