import React from "react";

import FormItem from "@/components/form/form-item";
import type { FilterCheckboxItemType } from "@/components/widget/filter-checkbox/filter-checkbox";
import FilterCheckbox from "@/components/widget/filter-checkbox/filter-checkbox";

export interface CoreSingleCheckBoxListProps {
  name: string;
  properties: {
    label: string;
    isCollapsible?: boolean;
    items: Array<FilterCheckboxItemType>;
    openCollapse?: boolean;
    placeholder?: string;
    searchable?: boolean;
  };
}

// Option
const CoreSingleCheckBoxList = (props: CoreSingleCheckBoxListProps) => {
  return (
    <div className="px-4">
      <FormItem name={props.name}>
        {({ field, setValue }) => (
          <FilterCheckbox
            collapseDefaultOpen={props.properties.openCollapse}
            collapseTitle={props.properties.label}
            items={props.properties.items} // Option Items
            onChange={(val) => {
              setValue(val);
            }}
            isCollapsible={props.properties.isCollapsible}
            initialSelectedItems={field.value || []}
            searchPlaceholder={props.properties.placeholder}
            searchable={props.properties.searchable}
          />
        )}
      </FormItem>
    </div>
  );
};

export default CoreSingleCheckBoxList;
