import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";
import { requiredRule } from "@/validations/form-rules/rules/required-rule";

import { ForgotPasswordForm } from "./forgot-password-form";

const meta = {
  title: "Widgets/ForgotPasswordForm",
  component: ForgotPasswordForm,
  decorators: ThemeProviderDecorators,
} satisfies Meta<typeof ForgotPasswordForm>;

export default meta;

type Story = StoryObj<typeof ForgotPasswordForm>;

export const DefaultForgotPasswordForm: Story = {
  render: () => {
    return (
      <div className="flex min-h-screen items-center justify-center ">
        <ForgotPasswordForm
          validations={{
            email: {
              required: requiredRule,
            },
          }}
          onSubmit={(values) => {
            // eslint-disable-next-line no-console
            console.log({ values });
          }}
        />
      </div>
    );
  },
};
