import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import HotelProductDetailEvents from "./hotel-product-detail-events";

const meta = {
  title: "Widgets/HotelProductDetail/HotelProductDetailEvents",
  component: HotelProductDetailEvents,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
  args: {
    items: [],
  },
} satisfies Meta<typeof HotelProductDetailEvents>;

export default meta;

type Story = StoryObj<typeof HotelProductDetailEvents>;

export const DefaultHotelProductDetailEvents: Story = {
  args: {
    items: [
      {
        imageUrl:
          "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/addon/e5988aba-1c95-431d-9bd4-ccc2f3777d23.jpg",
        title: "Tarkan Konseri",
        description: "29 Nisan 2024",
      },
      {
        imageUrl:
          "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/addon/e8757ec2-8794-4fc9-8cf5-540df3163088.jpg",
        title: "Sibel Can Konseri",
        description: "6 Mart 2024",
      },
      {
        imageUrl:
          "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/addon/7270da6e-d22d-4884-a80e-ab927b2c733a.jpg",
        title: "Haluk Levent Konseri",
        description: "12 Mart 2024",
      },
      {
        imageUrl:
          "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/addon/e5988aba-1c95-431d-9bd4-ccc2f3777d23.jpg",
        title: "Tarkan Konseri",
        description: "19 Haziran 2024",
      },
      {
        imageUrl:
          "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/addon/e8757ec2-8794-4fc9-8cf5-540df3163088.jpg",
        title: "Sibel Can Konseri",
        description: "28 Haziran 2024",
      },
      {
        imageUrl:
          "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/addon/7270da6e-d22d-4884-a80e-ab927b2c733a.jpg",
        title: "Haluk Levent Konseri",
        description: "7 Temmuz 2024",
      },
    ],
  },
};
