import { useState } from "react";

import styles from "./hotel-product-detail-menu.module.css";

export interface MenuItem {
  text: string;
  id: string;
}
export interface HotelProductDetailMenuProps {
  menuItems: MenuItem[];
}

const HotelProductDetailMenu = ({ menuItems }: HotelProductDetailMenuProps) => {
  const [active, setActive] = useState("overview");
  return (
    <nav className={styles.wrapper}>
      {menuItems.map(({ id, text }) => (
        <a
          data-active={active === id}
          className="border-primary-500 p-2 text-sm font-medium leading-7 text-gray-800 data-[active='true']:border-b-4 data-[active='true']:text-primary-500"
          onClick={() => setActive(id)}
          key={id}
          href={`#${id}`}
        >
          {text}
        </a>
      ))}
    </nav>
  );
};

export { HotelProductDetailMenu };
