/* eslint-disable react/no-unescaped-entities */
/* eslint-disable react/jsx-key */

import Container from "@/components/shared/container";
import { Button } from "@/components/ui/button/button";
import type { LIconProps } from "@/components/ui/lucid-icon/lucid-icon";
import { useLocale } from "@/hooks/useLocale";

import ShareButton from "../../share-button/share-button";

export interface RoomFacilities {
  text: string;
  icon: LIconProps;
}

export interface HotelProductDetailTitleProps {
  title: string;
}

const HotelProductDetailTitle = ({ title }: HotelProductDetailTitleProps) => {
  const { t } = useLocale();

  return (
    <Container>
      <div>
        <div className="flex w-full flex-col justify-between gap-4 bg-white pb-4 md:flex-row">
          <div className="flex flex-col gap-2">
            <div className="flex items-center justify-between gap-2">
              <span className="text-xl font-bold leading-[30px] text-gray-800 md:text-3xl">
                {title}
              </span>
              <div className="md:hidden">
                <ShareButton />
              </div>
            </div>
          </div>
          <div className="flex flex-col gap-4">
            <div className="flex flex-col gap-4 md:flex-col-reverse">
              <div className="flex w-full gap-2">
                <div className="hidden md:block">
                  <ShareButton />
                </div>
                <a className="hidden w-full md:block" href="#rooms">
                  <Button className="w-full md:w-[248px]" variant="primary">
                    {t("See availability")}
                  </Button>
                </a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </Container>
  );
};
export { HotelProductDetailTitle };
