/* eslint-disable no-console */
import { INITIAL_VIEWPORTS } from "@storybook/addon-viewport";
import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import HourRange from "./hour-range";

const meta = {
  title: "Widgets/Range/HourRange",
  component: HourRange,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
  args: {
    initialValue: {
      start: 16,
      end: 48,
    },
    onChange: console.log,
  },
  parameters: {
    // 👇 The viewports object from the Essentials addon
    viewport: {
      // 👇 The viewports you want to use
      viewports: INITIAL_VIEWPORTS,
      // 👇 Your own default viewport
    },
  },
} satisfies Meta<typeof HourRange>;

export default meta;

type Story = StoryObj<typeof HourRange>;

export const DefaultHourRange: Story = {
  render: (props) => {
    return (
      <div className="w-full max-w-[400px]">
        <HourRange {...props} />
      </div>
    );
  },
};
