import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";
import { passwordValidation } from "@/validations/form-rules/password-rules";
import { requiredRule } from "@/validations/form-rules/rules/required-rule";

import { LoginForm } from "./login-form";

const meta = {
  title: "Widgets/LoginForm",
  component: LoginForm,
  decorators: ThemeProviderDecorators,
} satisfies Meta<typeof LoginForm>;

export default meta;

type Story = StoryObj<typeof LoginForm>;

export const DefaultLoginForm: Story = {
  render: () => {
    return (
      <div className="flex min-h-screen items-center justify-center ">
        <LoginForm
          validations={{
            password: passwordValidation,
            email: {
              required: requiredRule,
            },
          }}
          onSubmit={(values) => {
            // eslint-disable-next-line no-console
            console.log({ values });
          }}
        />
      </div>
    );
  },
};
