import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import ModalableItem from "./modalable-item";

const meta = {
  title: "Widgets/ModalableItem",
  component: ModalableItem,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
  args: {
    title: "Otel Mil Kampanyası",
    modalContent: `Jolly ’den tek seferde seçili yurt içi seçili Kıbrıs, seçili yurt dışı otelleri, seçili yurt dışı turlar ve seçili gemi turlarında gerçekleştirilen 07.07.2024 -31.07.2024 tarihleri arasında konaklamalarda
*Shop&Fly kredi kartlarına Jolly’de 35.000 TL’ye 300.000 mil

*Miles&Smiles kredi kartlarına Jolly’de 40.000 TL’ye 3.000 mil, peşin veya 3 ve 6 ( 9 ve 12 taksitli işlemlerde geçerli değildir) taksitli ödemelerde verilecektir.

Kampanya; www.jollytur.com, Jolly mobil uygulaması, çağrı merkezi, satış ofisleri ve acenteler olmak üzere Jolly’e bağlı seçili kanallardan yapılacak işlemlerde geçerlidir..
Kampanyaya yurt içi turları, uçak biletleri, transfer ve vize gibi hizmetler kampanyaya dahil değildir.
Kampanya Kıbrıs rezervasyonlarında peşin ve 3 Taksit işlemlerde geçerlidir. Yurt dışı otel, yurt dışı turlarda ve gemi turlarında taksit geçerli değildir, işlemler tek çekim gerçekleştirilir.`,
  },
} satisfies Meta<typeof ModalableItem>;

export default meta;

type Story = StoryObj<typeof ModalableItem>;

export const DefaultModalableItem: Story = {
  render: (props) => {
    return (
      <div className="max-w-[288px]">
        <ModalableItem {...props} />
      </div>
    );
  },
};
