import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import NavigationTab from "./navigation-tab";

const meta = {
  title: "Widgets/NavigationTab",
  component: NavigationTab,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
  args: {
    items: [
      {
        value: "1",
        label: "Genel Bakış",
      },
      {
        value: "2",
        label: "Odalar",
      },
      {
        value: "3",
        label: "Olanaklar",
      },
      {
        value: "4",
        label: "Yeme/İçme",
      },
      {
        value: "5",
        label: "Etkinlikler",
      },
      {
        value: "6",
        label: "Hakkında",
      },
    ],
  },
  argTypes: {
    onChange: { action: "onChange" },
  },
} satisfies Meta<typeof NavigationTab>;

export default meta;

type Story = StoryObj<typeof NavigationTab>;

export const DefaultNavigationTab: Story = {};
