/* eslint-disable no-console */
/* eslint-disable react-hooks/rules-of-hooks */
import { INITIAL_VIEWPORTS } from "@storybook/addon-viewport";
import type { Meta, StoryObj } from "@storybook/react";
import { useState } from "react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import { CardListItem } from "./card-list-item";

const meta = {
  title: "Widgets/Payment/CardListItem",
  component: CardListItem,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
  parameters: {
    // 👇 The viewports object from the Essentials addon
    viewport: {
      // 👇 The viewports you want to use
      viewports: INITIAL_VIEWPORTS,
      // 👇 Your own default viewport
    },
  },
} satisfies Meta<typeof CardListItem>;

export default meta;

type Story = StoryObj<typeof CardListItem>;

const data = [
  {
    id: "1",
    cardNumber: "**** **** **** 1234",
    cardAlias: "İbrahim kart",
    cardDate: "12/22",
  },
  {
    id: "2",
    cardNumber: "5282 08** **** 6790",
    cardAlias: "İbrahim kart",
    cardDate: "12/22",
  },
  {
    id: "3",
    cardNumber: "**** **** **** 1234",
    cardAlias: "İbrahim kart",
    cardDate: "12/22",
  },
];

export const DefaultCardListItem: Story = {
  render: () => {
    const [selectCard, setSelectCard] = useState("1");
    return (
      <div className="flex w-[750px] gap-4">
        <span className="text-base">Kart Tercihi</span>
        <div className="flex gap-4">
          {data.map((item) => (
            <CardListItem
              key={item.id}
              id={item.id}
              cardNumber={item.cardNumber}
              cardAlias={item.cardAlias}
              cardDate={item.cardDate}
              isSelected={selectCard === item.id}
              setSelectCardId={() => setSelectCard(item.id)}
              onDeleteCard={() => console.log("delete cart")}
            />
          ))}
        </div>
      </div>
    );
  },
};
