import { INITIAL_VIEWPORTS } from "@storybook/addon-viewport";
import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import { CreditCardInfos } from "./credit-card-infos";

const meta = {
  title: "Widgets/Payment/CreditCardInfos",
  component: CreditCardInfos,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
  parameters: {
    // 👇 The viewports object from the Essentials addon
    viewport: {
      // 👇 The viewports you want to use
      viewports: INITIAL_VIEWPORTS,
      // 👇 Your own default viewport
    },
  },
} satisfies Meta<typeof CreditCardInfos>;

export default meta;

type Story = StoryObj<typeof CreditCardInfos>;

export const DefaultCreditCardInfos: Story = {
  render: () => {
    return (
      <div className="flex w-[750px] gap-4">
        <div className="w-[300px]">
          <CreditCardInfos
            cardNumber="0000 0000 0000 0000"
            cardExpireDate="AA/YY"
            cardHolderName="Kart Sahibi"
            cardCvv="319"
          />
        </div>
        <div className="w-[300px]">
          <CreditCardInfos
            cardNumber="0000 0000 0000 0000"
            cardExpireDate="AA/YY"
            cardHolderName="Kart Sahibi"
            cardCvv="319"
            showBack
          />
        </div>
      </div>
    );
  },
};
