/* eslint-disable no-console */
import { INITIAL_VIEWPORTS } from "@storybook/addon-viewport";
import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import { OtpModal } from "./otp-modal";

const meta = {
  title: "Widgets/Payment/OtpModal",
  component: OtpModal,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
  parameters: {
    // 👇 The viewports object from the Essentials addon
    viewport: {
      // 👇 The viewports you want to use
      viewports: INITIAL_VIEWPORTS,
      // 👇 Your own default viewport
    },
  },
} satisfies Meta<typeof OtpModal>;

export default meta;

type Story = StoryObj<typeof OtpModal>;

export const DefaultOtpModal: Story = {
  render: () => {
    return (
      <OtpModal
        onResendButton={() => console.log("onFinish")}
        onSubmit={(value: string) => console.log(value)}
      />
    );
  },
};
