import { INITIAL_VIEWPORTS } from "@storybook/addon-viewport";
import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import { WhatIsAMasterpassDialog } from "./what-is-a-masterpass-dialog";

const meta = {
  title: "Widgets/Payment/WhatIsAMasterpassDialog",
  component: WhatIsAMasterpassDialog,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
  parameters: {
    // 👇 The viewports object from the Essentials addon
    viewport: {
      // 👇 The viewports you want to use
      viewports: INITIAL_VIEWPORTS,
      // 👇 Your own default viewport
    },
  },
} satisfies Meta<typeof WhatIsAMasterpassDialog>;

export default meta;

type Story = StoryObj<typeof WhatIsAMasterpassDialog>;

export const DefaultWhatIsAMasterpassDialog: Story = {
  render: () => {
    return (
      <div className="flex w-[750px] gap-4">
        <WhatIsAMasterpassDialog />
      </div>
    );
  },
};
