/* eslint-disable no-console */
import { INITIAL_VIEWPORTS } from "@storybook/addon-viewport";
import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import PeriodPicker from "./period-picker";

const meta = {
  title: "Widgets/PeriodPicker",
  component: PeriodPicker,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
  args: {
    onPeriodSelect: (SelectedMonth: any) => {
      console.log(SelectedMonth);
    },
  },
  parameters: {
    viewport: {
      viewports: INITIAL_VIEWPORTS,
    },
  },
} satisfies Meta<typeof PeriodPicker>;

export default meta;

type Story = StoryObj<typeof PeriodPicker>;

export const DefaultTimePicker: Story = {
  render: () => {
    return (
      <div className="w-full max-w-[400px]">
        <PeriodPicker
          onPeriodSelect={(time) => {
            console.log(time);
          }}
        />
      </div>
    );
  },
};
