import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import PhotoGallery from "./photo-gallery";

const meta = {
  title: "Widgets/PhotoGallery",
  component: PhotoGallery,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
  args: {
    title: "Genel",
    images: [
      {
        thumbnail:
          "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/76bee11c-be97-4407-bd3b-cce1fa3d097b.png",
        src: "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/76bee11c-be97-4407-bd3b-cce1fa3d097b.png",
        alt: "gallery",
      },
      {
        thumbnail:
          "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/76bee11c-be97-4407-bd3b-cce1fa3d097b.png",
        src: "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/76bee11c-be97-4407-bd3b-cce1fa3d097b.png",
        alt: "gallery",
      },
      {
        thumbnail:
          "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/76bee11c-be97-4407-bd3b-cce1fa3d097b.png",
        src: "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/76bee11c-be97-4407-bd3b-cce1fa3d097b.png",
        alt: "gallery",
      },
      {
        thumbnail:
          "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/76bee11c-be97-4407-bd3b-cce1fa3d097b.png",
        src: "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/76bee11c-be97-4407-bd3b-cce1fa3d097b.png",
        alt: "gallery",
      },
      {
        thumbnail:
          "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/76bee11c-be97-4407-bd3b-cce1fa3d097b.png",
        src: "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/76bee11c-be97-4407-bd3b-cce1fa3d097b.png",
        alt: "gallery",
      },
      {
        thumbnail:
          "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/76bee11c-be97-4407-bd3b-cce1fa3d097b.png",
        src: "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/76bee11c-be97-4407-bd3b-cce1fa3d097b.png",
        alt: "gallery",
      },
      {
        thumbnail:
          "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/76bee11c-be97-4407-bd3b-cce1fa3d097b.png",
        src: "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/76bee11c-be97-4407-bd3b-cce1fa3d097b.png",
        alt: "gallery",
      },
      {
        thumbnail:
          "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/76bee11c-be97-4407-bd3b-cce1fa3d097b.png",
        src: "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/76bee11c-be97-4407-bd3b-cce1fa3d097b.png",
        alt: "gallery",
      },
      {
        thumbnail:
          "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/76bee11c-be97-4407-bd3b-cce1fa3d097b.png",
        src: "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/76bee11c-be97-4407-bd3b-cce1fa3d097b.png",
        alt: "gallery",
      },
    ],
    splitCount: 4,
  },
} satisfies Meta<typeof PhotoGallery>;

export default meta;

type Story = StoryObj<typeof PhotoGallery>;

export const DefaultPhotoGallery: Story = {};

export const ThreeImagePhotoGallery: Story = {
  args: {
    images: [
      {
        thumbnail:
          "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/76bee11c-be97-4407-bd3b-cce1fa3d097b.png",
        src: "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/76bee11c-be97-4407-bd3b-cce1fa3d097b.png",
        alt: "gallery",
      },
      {
        thumbnail:
          "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/76bee11c-be97-4407-bd3b-cce1fa3d097b.png",
        src: "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/76bee11c-be97-4407-bd3b-cce1fa3d097b.png",
        alt: "gallery",
      },
      {
        thumbnail:
          "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/76bee11c-be97-4407-bd3b-cce1fa3d097b.png",
        src: "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/76bee11c-be97-4407-bd3b-cce1fa3d097b.png",
        alt: "gallery",
      },
    ],
  },
};
