import { INITIAL_VIEWPORTS } from "@storybook/addon-viewport";
import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import ProductDetailCoverGallery from "./product-detail-cover-gallery";

const imageLinks = [
  "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/4fe40141-4381-4036-80ad-05c28ff94662.png",
  "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/1d5093dd-fa1d-4989-9d31-dfbf75d49343.png",
  "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/c57ea06a-8c79-4a0e-9d38-a7ef7a258872.png",
  "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/room/006225a7-72ab-47ad-ba97-ff090d69f7c1.png",
  "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/room/4c9bb076-1c2f-44ff-a283-da9d5a5ec43f.jpg",
  "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/4fe40141-4381-4036-80ad-05c28ff94662.png",
  "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/1d5093dd-fa1d-4989-9d31-dfbf75d49343.png",
  "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/c57ea06a-8c79-4a0e-9d38-a7ef7a258872.png",
  "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/room/006225a7-72ab-47ad-ba97-ff090d69f7c1.png",
  "https://gordiosdatatest.blob.core.windows.net/files/cms/media/hotel/room/4c9bb076-1c2f-44ff-a283-da9d5a5ec43f.jpg",
];

const meta = {
  title: "Widgets/Product/Detail/CoverGallery",
  component: ProductDetailCoverGallery,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
  args: {},
  parameters: {
    // 👇 The viewports object from the Essentials addon
    viewport: {
      // 👇 The viewports you want to use
      viewports: INITIAL_VIEWPORTS,
      // 👇 Your own default viewport
    },
  },
} satisfies Meta<typeof ProductDetailCoverGallery>;

export default meta;

type Story = StoryObj<typeof ProductDetailCoverGallery>;

export const DefaultProductDetailCoverGallery: Story = {
  args: {
    images: imageLinks.map((link) => ({
      thumbnailUrl: link,
      url: link,
      alt: "gallery",
      categoryType: "",
      highResolutionUrl: "",
    })),
  },
};

export const NoImageProductDetailCoverGallery: Story = {
  args: {
    images: [],
  },
};

export const OneImageProductDetailCoverGallery: Story = {
  args: {
    images: imageLinks.splice(0, 1).map((link) => ({
      thumbnailUrl: link,
      url: link,
      alt: "gallery",
      categoryType: "",
      highResolutionUrl: "",
    })),
  },
};

export const TwoImageProductDetailCoverGallery: Story = {
  args: {
    images: imageLinks.splice(0, 1).map((link) => ({
      thumbnailUrl: link,
      url: link,
      alt: "gallery",
      categoryType: "",
      highResolutionUrl: "",
    })),
  },
};

export const Less5ImageProductDetailCoverGallery: Story = {
  args: {
    images: imageLinks.splice(0, 3).map((link) => ({
      thumbnailUrl: link,
      url: link,
      alt: "gallery",
      categoryType: "",
      highResolutionUrl: "",
    })),
  },
};
