/* eslint-disable react/no-danger */
/* eslint-disable tailwindcss/no-custom-classname */

"use client";

import React from "react";

import {
  Accordion,
  AccordionContent,
  AccordionItem,
  AccordionTrigger,
} from "@/components/ui/accordion/accordion";
import Card from "@/components/ui/card/card";

export interface OtherInfo {
  label: string;
  value: string;
}

export interface ProductDetailOtherInfoProps {
  title: string;
  OtherInfo?: OtherInfo[];
  hasDayİnfo?: boolean;
}

export interface TextTypes {
  className?: string;
  text: string;
}

const Text = ({ className = "text-base font-normal", text }: TextTypes) => {
  return (
    <div className="flex items-center gap-2">
      <p className={className}>{text}</p>
    </div>
  );
};

const ProductDetailOtherInfo = ({
  title,
  OtherInfo,
  hasDayİnfo,
}: ProductDetailOtherInfoProps) => {
  return (
    <Accordion type="single" defaultValue="item-3" collapsible>
      <AccordionItem value="item-3" className="border-b-0">
        <AccordionTrigger className="p-0 text-xl font-semibold text-gray-800">
          {title}
        </AccordionTrigger>
        <AccordionContent>
          <div className="mt-6 flex flex-col gap-3">
            {OtherInfo?.map((data: any) => {
              return (
                <Card key={data.label} className="bg-gray-50">
                  <Accordion type="single" defaultValue="item-3-0" collapsible>
                    <AccordionItem
                      value={`item-3-${data.label}`}
                      className="border-b-0"
                    >
                      <AccordionTrigger className="p-0">
                        <Text
                          text={`${data.label}${hasDayİnfo ? ". gün" : ""}`}
                        />
                      </AccordionTrigger>
                      <AccordionContent>
                        {data.value === "" ? (
                          <div>İçerik bilgileri henüz girilmemiş.</div>
                        ) : (
                          <div
                            dangerouslySetInnerHTML={{ __html: data.value }}
                          />
                        )}
                      </AccordionContent>
                    </AccordionItem>
                  </Accordion>
                </Card>
              );
            })}
          </div>
        </AccordionContent>
      </AccordionItem>
    </Accordion>
  );
};

export default ProductDetailOtherInfo;
