import React from "react";

import LIcon from "@/components/ui/lucid-icon/lucid-icon";

import styles from "../profile.module.css";

const ProfileReservationsCard = () => {
  return (
    <div className={styles.card}>
      <div className="flex items-center justify-between">
        <div className="flex flex-col gap-1">
          <h3 className="text-lg font-semibold text-gray-800">Antalya</h3>
          <p className="text-sm text-gray-500">Kemer / Antalya</p>
        </div>
        <div className="flex items-center justify-center gap-1 bg-blue-50">
          <LIcon size={12} name="Home" className="text-blue-500" />
          <span className="text-xs font-medium text-blue-500">Otel</span>
        </div>
      </div>
      <div className="flex justify-between gap-3">
        <div className="flex flex-col gap-1">
          <p className="text-sm font-medium text-gray-500">Otel Adı</p>
          <span className="text-base text-gray-800">Trilye Resort</span>
        </div>
        <div className="flex flex-col gap-1">
          <p className="text-sm font-medium text-gray-500">
            Giriş-Çıkış Tarihleri
          </p>
          <span>12 Eyl- 18 Eyl</span>
        </div>
        <div className="flex flex-col gap-1">
          <p className="text-sm font-medium text-gray-500">
            Kişi ve Oda Bilgisi
          </p>
          <span>2 kişi, 1 oda</span>
        </div>
        <div className="flex flex-col gap-1">
          <p className="text-sm font-medium text-gray-500">Tutar</p>
          <span>12.576 TL</span>
        </div>
      </div>
    </div>
  );
};

export default ProfileReservationsCard;
