import { INITIAL_VIEWPORTS } from "@storybook/addon-viewport";
import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import RentACarCard from "./rent-a-car-card";

export const RentACarMockItem = {
  item: {
    key: "LMCK5liRfu6jehWE8qn5J/urBKjHTs97LORvBKqm71Nz+dnCe9axWW7hHiqxNc9W",
    carDetail: {
      ageLimit: 21,
      fuelType: 0,
      automaticTransmission: true,
      airConditioning: true,
      imageUrl:
        "https://rentocloud.ams3.digitaloceanspaces.com/AracGrupResmi/AracGrup/d55c2480-99a9-4db3-8e59-713c4bd10474.png",
      deposit: "TRY1500",
      passengerCount: 0,
      category: 1,
      type: 24,
      returnCode: "Ankara Esenboğa Havalimanı",
      returnId: "642",
      returnDate: "2024-02-11T12:00:00",
      pickupCode: "Ankara Esenboğa Havalimanı",
      pickupId: "642",
      pickupDate: "2024-02-09T12:00:00",
      name: "Renault Clio Otomatik veya Benzeri",
      doorCount: 4,
      driverLicanseLimit: 1,
    },
    carIncluded: [
      {
        code: "SK_400",
        name: "400",
      },
    ],
    oneWay: "TRY0.00",
    locationFee: "0",
    pickupStationKey: null,
    returnStationKey: null,
    totalPrice: "TRY1539.00",
    equivalentTotalPrice: "0",
    basePrice: "TRY769.50",
    taxes: "TRY0",
    discount: "TRY0",
    fee: {
      code: null,
      price: "0",
    },
    commission: {
      code: null,
      price: "0",
      commissionType: 0,
      commissionValue: 0,
    },
    bankCampaingId: null,
    posKey: null,
    carRentalCompany: {
      name: "Sixt",
      code: "SXT",
    },
  },
};

const meta = {
  title: "Widgets/RentACarCard",
  component: RentACarCard,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
  args: {
    item: RentACarMockItem.item as any,
  },
  parameters: {
    // 👇 The viewports object from the Essentials addon
    viewport: {
      // 👇 The viewports you want to use
      viewports: INITIAL_VIEWPORTS,
      // 👇 Your own default viewport
    },
  },
} satisfies Meta<typeof RentACarCard>;

export default meta;

type Story = StoryObj<typeof RentACarCard>;

export const DefaultRentACarCard: Story = {};
