import { INITIAL_VIEWPORTS } from "@storybook/addon-viewport";
import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import RentACarRequestCard from "./rent-a-car-request-card";

const meta = {
  title: "Widgets/RentACarRequestCard",
  component: RentACarRequestCard,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
  args: {
    item: {
      id: 1387,
      cardTitle: "Ankara Seyahati",
      fuelType: 1,
      automaticTransmission: true,
      passengerCount: 5,
      returnCode: "Ankara Esenboğa Havalimanı",
      returnDate: "2024-02-11T12:00:00",
      pickupCode: "Ankara Esenboğa Havalimanı",
      pickupDate: "2024-02-09T12:00:00",
      carName: "Renault Clio Otomatik veya Benzeri",
      carType: 24,
      carImageUrl:
        "https://rentocloud.ams3.digitaloceanspaces.com/AracGrupResmi/AracGrup/d55c2480-99a9-4db3-8e59-713c4bd10474.png",
      totalPrice: "TRY1539.00",
      carRentalCompanyCode: "EC",
      requestStatus: 0,
      driverFullName: "Reşat YILDIZ",
    },
  },
  parameters: {
    // 👇 The viewports object from the Essentials addon
    viewport: {
      // 👇 The viewports you want to use
      viewports: INITIAL_VIEWPORTS,
      // 👇 Your own default viewport
    },
  },
} satisfies Meta<typeof RentACarRequestCard>;

export default meta;

type Story = StoryObj<typeof RentACarRequestCard>;

export const DefaultRentACarRequestCard: Story = {};
