import React from "react";

import Card from "@/components/ui/card/card";
import { cn } from "@/libs/utils";

import { Undefined } from "../../booking-request-card-detail/booking-request-card-detail";
import styles from "../../flight-request-card-detail/flight-request-card-detail.module.css";

type Props = {
  passengerInformation: any;
};

const RentACarRequestDetailPassengerSummary = ({
  passengerInformation,
}: Props) => {
  return (
    <Card className="p-8">
      <div className="flexitems-center mb-4 justify-between">
        <h2 className={cn(styles.title, "text-lg")}>Kişi Bilgileri</h2>
      </div>
      <div
        className={cn(
          "flex lg:grid mt-4 border border-gray-100 grid-cols-4 rounded-primary overflow-x-scroll scroll-bar",
        )}
      >
        <div className={cn(styles.rowCell, "min-w-[150px] lg:min-w-auto")}>
          <p className={cn(styles.heading, "p-2 bg-gray-100 text-xs")}>Durum</p>
          <p
            className={cn("p-2 text-gray-800 truncate")}
            title={`${passengerInformation?.Name} ${passengerInformation?.Surname}`}
          >
            {passengerInformation?.Id ? "Çalışan" : "Misafir"}
          </p>
        </div>
        <div className={cn(styles.rowCell, "min-w-[150px] lg:min-w-auto")}>
          <p className={cn(styles.heading, "p-2 bg-gray-100 text-xs")}>
            Ad Soyad
          </p>
          <p
            className={cn("p-2 text-gray-800 truncate")}
            title={`${passengerInformation?.Name} ${passengerInformation?.Surname}`}
          >
            {passengerInformation?.Name} {passengerInformation?.Surname}
          </p>
        </div>
        <div className={cn(styles.rowCell, "min-w-[150px] lg:min-w-auto")}>
          <p className={cn(styles.heading, "p-2 bg-gray-100 text-xs")}>
            Telefon Numarası
          </p>
          <p className={cn("p-2 text-gray-800")}>
            {passengerInformation?.PhoneNumbers?.[0]?.CountryCode}&nbsp;
            {passengerInformation?.PhoneNumbers?.[0]?.AreaCode}&nbsp;
            {passengerInformation?.PhoneNumbers?.[0]?.Number}
          </p>
        </div>
        <div className={cn(styles.rowCell, "min-w-[150px] lg:min-w-auto")}>
          <p className={cn(styles.heading, "p-2 bg-gray-100 text-xs")}>
            E-posta
          </p>
          <p className={cn("p-2 text-gray-800 truncate")} title="">
            {passengerInformation?.Email || <Undefined />}
          </p>
        </div>
      </div>
    </Card>
  );
};

export default RentACarRequestDetailPassengerSummary;
