/* eslint-disable jsx-a11y/img-redundant-alt */
/* eslint-disable @next/next/no-img-element */
import dayjs from "dayjs";
import React from "react";

import Card from "@/components/ui/card/card";
import { PriceManager } from "@/libs/price-manager/price-manager";
import { cn } from "@/libs/utils";
import type { Car } from "@/services/eva-display/rent-a-car/rent-a-car-detail/rent-a-car-detail.types";

import styles from "../../flight-request-card-detail/flight-request-card-detail.module.css";

type Props = {
  car: Car;
  travelReasonName: string;
  totalPrice: number;
};

const RentACarRequestDetailReservationInfo = ({
  car,
  travelReasonName,
  totalPrice,
}: Props) => {
  return (
    <Card className="p-8">
      <h2 className={cn(styles.title, "mb-4 text-lg")}>
        Rezervasyon Bilgileri
      </h2>
      <div className="grid grid-cols-1 gap-x-2 gap-y-3 md:grid-cols-2 lg:grid-cols-4">
        <div className={styles.rowCell}>
          <p className="font-medium text-gray-500">Alış Tarihi ve Saati</p>
          <p className="mt-1">
            {dayjs(car?.carDetail.pickupDate).format("DD MMM ddd, HH:mm")}
          </p>
        </div>
        <div className={styles.rowCell}>
          <p className="font-medium text-gray-500">Teslim Tarihi ve Saati</p>
          <p className="mt-1">
            {dayjs(car?.carDetail.returnDate).format("DD MMM ddd, HH:mm")}
          </p>
        </div>
        <div className={styles.rowCell}>
          <p className="font-medium text-gray-500">Seyahat Nedeni</p>
          <p className="mt-1">{travelReasonName || "Bilinmiyor"}</p>
        </div>
        <div className={styles.rowCell}>
          <p className="font-medium text-gray-500">Toplam Tutar</p>
          <p className="mt-1">
            {PriceManager({
              currency: "TRY",
              value: +(totalPrice || 0),
            })}
          </p>
        </div>
      </div>
    </Card>
  );
};

export default RentACarRequestDetailReservationInfo;
