import type { PropsWithChildren } from "react";

import BookingRequestCardHotel from "@/components/widget/request-card/booking-request-card/booking-request-card-hotel";
import BookingRequestCardNote from "@/components/widget/request-card/booking-request-card/booking-request-card-note";
import { cn } from "@/libs/utils";

import styles from "./booking-request-card.module.css";

interface BookingRequestCardProps extends PropsWithChildren {
  className?: string;
}

function BookingRequestCard(props: BookingRequestCardProps) {
  return (
    <div className={cn(styles.container, props.className, "group")}>
      {props.children}
    </div>
  );
}

BookingRequestCard.HotelCard = BookingRequestCardHotel;
BookingRequestCard.Note = BookingRequestCardNote;

export default BookingRequestCard;
