import { INITIAL_VIEWPORTS } from "@storybook/addon-viewport";
import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import RoomAllOptionModal from "./room-all-option-modal";

const meta = {
  title: "Widgets/RoomAllOptionModal",
  component: RoomAllOptionModal,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
  parameters: {
    // 👇 The viewports object from the Essentials addon
    viewport: {
      // 👇 The viewports you want to use
      viewports: INITIAL_VIEWPORTS,
      // 👇 Your own default viewport
    },
  },
} satisfies Meta<typeof RoomAllOptionModal>;

export default meta;

type Story = StoryObj<typeof RoomAllOptionModal>;

const images = [
  "https://cdng.jollytur.com/files/cms/media/hotel/room/b0a1a2bb-edaa-43af-8541-0373c52a5ef6.jpg",
  "https://cdng.jollytur.com/files/cms/media/hotel/room/b0a1a2bb-edaa-43af-8541-0373c52a5ef6.jpg",
];
const information =
  "<p>Bu otel dünyanın en iyi otelidir çok güzel yemekleri vardır efsanedir.</p>";

const attributes = [
  {
    key: "key",
    icon: "",
    description: "Bahçe manzarası",
    tooltip: "",
    order: 0,
  },
  {
    key: "key",
    icon: "",
    description: "Wifi",
    tooltip: "",
    order: 1,
  },
];

const facilities = [
  {
    name: "tv",
    key: "key",
    icon: "",
    description: "Led TV",
    tooltip: "led tooltip",
  },
  {
    name: "bar",
    key: "key",
    icon: "",
    description: "MiniBar",
    tooltip: "MiniBar tooltip",
  },
  {
    name: "fon",
    key: "key",
    icon: "",
    description: "Fön makinesi",
    tooltip: "Fön tooltip",
  },
];

export const DefaultRoomCard: Story = {
  render: () => {
    return (
      <div className="flex  flex-col gap-4">
        <RoomAllOptionModal
          roomTitle="Deluxe King Room"
          images={images}
          informationText={information}
          roomAttributes={attributes}
          roomFacilities={facilities}
        />
      </div>
    );
  },
};
