/* eslint-disable no-alert */
import { INITIAL_VIEWPORTS } from "@storybook/addon-viewport";
import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import type { RoomAvailableDatesModalProps } from "./room-available-dates-modal";
import RoomAvailableDatesModal from "./room-available-dates-modal";

const meta = {
  title: "Widgets/RoomAvailableDatesModal",
  component: RoomAvailableDatesModal,
  tags: ["autodocs"],
  args: {
    availableDates: [
      {
        date: "2024-08-05T00:00:00",
        status: 1,
      },
      {
        date: "2024-08-06T00:00:00",
        status: 1,
      },
      {
        date: "2024-08-07T00:00:00",
        status: 1,
      },
      {
        date: "2024-08-08T00:00:00",
        status: 1,
      },
      {
        date: "2024-08-09T00:00:00",
        status: 2,
      },
      {
        date: "2024-08-10T00:00:00",
        status: 2,
      },
      {
        date: "2024-08-11T00:00:00",
        status: 2,
      },
      {
        date: "2024-08-12T00:00:00",
        status: 2,
      },
      {
        date: "2024-08-13T00:00:00",
        status: 2,
      },
      {
        date: "2024-08-14T00:00:00",
        status: 2,
      },
      {
        date: "2024-08-15T00:00:00",
        status: 2,
      },
      {
        date: "2024-08-16T00:00:00",
        status: 2,
      },
      {
        date: "2024-08-17T00:00:00",
        status: 2,
      },
      {
        date: "2024-08-18T00:00:00",
        status: 2,
      },
      {
        date: "2024-08-19T00:00:00",
        status: 2,
      },
      {
        date: "2024-08-20T00:00:00",
        status: 2,
      },
      {
        date: "2024-08-21T00:00:00",
        status: 2,
      },
      {
        date: "2024-08-22T00:00:00",
        status: 2,
      },
      {
        date: "2024-08-23T00:00:00",
        status: 2,
      },
      {
        date: "2024-08-24T00:00:00",
        status: 2,
      },
      {
        date: "2024-08-25T00:00:00",
        status: 2,
      },
      {
        date: "2024-08-26T00:00:00",
        status: 2,
      },
    ] as unknown as RoomAvailableDatesModalProps["availableDates"],
  },
  argTypes: {
    onClickApply: { action: "onClickApply" },
  },
  decorators: ThemeProviderDecorators,
  parameters: {
    // 👇 The viewports object from the Essentials addon
    viewport: {
      // 👇 The viewports you want to use
      viewports: INITIAL_VIEWPORTS,
      // 👇 Your own default viewport
    },
  },
} satisfies Meta<typeof RoomAvailableDatesModal>;

export default meta;

type Story = StoryObj<typeof RoomAvailableDatesModal>;

export const DefaultRoomCard: Story = {};
