import { INITIAL_VIEWPORTS } from "@storybook/addon-viewport";
import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import RoomPriceDetail from "./room-price-detail";

const meta = {
  title: "Widgets/RoomPriceDetail",
  component: RoomPriceDetail,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
  parameters: {
    // 👇 The viewports object from the Essentials addon
    viewport: {
      // 👇 The viewports you want to use
      viewports: INITIAL_VIEWPORTS,
      // 👇 Your own default viewport
    },
  },
} satisfies Meta<typeof RoomPriceDetail>;

export default meta;

type Story = StoryObj<typeof RoomPriceDetail>;

export const DefaultRoomCard: Story = {
  render: () => {
    return <RoomPriceDetail title="Tek Kişilik Oda" price="₺650" />;
  },
};
