import React from "react";

import { PriceManager } from "@/libs/price-manager/price-manager";

export interface PriceDetailProps {
  price: string;
  title: string;
}

const RoomPriceDetail = ({ title, price }: PriceDetailProps) => {
  return (
    <div className="flex justify-between rounded-2xl border p-4">
      {price && (
        <>
          <p>{title}</p>
          <p>
            {price.slice(3, 4) !== "0" ? (
              PriceManager({
                currency: price.slice(0, 3),
                value: +price.slice(3),
              })
            ) : (
              <p className="font-semibold text-green-400">Ücretsiz</p>
            )}
          </p>
        </>
      )}
    </div>
  );
};

export default RoomPriceDetail;
