import { INITIAL_VIEWPORTS } from "@storybook/addon-viewport";
import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import RoomPriceInformationModal from "./room-price-information-modal";

const meta = {
  title: "Widgets/RoomPriceInformationModal",
  component: RoomPriceInformationModal,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
  parameters: {
    // 👇 The viewports object from the Essentials addon
    viewport: {
      // 👇 The viewports you want to use
      viewports: INITIAL_VIEWPORTS,
      // 👇 Your own default viewport
    },
  },
} satisfies Meta<typeof RoomPriceInformationModal>;

export default meta;

type Story = StoryObj<typeof RoomPriceInformationModal>;

const nightlyRateResults = [
  {
    date: "2023-11-30T00:00:00Z",
    basePrice: "TRY350",
    totalPrice: "TRY250",
    discount: "0",
  },
  {
    date: "2023-11-28T00:00:00Z",
    basePrice: "TRY350",
    totalPrice: "TRY250",
    discount: "0",
  },
  {
    date: "2023-11-27T00:00:00Z",
    basePrice: "TRY350",
    totalPrice: "TRY250",
    discount: "0",
  },
];

export const DefaultRoomCard: Story = {
  render: () => {
    return (
      <div className="flex  flex-col gap-4">
        <RoomPriceInformationModal
          totalPrice="TRY650"
          nightlyRateDescription="5 gece için"
          nightlyRateResults={nightlyRateResults}
        />
      </div>
    );
  },
};
