/* eslint-disable no-console */
import { INITIAL_VIEWPORTS } from "@storybook/addon-viewport";
import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import ShareButton from "./share-button";

const meta = {
  title: "Widgets/ShareButton",
  component: ShareButton,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
  parameters: {
    viewport: {
      viewports: INITIAL_VIEWPORTS,
    },
  },
} satisfies Meta<typeof ShareButton>;

export default meta;

type Story = StoryObj<typeof ShareButton>;

export const DefaultShareButton: Story = {
  render: () => {
    return (
      <div className="w-full max-w-[400px]">
        If your browser supports the Web Share API, you will see a share button
        below.
        <ShareButton />
      </div>
    );
  },
};
