import { INITIAL_VIEWPORTS } from "@storybook/addon-viewport";
import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import SortButtonGroup from "./sort-button-group";

const meta = {
  title: "Widgets/SortButtonGroup",
  component: SortButtonGroup,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
  args: {
    items: [
      { key: "recommendedSorting", label: "Önerilen Sıralama" },
      { key: "increasingPrice", label: "Artan Fiyat" },
      { key: "decreasingPrice", label: "Azalan Fiyat" },
    ],
    defaultActive: "recommendedSorting",
  },
  argTypes: {
    defaultActive: {
      control: {
        type: "text",
      },
    },
  },
  parameters: {
    // 👇 The viewports object from the Essentials addon
    viewport: {
      // 👇 The viewports you want to use
      viewports: INITIAL_VIEWPORTS,
      // 👇 Your own default viewport
    },
  },
} satisfies Meta<typeof SortButtonGroup>;

export default meta;

type Story = StoryObj<typeof SortButtonGroup>;

export const DefaultSortButtonGroup: Story = {
  args: {},
};
