/* eslint-disable no-console */
import { INITIAL_VIEWPORTS } from "@storybook/addon-viewport";
import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import TimePicker from "./time-picker";

const meta = {
  title: "Widgets/TimePicker",
  component: TimePicker,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
  args: {
    endTime: "20:00",
    rangeMinute: 15,
    startTime: "09:00",
    onChange: (time: string) => {
      console.log(time);
    },
  },
  parameters: {
    // 👇 The viewports object from the Essentials addon
    viewport: {
      // 👇 The viewports you want to use
      viewports: INITIAL_VIEWPORTS,
      // 👇 Your own default viewport
    },
  },
} satisfies Meta<typeof TimePicker>;

export default meta;

type Story = StoryObj<typeof TimePicker>;

export const DefaultTimePicker: Story = {
  render: () => {
    return (
      <div className="w-full max-w-[400px]">
        <TimePicker
          placeholder="12:30"
          value="12:30"
          startTime="09:00"
          endTime="20:00"
          rangeMinute={15}
          onChange={(time) => {
            console.log(time);
          }}
        />
      </div>
    );
  },
};
