/* eslint-disable no-console */
import { INITIAL_VIEWPORTS } from "@storybook/addon-viewport";
import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import TimeRange from "./time-range";

const meta = {
  title: "Widgets/Range/TimeRange",
  component: TimeRange,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
  args: {
    stepTime: 30,
    initialValue: {
      start: "04:00",
      end: "23:00",
    },
    onChange: console.log,
  },
  parameters: {
    // 👇 The viewports object from the Essentials addon
    viewport: {
      // 👇 The viewports you want to use
      viewports: INITIAL_VIEWPORTS,
      // 👇 Your own default viewport
    },
  },
} satisfies Meta<typeof TimeRange>;

export default meta;

type Story = StoryObj<typeof TimeRange>;

export const DefaultTimeRange: Story = {
  render: (props) => {
    return (
      <div className="w-full max-w-[400px]">
        <TimeRange {...props} />
      </div>
    );
  },
};
