/* eslint-disable react/jsx-key */
import React from "react";

import type { CampaignInformation } from "@/services/eva-display/tour/tour-search/tour-search.types";

interface TourProductDetailCampaignAdvantagesProps {
  showAll: boolean;
  tourCampaignInformationsList: CampaignInformation[];
}

export default function TourProductDetailCampaignAdvantages({
  showAll,
  tourCampaignInformationsList,
}: TourProductDetailCampaignAdvantagesProps) {
  return (
    <div className="flex flex-wrap justify-between gap-3">
      {(!showAll && tourCampaignInformationsList
        ? tourCampaignInformationsList.slice(0, 4)
        : tourCampaignInformationsList
      ).map((item) => (
        <div
          key={item.name}
          className="flex w-full items-center justify-between rounded-lg border border-gray-200 bg-gray-100 p-3 text-sm text-gray-500 md:w-[49%]"
        >
          {item.name}
        </div>
      ))}
    </div>
  );
}
