import { INITIAL_VIEWPORTS } from "@storybook/addon-viewport";
import type { Meta, StoryObj } from "@storybook/react";

import { ThemeProviderDecorators } from "@/storybook/Decorator";

import { TransferListItemCard } from "./transfer-card";

const meta = {
  title: "Widgets/TransferCard",
  component: TransferListItemCard,
  tags: ["autodocs"],
  decorators: ThemeProviderDecorators,
  args: {
    item: {
      imageUrl:
        "https://bizimtransfer.com/carimage/eccbc87e4b5ce2fe28308fd9f2a7baf3.jpg",
      title: "Özel Transfer - Minivan",
      maxPassengerCount: 4,
      startTimeFormated: "10:00",
      endTimeFormated: "12:00",
      priceFormated: "2.300,68 TL",
      discountFormated: "2.000,00 TL",
      hasBestPriceBadge: true,
      isEconomic: true,
    },
  },
  parameters: {
    // 👇 The viewports object from the Essentials addon
    viewport: {
      // 👇 The viewports you want to use
      viewports: INITIAL_VIEWPORTS,
      // 👇 Your own default viewport
    },
  },
} satisfies Meta<typeof TransferListItemCard>;

export default meta;

type Story = StoryObj<typeof TransferListItemCard>;

export const DefaultTransferCard: Story = {};
