import type { GroupsCustomersCounterProps } from "../components/rooms-and-customers-counter";

export const customerGroupSelectHelper = {
  getCustomersCount(
    groupsCustomerCounterProps: Pick<
      GroupsCustomersCounterProps,
      "value" | "items"
    >,
  ) {
    let count = 0;
    groupsCustomerCounterProps.value?.forEach((itemValue, index) => {
      const items =
        typeof groupsCustomerCounterProps.items === "function"
          ? groupsCustomerCounterProps.items(index)
          : groupsCustomerCounterProps.items;
      items?.forEach((item) => {
        const customer = itemValue[item.name];
        if (customer) {
          count += customer.count;
        }
      });
    });

    return count;
  },
};
