/* eslint-disable no-nested-ternary */
/* eslint-disable react/no-unused-prop-types */
import type { UseBooleanOutput } from "@/@types/types/boolean.types";
import LIcon from "@/components/ui/lucid-icon/lucid-icon";
import TriggerButton from "@/components/ui/trigger-button/trigger-button";
import { DateHelper } from "@/libs/helpers/date-time-helper";

import type { TpDatePickerProps } from "./tp-date-picker.types";

export const TpDatePickerTriggerButton = (
  props: TpDatePickerProps & {
    bool: UseBooleanOutput;
    onClick?: VoidFunction;
  },
) => {
  return (
    <TriggerButton
      isFocus={props.bool.value}
      size="lg"
      label={props.placeHolder}
      leftIcon={<LIcon name="Calendar" />}
      fullWidth
      onClick={props.onClick}
      value={
        props.value?.date
          ? `${DateHelper.formatDateToString(props.value.date)}`
          : props.bool.value
            ? "Tarih Seçin"
            : undefined
      }
    />
  );
};
