/* eslint-disable no-nested-ternary */
import type { UseBooleanOutput } from "@/@types/types/boolean.types";
import LIcon from "@/components/ui/lucid-icon/lucid-icon";
import TriggerButton from "@/components/ui/trigger-button/trigger-button";
import { useLocale } from "@/hooks/useLocale";
import { DateHelper } from "@/libs/helpers/date-time-helper";

import type { TpDateRangePickerProps } from "./tp-date-range-picker.types";

export const TpDateRangePickerTriggerButton = (
  props: TpDateRangePickerProps & {
    bool: UseBooleanOutput;
    onClick?: VoidFunction;
  },
) => {
  const { t } = useLocale();
  return (
    <TriggerButton
      id="tp-date-range-picker-trigger-button"
      className="bg-white"
      isFocus={props.bool.value}
      size="lg"
      label={t("Check-in and Check-out")}
      leftIcon={<LIcon name="Calendar" />}
      fullWidth
      onClick={props.onClick}
      value={
        props.value?.from
          ? `${DateHelper.formatDateToString(
              props.value.from,
            )} - ${DateHelper.formatDateToString(props.value.to)}`
          : props.bool.value
            ? t("Select Date")
            : undefined
      }
    />
  );
};
