import FormItem from "@/components/form/form-item";

export const AdvancedListSelectFilterItemType = "select";

export interface AdvancedListSelectFilterProps {
  title: string;
  name: string;
  items: { id: number; value: string }[];
}

const AdvancedListSelectFilter = (props: AdvancedListSelectFilterProps) => {
  return (
    <div>
      <FormItem name={props.name}>
        {({ field, setValue }) => (
          <div className="border">
            <span>{props.title}</span>
            <select
              onChange={(e) => {
                const item = props.items.find(
                  (_item) => _item.id === Number(e.target.value),
                );
                setValue(item);
              }}
            >
              {props.items.map((item) => (
                <option
                  selected={item.id === field.value?.id}
                  key={item.id}
                  value={item.id}
                >
                  {item.value}
                </option>
              ))}
            </select>
          </div>
        )}
      </FormItem>
    </div>
  );
};

export default AdvancedListSelectFilter;
