import React from "react";

import type { Car } from "@/services/eva-display/rent-a-car/rent-a-car-detail/rent-a-car-detail.types";

import { useBookingRequestRentACarChangeContext } from "../context/booking-request-car-rental-context";
import BookingRequestCarRentalCarSelect from "./booking-request-car-rental-car-selection";
import BookingRequestCarRentalSummary from "./booking-request-car-rental-summary";

type Props = {
  car: Car;
  searchRequest: string;
};

const BookingRequestCarRentalViews = (props: Props) => {
  const { activeStep, setSelectedCar } =
    useBookingRequestRentACarChangeContext();

  return activeStep === 0 ? (
    <BookingRequestCarRentalCarSelect
      setSelectedCar={setSelectedCar!}
      car={props.car}
      searchData={{
        CarRentalSearchRequest: JSON.parse(props.searchRequest),
      }}
    />
  ) : (
    <BookingRequestCarRentalSummary />
  );
};

export default BookingRequestCarRentalViews;
