/* eslint-disable react/no-unused-prop-types */
import {
  FlightBrand,
  FlightCard,
  FlightDetailAction,
  FlightInformation,
  FlightPrice,
  FlightTime,
} from "@/components/widget/flight-card/flight-card";
import type { PricingCombination2 } from "@/services/eva-display/demand/demand-service.types";

interface BRFCFlightCardProps {
  onActionClick: VoidFunction;
  pricingCombination: PricingCombination2;
}

const BRFCFlightCard = (props: BRFCFlightCardProps) => {
  return (
    <div className="flex flex-col overflow-hidden rounded-lg">
      <p className="bg-primary-50 px-4 py-1 font-semibold">Seçili Bilet</p>
      <div className="w-full">
        <FlightCard>
          <div className="flex justify-between">
            <FlightBrand
              logoSrc="https://seeklogo.com/images/T/turkish-airlines-logo-25BACC2D0C-seeklogo.com.png"
              brandName="Turkish Airlines"
              flightCode="TK283623"
            />
            <FlightTime
              totalFlightHours="2sa 15dk"
              flightStartTime="22:05"
              endStartTime="00:05"
              transferInformation="2 Aktarma"
              startIATACode="SAW"
              endIATACode="BUD"
              transferIATACodes="ABD,DER"
            />
            <FlightInformation
              seatInformation="Son iki Koltuk!"
              baggageInformation="15 Kg"
              flightClass="Ekonomi"
            />
            <FlightPrice price="2.781,68 TL" isOptimal />
          </div>
          <div className="flex flex-col gap-6">
            <FlightDetailAction
              infoText="Uçuş hizmetinizin bir bölümü Anadolu Jet tarafından yürütülecektir."
              onClick={props.onActionClick}
              buttonVariant="outline-primary"
              buttonText="Değiştirmeden İlerle"
              isOpen
            />
          </div>
        </FlightCard>
      </div>
    </div>
  );
};

export default BRFCFlightCard;
