import FlightListResult from "@/features/flight/components/flight-list/components/flight-list-result";
import { getCityName } from "@/libs/helpers/flight-helper";
import type { BookingRequestFlightSegment } from "@/services/eva-display/demand/demand-service.types";
import type { PassengerList } from "@/services/eva-display/flight/flight-search/flight-search-services.types";

interface FlightSearchResultProps {
  segments: {
    departure: BookingRequestFlightSegment | undefined;
    arrival: BookingRequestFlightSegment | undefined;
  };
  onItemSelect: (
    item: any,
    flightDetail: {
      productKey: string;
      searchId: string;
      passengers: PassengerList[];
      combinationGroupKeys?: string[] | undefined;
    },
  ) => void;
}

const FlightSearchResult = ({
  segments,
  onItemSelect,
}: FlightSearchResultProps) => {
  return (
    <div className="flex justify-start gap-4">
      <div className="flex grow flex-col gap-2">
        <FlightListResult
          headerProps={{
            renderHeader() {
              return (
                <div>
                  <h2 className="text-2xl font-semibold">Alternatif Uçuşlar</h2>
                  <p className="font-medium">
                    {`${getCityName(
                      segments.departure?.Origin,
                    )} - ${getCityName(segments.arrival?.Destination)}`}
                  </p>
                </div>
              );
            },
          }}
          onItemSelect={onItemSelect}
        />
      </div>
    </div>
  );
};

export default FlightSearchResult;
