import { Button } from "@/components/ui/button/button";
import type { ModalProps } from "@/components/ui/modal/modal";
import {
  Modal,
  ModalDescription,
  ModalHeader,
  ModalTitle,
} from "@/components/ui/modal/modal";

interface BRInfoMessageProps extends ModalProps {
  message: string;
  title: string;
  onClose?: VoidFunction;
  onOk?: VoidFunction;
}

export const BRInfoMessage: React.FC<BRInfoMessageProps> = ({
  message,
  title,
  onClose,
  onOk,
  ...props
}: BRInfoMessageProps) => {
  return (
    <Modal
      open={props.open}
      variant={props.variant}
      header={
        <ModalHeader>
          <ModalTitle>{title}</ModalTitle>
          <ModalDescription>{message}</ModalDescription>
        </ModalHeader>
      }
      footer={
        <div className="mt-5 flex justify-end">
          <Button
            onClick={() => {
              onOk?.();
            }}
            variant="primary"
          >
            Tamam
          </Button>
        </div>
      }
      onClose={() => {
        onClose?.();
      }}
      onCancel={() => {
        onClose?.();
      }}
      onOk={() => {
        onOk?.();
      }}
    />
  );
};
