/* eslint-disable no-nested-ternary */
import React from "react";

import {
  DropdownMenu,
  DropdownMenuContent,
  DropdownMenuItem,
  DropdownMenuTrigger,
} from "@/components/ui/dropdown-menu/dropdown-menu";
import LIcon from "@/components/ui/lucid-icon/lucid-icon";
import TriggerButton from "@/components/ui/trigger-button/trigger-button";

/**
 * @todo - add translation fot these text
 */
const dropdownItems = [
  {
    title: "Artan Fiyat",
    value: 1,
  },
  {
    title: "Azalan Fiyat",
    value: 2,
  },
  {
    title: "Önerilen",
    value: 3,
  },
];

interface BRListSortingDropdownProps {
  value: number;
  onChange: (value: number) => void;
}
const BRListSortingDropdown = (props: BRListSortingDropdownProps) => {
  const handleChange = (value: number) => {
    props.onChange(value);
  };

  return (
    <DropdownMenu>
      <DropdownMenuTrigger className="w-full max-w-[218px] flex-1 md:flex-auto">
        <TriggerButton
          /**
           * @todo - add translation fot these text
           */
          label="Sıralama"
          fullWidth
          size="lg"
          value={
            props.value === 1
              ? "Artan Fiyat"
              : props.value === 2
                ? "Azalan Fiyat"
                : "Önerilen"
          }
          className="bg-white"
          rightIcon={<LIcon name="ChevronDown" height={24} width={24} />}
        />
      </DropdownMenuTrigger>
      <DropdownMenuContent className="w-[218px]">
        {dropdownItems.map((item) => (
          <DropdownMenuItem
            key={item.value}
            onClick={() => handleChange(item.value)}
            className="px-[14px] py-[10px]"
          >
            {item.title}
          </DropdownMenuItem>
        ))}
      </DropdownMenuContent>
    </DropdownMenu>
  );
};

export default BRListSortingDropdown;
