import type { ITransferBookingRequest } from "@/models/booking-request.model";
import { useTransferCreatePostMutation } from "@/services/eva-display/transfer/transfer-create-post/transfer-create-post.service";

interface UseBookingRequestTransferChangeVariables {
  transferBookingRequest: ITransferBookingRequest;
  searchId: string;
  detailKeys: string[];
  searchItemKey: string;
}

export const useBookingRequestTransferChange = (
  variables: UseBookingRequestTransferChangeVariables,
) => {
  const createPostMutation = useTransferCreatePostMutation();

  function changeBookingRequest(params: { cartId: string }) {
    return createPostMutation.mutateAsync({
      CorpCreateTransferRequest: {
        SearchId: variables.searchId,
        CartId: params.cartId,
        RequestId: variables.transferBookingRequest.id,
        TravelReasonId: variables.transferBookingRequest.travelReasonId,
        LinkId: "",
        PassengerInformations:
          variables.transferBookingRequest.passengerInformations!,
        IsPreBook: true,
        KvkkStatus: false,
        RequesterUserIds:
          variables.transferBookingRequest.requesterUserIds ?? [],
        SearchProductKey: variables.searchItemKey,
        ProductKeys: variables.detailKeys,
      },
    });
  }

  return {
    changeBookingRequest,
    isLoading: createPostMutation.isLoading,
  };
};
