import Card from "@/components/ui/card/card";
import { cn } from "@/libs/utils";

interface ChoosedRoomCardProps {
  title?: string;
  description?: string;
  className?: string;
  directionInfo?: string;
}

const ChoosedRoomCard = (props: ChoosedRoomCardProps) => {
  return (
    <Card className={cn(props.className, "p-4")}>
      <h4 className="text-base font-medium">
        {props?.title},{" "}
        <span className="text-sm font-medium text-gray-500">
          {props.directionInfo}
        </span>
      </h4>
      <p className="text-sm font-medium capitalize text-gray-500">
        {props?.description}
      </p>
    </Card>
  );
};

export default ChoosedRoomCard;
