import type { FC } from "react";

import type { ButtonProps } from "@/components/ui/button/button";
import { Button } from "@/components/ui/button/button";
import { useLocale } from "@/hooks/useLocale";

type SummaryStatus =
  | "booking-request"
  | "booking-validation"
  | "booking-payment"
  | "booking-confirm";

interface CoreSummaryActionButtonProps
  extends Omit<ButtonProps, "type" | "children"> {
  status: SummaryStatus;
}

const CoreSummaryActionButton: FC<CoreSummaryActionButtonProps> = (props) => {
  const { t } = useLocale();
  function getLabel() {
    switch (props.status) {
      case "booking-request":
        return "Talep Oluştur";
      case "booking-validation":
        return t("Proceed to Payment");
      case "booking-payment":
        return t("Book");
      case "booking-confirm":
        return "Devam Et";
      default:
        return "İlerle";
    }
  }

  const label = getLabel();

  return (
    <Button type="button" {...props}>
      {label}
    </Button>
  );
};

export default CoreSummaryActionButton;
