import { PriceManager } from "@/libs/price-manager/price-manager";

import { useCoreSummaryCtx } from "../context/core-summary-context";

export function CoreSummaryAdditionalPrices() {
  const { state } = useCoreSummaryCtx();

  if (state.discounts.length === 0) {
    return null;
  }

  return (
    <div className="max-w-full text-sm">
      {state.discounts.map((discount) => (
        <div className="flex items-center justify-between" key={discount.code}>
          <p>{discount.title}</p>
          <p>
            -
            {PriceManager({
              currency: discount.currency,
              value: discount.price,
            })}
          </p>
        </div>
      ))}
    </div>
  );
}
