import type { PropsWithChildren } from "react";

import {
  AdditionalServicesCard,
  AdditionalServicesWrapper,
} from "@/components/widget/additional-services/additional-services";
import { useApp } from "@/hooks/useApp";
import { useLocale } from "@/hooks/useLocale";

interface CoreSummaryAdditionalServiceProps extends PropsWithChildren {
  showTitle?: boolean;
}

const CoreSummaryAdditionalService = ({
  showTitle = true,
  ...props
}: CoreSummaryAdditionalServiceProps) => {
  const { isB2C } = useApp();
  const { t } = useLocale();

  return (
    <div className="flex flex-col gap-4">
      {showTitle && isB2C && (
        <h2 className="text-2xl font-semibold text-[#01133D]">
          {t("Additional services")}
        </h2>
      )}
      <AdditionalServicesWrapper>{props.children}</AdditionalServicesWrapper>
    </div>
  );
};

export const CoreSummaryAdditionalServiceItem = AdditionalServicesCard;

export default CoreSummaryAdditionalService;
