import React from "react";

import {
  AdditionalServicesDescription,
  AdditionalServicesTitle,
} from "@/components/widget/additional-services/additional-services";
import { useApp } from "@/hooks/useApp";
import { useLocale } from "@/hooks/useLocale";

const CoreSummaryCancelWarrantyTitle = () => {
  const { isB2C } = useApp();
  const { t } = useLocale();
  return (
    <>
      <AdditionalServicesTitle
        title={
          isB2C ? t("Cancellation Assurance Package") : t("Additional services")
        }
      />
      {isB2C && (
        <AdditionalServicesDescription
          description={t(
            "Has your vacation plan changed? No problem, because with the Cancellation Assurance Package, your unconditional change and cancellation rights are safe for up to 72 hours.",
          )}
        />
      )}
    </>
  );
};

export default CoreSummaryCancelWarrantyTitle;
