"use client";

import { createContext, useContext } from "react";

import type { ProviderProps } from "@/@types/types/provider-props.types";

interface ICustomerInfoSelectCtx {
  isShowDropdown: boolean;
  setShowDropdown: (isShow: boolean) => void;
  onChange: (value: string) => void;
  value: string | null;
}

const CustomerInfoSelectCtx = createContext<ICustomerInfoSelectCtx>(
  {} as ICustomerInfoSelectCtx,
);

export const CustomerInfoSelectProvider = ({
  children,
  ...props
}: ProviderProps & ICustomerInfoSelectCtx) => {
  return (
    <CustomerInfoSelectCtx.Provider value={props}>
      {children}
    </CustomerInfoSelectCtx.Provider>
  );
};

export const useCustomerInfoSelectCtx = () => {
  return useContext(CustomerInfoSelectCtx);
};
