import BookingRequestListItem from "@/features/demand/components/demand-list/components/booking-request-list-item";
import FlightRequestListItem from "@/features/demand/components/demand-list/components/flight-request-list-item";

import TransferRequestListItem from "./components/transfer-request-list-item";

interface BookingRequestListItemProps {
  items: any;
}

const BookingRequestList = ({ items }: BookingRequestListItemProps) => {
  return (
    <div>
      {items.map((item: any) => {
        const moduleType = item.moduleName;
        if (moduleType === "Hotel") {
          return <BookingRequestListItem item={item} key={item.id} />;
        }
        if (moduleType === "Flight") {
          return <FlightRequestListItem item={item} key={item.id} />;
        }
        if (moduleType === "Transfer") {
          return <TransferRequestListItem item={item} key={item.id} />;
        }
        return <div key={item.id}>module bulunamadi {item.moduleName}</div>;
      })}
    </div>
  );
};

export default BookingRequestList;
