import BookingRequest from "@/components/widget/request-card/booking-request-card/booking-request-card";
import { ModuleCtx } from "@/features/modules/context/module-context";
import type { IBookingRequestItem } from "@/services/eva-display/demand/demand-service.types";
import type { IDisplayInformations } from "@/services/eva-display/demand/display-information/display-information";
import type { IPassengerInformation } from "@/services/eva-display/demand/passenger-information/passenger-information";
import type { IReservationData } from "@/services/eva-display/demand/reservation-data/reservation-data";

interface DemandListItemProps {
  item: IBookingRequestItem;
}

const BookingRequestListItem = ({ item }: DemandListItemProps) => {
  const { displayInformations, passengerInformations, reservationData } = item;
  return (
    <ModuleCtx moduleName="Hotel">
      <BookingRequest className="mt-4 first:mt-0">
        <BookingRequest.HotelCard
          item={item as unknown as IBookingRequestItem}
          reservationData={reservationData as unknown as IReservationData}
          passengerInformations={
            passengerInformations as unknown as IPassengerInformation
          }
          displayInformations={
            displayInformations as unknown as IDisplayInformations
          }
        />
      </BookingRequest>
    </ModuleCtx>
  );
};

export default BookingRequestListItem;
