import { Search } from "lucide-react";
import React from "react";

import { Input } from "@/components/ui/input/input";

interface BookingRequestSearchInputProps {
  placeholder?: string;
  defaultValue?: string;
  onChange(value: string): void;
}

const BookingRequestSearchInput = (props: BookingRequestSearchInputProps) => {
  const handleChange = (e: any) => {
    const { value } = e.target;
    props.onChange(value);
    return false;
  };

  return (
    <Input
      leftIcon={<Search />}
      placeholder={props.placeholder}
      defaultValue={props.defaultValue}
      className=""
      onChange={handleChange}
    />
  );
};

export default BookingRequestSearchInput;
