import PlaneRequestCard from "@/components/widget/request-card/flight-request-card/flight-request-card";
import { ModuleCtx } from "@/features/modules/context/module-context";
import type { IBookingRequestItem } from "@/services/eva-display/demand/demand-service.types";
import type { IFlightBookedProduct } from "@/services/eva-display/demand/flight-booked-product/flight-booked-product";
import type { IPlaneReservationData } from "@/services/eva-display/demand/flight-reservation-data/flight-reservation-data";
import type { IPassengerInformation } from "@/services/eva-display/demand/passenger-information/passenger-information";

interface DemandListItemProps {
  item: IBookingRequestItem;
}

const FlightRequestListItem = ({ item }: DemandListItemProps) => {
  const { bookedProduct, passengerInformations, reservationData } = item;

  return (
    <ModuleCtx moduleName="Flight">
      <PlaneRequestCard
        className="mt-4 first:mt-0"
        bookedProduct={bookedProduct as unknown as IFlightBookedProduct}
        reservationData={reservationData as unknown as IPlaneReservationData}
        passengerInformations={
          passengerInformations as unknown as IPassengerInformation
        }
        item={item}
      />
    </ModuleCtx>
  );
};

export default FlightRequestListItem;
