import React from "react";

import TransferRequestCard from "@/components/widget/request-card/transfer-request-card/transfer-request-card";
import type { IBookingRequestItem } from "@/services/eva-display/demand/demand-service.types";
import type { IPassengerInformation } from "@/services/eva-display/demand/passenger-information/passenger-information";
import type { ITransferBookedProduct } from "@/services/eva-display/demand/transfer-booked-product/transfer-booked-product";
import type { ITransferReservationData } from "@/services/eva-display/demand/transfer-reservation-data/transfer-reservation-data";

interface TransferRequestItemProps {
  item: IBookingRequestItem;
}

const TransferRequestListItem = ({ item }: TransferRequestItemProps) => {
  const { bookedProduct, passengerInformations, reservationData } = item;

  return (
    <TransferRequestCard
      className="mt-4 first:mt-0"
      bookedProduct={bookedProduct as unknown as ITransferBookedProduct}
      reservationData={reservationData as unknown as ITransferReservationData}
      passengerInformations={
        passengerInformations as unknown as IPassengerInformation
      }
      item={item}
    />
  );
};

export default TransferRequestListItem;
