"use client";

import { useMediaQuery } from "usehooks-ts";

import { useFlightListContext } from "../flight-list/context/flight-list-context";
import FlightFilterModal from "./flight-filter-modal";
import FlightSortModal from "./flight-sort-modal";

const FlightFilterSort = () => {
  const isDesktop = useMediaQuery("(min-width: 768px)");

  const { data, isLoading } = useFlightListContext();

  if ((!isLoading && isDesktop) || data?.combinationGroups?.length === 0)
    return null;

  return (
    <div>
      <div className="flex items-center gap-2">
        <FlightFilterModal />
        <FlightSortModal />
      </div>
    </div>
  );
};

export default FlightFilterSort;
