import React from "react";

import type { RangeValue } from "@/components/ui/range-slider/range-slider";
import PriceRange from "@/components/widget/price-range/price-range";

import { useFlightListContext } from "../context/flight-list-context";

const FlightListFilterPriceRange = () => {
  const { data, applyPriceRangeFilter, requestVariables } =
    useFlightListContext();
  /**
   * This value should be dynamic according to the search result
   */
  const start = 500;
  /**
   * This value should be dynamic according to the search result
   */
  const end = 15000;

  const handleChange = (value: RangeValue) => {
    if (applyPriceRangeFilter) applyPriceRangeFilter(value.start, value.end);
  };

  return (
    <PriceRange
      rangeValues={{
        start: data?.filterResult.minPrice || start,
        end: data?.filterResult.maxPrice || end,
      }}
      initalRangeValues={{
        start:
          requestVariables?.Filter.PriceMin ||
          data?.filterResult.minPrice ||
          start,
        end:
          requestVariables?.Filter.PriceMax ||
          data?.filterResult.maxPrice ||
          end,
      }}
      onChange={handleChange}
    />
  );
};

export default FlightListFilterPriceRange;
