import React from "react";

import {
  DropdownMenu,
  DropdownMenuContent,
  DropdownMenuItem,
  DropdownMenuTrigger,
} from "@/components/ui/dropdown-menu/dropdown-menu";
import LIcon from "@/components/ui/lucid-icon/lucid-icon";
import TriggerButton from "@/components/ui/trigger-button/trigger-button";

import { useFlightListContext } from "../context/flight-list-context";

/**
 * @todo - add translation fot these text
 */
const dropdownItems = [
  {
    title: "Artan Fiyat",
    value: 1,
  },
  {
    title: "Azalan Fiyat",
    value: 2,
  },
];

const FlightListOrderDropdown = () => {
  const { requestVariables, applyOrderFilter } = useFlightListContext();

  const handleChange = (value: number) => {
    if (applyOrderFilter && value !== requestVariables?.Filter.Order) {
      applyOrderFilter(value);
    }
  };

  return (
    <DropdownMenu>
      <DropdownMenuTrigger className="w-full max-w-[218px] flex-1 md:flex-auto">
        <TriggerButton
          /**
           * @todo - add translation fot these text
           */
          label="Sıralama"
          fullWidth
          size="lg"
          value={
            dropdownItems.find(
              (item) => item.value === requestVariables?.Filter.Order,
            )?.title
          }
          className="bg-white"
          rightIcon={<LIcon name="ChevronDown" height={24} width={24} />}
        />
      </DropdownMenuTrigger>
      <DropdownMenuContent className="w-[218px]">
        {dropdownItems.map((item) => (
          <DropdownMenuItem
            key={item.value}
            onClick={() => handleChange(item.value)}
            className="px-[14px] py-[10px]"
          >
            {item.title}
          </DropdownMenuItem>
        ))}
      </DropdownMenuContent>
    </DropdownMenu>
  );
};

export default FlightListOrderDropdown;
