import { createContext, useContext } from "react";

interface IFlightSummaryContext {
  searchId: string;
  pricingCombinationKeys: string[];
  combinationGroupKeys: string[];
  passengers: any[];
  tpPassengers: any;
  employees: any[];
  isAbroad: boolean;
  travelReasonId?: number | string;
  branchOfficeId?: number | string;
}

export const FlightSummaryContext = createContext<IFlightSummaryContext>(
  {} as IFlightSummaryContext,
);

export const FlightSummaryCtxProvider = FlightSummaryContext.Provider;

export const useFlighSummaryCtx = () => {
  const context = useContext(FlightSummaryContext);
  if (!context) {
    throw new Error(
      "useFlighSummaryContext must be used within a FlightSummaryProvider",
    );
  }
  return context;
};
