"use client";

import { useMediaQuery } from "usehooks-ts";

import { useHotelSearch } from "../../hooks/use-hotel-search";
import { useHotelListContext } from "../hotel-list/context/hotel-list-context";
import FilterModal from "./filter-modal";
import SortModal from "./sort-modal";

const FilterSort = () => {
  const isDesktop = useMediaQuery("(min-width: 768px)");

  const { isReady: isHotelSearchReady } = useHotelSearch();
  const { hotelList } = useHotelListContext();

  if (isDesktop || !isHotelSearchReady || hotelList?.length === 0) return null;

  return (
    <div>
      <div className="flex items-center gap-2">
        <FilterModal />
        <SortModal />
      </div>
    </div>
  );
};

export default FilterSort;
