import React from "react";

import Card from "@/components/ui/card/card";
import HotelProductDetailEvents from "@/components/widget/hotel-product-detail/hotel-product-detail-events/hotel-product-detail-events";
import { DateHelper } from "@/libs/helpers/date-time-helper";
import type { HotelAddon } from "@/services/eva-display/hotel/hotel-detail/hotel-detail-services.types";

type Props = {
  items?: HotelAddon[];
};

const HotelDetailEvents = ({ items }: Props) => {
  return (
    items && (
      <Card
        className="flex scroll-mt-16 flex-col gap-6 bg-white p-5 md:scroll-mt-48"
        id="events"
      >
        <HotelProductDetailEvents
          items={items.map((item) => ({
            imageUrl: item?.imagePaths?.[0] || "",
            title: item.name,
            description: DateHelper.dayjs(
              item.startDate as unknown as Date,
            ).format("DD MMMM YYYY"),
          }))}
        />
      </Card>
    )
  );
};

export default HotelDetailEvents;
