import Card from "@/components/ui/card/card";
import type { HotelOtherInfo } from "@/components/widget/hotel-product-detail/hotel-product-detail-other-info/hotel-product-detail-other-info";
import HotelProductDetailOtherInfo from "@/components/widget/hotel-product-detail/hotel-product-detail-other-info/hotel-product-detail-other-info";
import type { Season } from "@/services/eva-display/hotel/hotel-detail/hotel-detail-services.types";

export interface HotelDetailOtherInfoProps {
  season: Season[];
}

const HotelDetailOtherInfo = ({ season }: HotelDetailOtherInfoProps) => {
  function getHotelOtherInfo() {
    const temp: HotelOtherInfo[] = [];
    season
      .filter((data) => data.isCurrent || data.id === 0)
      .forEach((data) => {
        data.descriptions?.forEach((item) => {
          if (
            item.descriptionTypeId !== 1 &&
            temp.some((i) => i.id === item.descriptionTypeId) === false
          ) {
            if (item.description !== "") {
              temp.push({
                label: item.descriptionTypeText,
                value: item.description,
                id: item.descriptionTypeId,
              });
            }
          }
        });
      });
    return temp;
  }

  const hotelOtherInfo = getHotelOtherInfo();

  if (hotelOtherInfo.length === 0) {
    return null;
  }
  return (
    <Card
      className="flex scroll-mt-16 flex-col gap-6 bg-white p-5 md:scroll-mt-48"
      id="otherInformation"
    >
      <HotelProductDetailOtherInfo hotelOtherInfo={hotelOtherInfo} />
    </Card>
  );
};

export default HotelDetailOtherInfo;
