import Card from "@/components/ui/card/card";
import type {
  SeasonFacilitiesType,
  SeasonType,
} from "@/components/widget/hotel-product-detail/hotel-product-detail-services-and-facilities/hotel-product-detail-services-and-facilities";
import HotelProductDetailServicesAndFacilities from "@/components/widget/hotel-product-detail/hotel-product-detail-services-and-facilities/hotel-product-detail-services-and-facilities";
import type { Season } from "@/services/eva-display/hotel/hotel-detail/hotel-detail-services.types";

interface HotelDetailServicesAndFacilitiesType {
  seasons: Season[];
}

const HotelDetailServicesAndFacilities = ({
  seasons,
}: HotelDetailServicesAndFacilitiesType) => {
  function getSeason() {
    const temp: SeasonType[] = [];
    const tempFaciliest: SeasonFacilitiesType[] = [];
    seasons?.forEach((data: Season) => {
      if (data.id === 0 || data.isCurrent)
        data.facilities?.forEach((facilities) => {
          tempFaciliest.push({
            icon: facilities.icon,
            type: facilities.type,
            name: facilities.name,
          });
        });

      if (data.id === 0 || data.isCurrent)
        temp.push({
          id: data.id,
          endDate: data.endDate,
          startDate: data.startDate,
          isCurrent: data.isCurrent,
          name: data.name,
          facilities: tempFaciliest,
        });
    });

    return temp;
  }

  const seasonInformation: SeasonType[] = getSeason();

  if (
    seasonInformation.length === 0 ||
    seasonInformation.find((item) => item.facilities.length === 0)
  ) {
    return null;
  }
  return (
    <Card
      className="flex scroll-mt-16 flex-col gap-6 bg-white p-5 md:scroll-mt-48"
      id="facilities"
    >
      <HotelProductDetailServicesAndFacilities season={seasonInformation} />
    </Card>
  );
};
export default HotelDetailServicesAndFacilities;
