import ListTile from "@/components/ui/list-tile/list-tile";
import { Skeleton } from "@/components/ui/skeleton/skeleton";
import TpSearch from "@/components/widget/travel-planner/components/tp-search/tp-search";
import { useLocale } from "@/hooks/useLocale";
import type { HotelListLocation } from "@/services/eva-display/hotel/hotel-search/hotel-search-services.types";
import { FilterPropertyEnum } from "@/services/eva-display/hotel/hotel-search/hotel-search-services.types";

import { useHotelListContext } from "../context/hotel-list-context";

const HotelListFilterSearchHotel = () => {
  const { isLoading, hotelListResponse, applyFilter, requestData } =
    useHotelListContext();
  const { t } = useLocale();

  const handleSelect = (hotelItem: HotelListLocation) => {
    if (applyFilter)
      applyFilter(FilterPropertyEnum.HOTEL_NAME, hotelItem.value);
  };

  return isLoading ? (
    <Skeleton style={{ height: 40 }} />
  ) : (
    hotelListResponse?.filterResult[FilterPropertyEnum.HOTEL_NAMES] &&
      hotelListResponse?.filterResult[FilterPropertyEnum.HOTEL_NAMES].length >
        0 && (
        <TpSearch
          renderItem={(item) => (
            <ListTile className="w-full text-gray-500" title={item.value} />
          )}
          onSelect={handleSelect}
          data={
            hotelListResponse?.filterResult[FilterPropertyEnum.HOTEL_NAMES] ||
            []
          }
          placeholder={`${t("Hotel")} ${t("Search")}`}
          title={`${t("Hotel")} ${t("Search")}`}
          queryLengthLimit={0}
          defaultQuery={requestData?.filter?.hotelName}
          shouldFilter
        />
      )
  );
};
export default HotelListFilterSearchHotel;
