import type { PropsWithChildren } from "react";
import React from "react";

import HotelListFilterAll from "./hotel-list-filter-all";
import HotelListFilterSearchHotel from "./hotel-list-filter-search-hotel";
import HotelListFilterTotalCount from "./hotel-list-filter-total-count";

const HotelListFilterWrapper = ({ children }: PropsWithChildren) => (
  <div className="flex w-full max-w-[248px] flex-col gap-4">{children}</div>
);

const HotelListFilter = () => {
  return (
    <HotelListFilterWrapper>
      <HotelListFilterTotalCount />
      {/* @todo - implement with otels */}
      <HotelListFilterSearchHotel />
      <HotelListFilterAll />
    </HotelListFilterWrapper>
  );
};

export default HotelListFilter;
