import Card from "@/components/ui/card/card";
import LIcon from "@/components/ui/lucid-icon/lucid-icon";
import type { IRoomItem } from "@/services/eva-display/hotel/hotel-add-to-cart/hotel-add-to-card-services.types";

import HotelSummaryRoomCustomers from "./hotel-summary-room-customer";

interface HotelSummaryRoomProps {
  room: IRoomItem;
  roomIndex: number;
  customers: {
    employee: number;
    guest: number;
    child: number;
  };
}

const HotelSummaryRoom = ({
  room,
  customers,
  roomIndex,
}: HotelSummaryRoomProps) => {
  return (
    <Card>
      <div>
        <h3 className="font-semibold">{room.roomTitle}</h3>
        <div className="flex gap-4">
          <div className="flex items-center gap-1 text-sm text-gray-500">
            <LIcon name="User" className="w-3" />
            <span>{customers.employee + customers.guest} Yetişkin</span>
          </div>
          {Boolean(customers.child > 0) && (
            <div className="flex items-center gap-1 text-sm text-gray-500">
              <LIcon name="User" className="w-3" />
              <span>{customers.child} Çocuk</span>
            </div>
          )}
          <div className="flex items-center gap-1 text-sm text-gray-500">
            <LIcon name="Check" className="w-3" />
            <span>{room.mealType}</span>
          </div>
        </div>
      </div>

      <hr className="my-4" />

      <HotelSummaryRoomCustomers
        employeeCount={customers.employee}
        guestCount={customers.guest}
        childCount={customers.child}
        roomIndex={roomIndex}
      />
    </Card>
  );
};

export default HotelSummaryRoom;
