"use client";

import { z } from "zod";

import { localeStorageHelper } from "@/libs/helpers/locale-storage-helper";

import { HotelSummaryData } from "./hotel-summary-data";

const storagedCardValueScheme = z.object({
  productKey: z.string(),
  searchId: z.string(),
});

const HotelSummary = () => {
  function getAddToCardVariables() {
    const cartStoragedData = localeStorageHelper.get("cart");
    const cartStoragedDataParsed =
      storagedCardValueScheme.safeParse(cartStoragedData);

    if (!cartStoragedDataParsed.success) {
      return null;
    }

    return cartStoragedDataParsed.data;
  }

  const variables = getAddToCardVariables();

  if (!variables) {
    return <div>NO Variables</div>;
  }

  return <HotelSummaryData variables={variables} />;
};

export default HotelSummary;
