import type { PropsWithChildren } from "react";
import React, { createContext, useContext } from "react";

type ModuleName = "Hotel" | "Flight" | "Transfer";

const ModuleNameContext = createContext<ModuleName>("Hotel");

export const useModuleCtx = () => useContext(ModuleNameContext);

interface ModuleCtxProps extends PropsWithChildren {
  moduleName: ModuleName;
}

export const ModuleCtx = ({ moduleName, children }: ModuleCtxProps) => {
  return (
    <ModuleNameContext.Provider value={moduleName}>
      {children}
    </ModuleNameContext.Provider>
  );
};
