"use client";

import React from "react";

import type { IHotelRoomSearchRequest } from "@/services/eva-display/hotel/hotel-room-search/hotel-room-search-services.types";

import HotelWidgetContent from "./components/hotel-widget-content";
import { useHotelWidgetTravelPlanner } from "./hooks/use-hotel-widget-travel-planner";
import HotelWidgetTravelPlanner from "./travel-planner/components/hotel-widget-travel-planner";

const HotelWidget = () => {
  const { isReady, getRoomSearchPayload } = useHotelWidgetTravelPlanner();
  const parameters: IHotelRoomSearchRequest | null = getRoomSearchPayload();

  if (!isReady) {
    return null;
  }
  return (
    <div>
      <HotelWidgetTravelPlanner />
      {parameters && <HotelWidgetContent parameters={parameters} />}
    </div>
  );
};

export default HotelWidget;
