import React from "react";

import CoreSummaryAdditionalService from "@/features/core/summary/components/core-summary-additional-service";
import CoreSummaryEventsTitle from "@/features/core/summary/components/core-summary-events-title";
import type { IOptionalAddOns } from "@/services/eva-display/hotel/hotel-add-to-cart/hotel-add-to-card-services.types";

import HotelSummaryEventAddon from "./hotel-summary-event-addon";

interface HotelSummaryEventsProps {
  optionalAddOns: IOptionalAddOns[];
}

const HotelSummaryEvents = ({ optionalAddOns }: HotelSummaryEventsProps) => {
  return (
    <CoreSummaryAdditionalService showTitle={false}>
      <CoreSummaryEventsTitle />
      {optionalAddOns?.map((addOn) => (
        <HotelSummaryEventAddon key={addOn.key} addOn={addOn} />
      ))}
    </CoreSummaryAdditionalService>
  );
};

export default HotelSummaryEvents;
