"use client";

import { Skeleton } from "@/components/ui/skeleton/skeleton";

import { useHotelTravelPlanner } from "../hooks/use-hotel-travel-planner";
import HotelTravelPlannerView from "./hotel-travel-planner-view";

interface HotelTravelPlannerProps {
  hideShadow?: boolean;
  isCollapsible?: boolean;
}

const HotelTravelPlanner = (props: HotelTravelPlannerProps) => {
  const { isReady } = useHotelTravelPlanner();

  if (!isReady) {
    return <Skeleton className="h-[154px] w-full" />;
  }

  return (
    <HotelTravelPlannerView
      hideShadow={props.hideShadow}
      isCollapsible={props.isCollapsible}
    />
  );
};

export default HotelTravelPlanner;
