import type { RoomAndCustomerCounterValue } from "@/components/widget/travel-planner/components/customer-group-select/components/room-and-customer-counter";

const validatePassengersAndCustumer = (
  passengers: RoomAndCustomerCounterValue[],
  customer: {
    name: string;
    value: string;
  }[],
) => {
  const employeeCount = passengers
    .map((item) => item.employee?.count)
    .reduce((a, b) => {
      if (a === undefined || b === undefined) {
        return 0;
      }
      return a + b;
    }, 0);
  const customerCount = customer?.length;

  if (employeeCount !== customerCount) {
    return "Çalışan sayısına göre, kişi seçimi eşit olmalıdır.";
  }

  return true;
};

const validateDateRange = (
  dateRangeFrom: Date | undefined,
  dateRangeTo: Date | undefined,
) => {
  if (!dateRangeFrom || !dateRangeTo) {
    return "Lütfen Giriş-Çıkış tarih seçiniz.";
  }

  return true;
};

export { validateDateRange, validatePassengersAndCustumer };
