import type { IBranchOfficeItem } from "@/features/travel-planner/components/travel-planner/components/tp-branch-office-dropdown-form";
import type { ITpHotelSearchValue } from "@/features/travel-planner/components/travel-planner/components/tp-hotel-search";
import type { IReasonItem } from "@/features/travel-planner/components/travel-planner/components/tp-reason-dropdown-form";

export interface ITPPassenger {
  count: number;
  ages?: number[] | undefined;
}

export interface IHotelTravelPlannerPayload {
  rooms?: {
    employee?: ITPPassenger;
    guest?: ITPPassenger;
    child?: ITPPassenger;
  }[];
  employees?: {
    name: string;
    value: string;
  }[];
  dates?: {
    checkIn: string | null;
    checkOut: string | null;
  };
  destination?: ITpHotelSearchValue;
  reason?: IReasonItem;
  branchOffice?: IBranchOfficeItem;
  destinationId?: number;
}
