/* eslint-disable react/no-danger */
import { Modal, ModalHeader, ModalTitle } from "@/components/ui/modal/modal";

interface MasterpassErrorModalProps {
  modalState: boolean;
  closeMasterpassErrorModal: () => void;
  message: string;
}

const MasterpassErrorModal = (props: MasterpassErrorModalProps) => {
  return (
    <Modal
      size="xl"
      open={props.modalState}
      onClose={() => {
        props.closeMasterpassErrorModal();
      }}
      header={
        <ModalHeader>
          <ModalTitle>Hata</ModalTitle>
        </ModalHeader>
      }
      footer
    >
      <div className="flex min-h-[140px] flex-col items-center justify-center gap-4">
        <div
          className="text-center"
          dangerouslySetInnerHTML={{
            __html:
              props.message.length > 0
                ? props.message
                : "Lütfen bilgilerinizi tekrar kontrol ediniz",
          }}
        />
      </div>
    </Modal>
  );
};

export { MasterpassErrorModal };
