import { useState } from "react";

import { useModal } from "@/components/ui/modal/modal.hook";

export const useMasterpassErrorModal = () => {
  const {
    closeModal: closeMasterpassErrorModal,
    modalOpen: modalOpenMasterpassModal,
    openModal: openMasterpassErrorModal,
  } = useModal({ open: false });
  const [errorMessage, setErrorMessage] = useState<string>("");

  return {
    closeMasterpassErrorModal,
    modalOpenMasterpassModal,
    openMasterpassErrorModal,
    errorMessage,
    setErrorMessage,
  };
};
