import { storageManager } from "@/libs/storage-manager";
import { usePaymentStore } from "@/store/payment-store/use-payment-store";

import type { IRentACarPayload } from "../types/rent-a-car-payment.types.";

export const usePayment = () => {
  const { setModuleData, paymentState } = usePaymentStore();

  const setBookingData = (
    payload: Pick<
      IRentACarPayload,
      | "cartId"
      | "searchId"
      | "transactionId"
      | "preSaleAgreementText"
      | "saleAgreementText"
    >,
  ) => {
    storageManager.set("core-payment", {
      moduleName: "RentACar",
      payload: { ...payload, paymentStatus: "payment" },
    });
    setModuleData({
      moduleName: "RentACar",
      payload: { ...payload, paymentStatus: "payment" },
    });
  };

  return {
    setBookingData,
    isReady: paymentState.status === "done",
    paymentState: paymentState.data as {
      moduleName: "Tour";
      payload: IRentACarPayload;
    },
  };
};
