import React, { useState } from "react";

import { Button } from "@/components/ui/button/button";
import Card from "@/components/ui/card/card";
import LIcon from "@/components/ui/lucid-icon/lucid-icon";
import TourProductDetailCampaignAdvantages from "@/components/widget/tour-product-detail/tour-product-detail-campaign-advantages/tour-product-detail-campaign-advantages";
import type { CampaignInformation } from "@/services/eva-display/tour/tour-search/tour-search.types";

interface TourDetailCampaignAdvantegesProps {
  tourCampaignInformationsList: CampaignInformation[];
}

export default function TourDetailCampaignAdvanteges({
  tourCampaignInformationsList,
}: TourDetailCampaignAdvantegesProps) {
  const [showAll, setShowAll] = useState(false);

  return (
    <Card className="scroll-mt-16 md:scroll-mt-44" id="campaignAndAdvantages">
      <h4 className="mb-6 text-xl font-semibold text-gray-800">
        Kampanya ve Avantajlar
      </h4>
      <TourProductDetailCampaignAdvantages
        showAll={showAll}
        tourCampaignInformationsList={tourCampaignInformationsList}
      />
      {tourCampaignInformationsList?.length > 4 && !showAll && (
        <Button
          variant="link"
          onClick={() => setShowAll(true)}
          className="mt-2 !pl-0"
        >
          {`Tümünü  gör (${tourCampaignInformationsList?.length})`}
          <LIcon
            size={12}
            className="ml-1 text-primary-500"
            name="ChevronDown"
          />
        </Button>
      )}
      {showAll && (
        <Button
          variant="link"
          className="mt-2 !pl-0"
          onClick={() => setShowAll(false)}
        >
          Gizle
          <LIcon size={12} className="ml-1 text-primary-500" name="ChevronUp" />
        </Button>
      )}
    </Card>
  );
}
