"use client";

import React from "react";

import { useTourSearch } from "../../list/hook/use-tour-search";
import { TourDetailCtxProvider } from "../context/tour-detail-ctx";
import TourDetail from "./tour-detail";

export default function TourDetailData() {
  const { getTourSearchParameters, isReady } = useTourSearch();

  if (!isReady) {
    return null;
  }

  const parameters = getTourSearchParameters();

  if (!parameters) {
    return null;
  }

  return (
    <TourDetailCtxProvider>
      <TourDetail />
    </TourDetailCtxProvider>
  );
}
