import React from "react";

import Card from "@/components/ui/card/card";
import ProductDetailOtherInfo from "@/components/widget/product-detail/product-detail-other-info/product-detail-other-info";
import type { TourDescription } from "@/services/eva-display/tour/tour-detail/tour-detail-service";

interface TourDetailOtherInfoProps {
  tourDescriptionsList: TourDescription[];
}

export default function TourDetailOtherInfo({
  tourDescriptionsList,
}: TourDetailOtherInfoProps) {
  const formattedOtherInfo = tourDescriptionsList.map((item) => ({
    label: item.title,
    value: item.text || "",
  }));

  return (
    <Card className="flex flex-col gap-6 bg-white p-5">
      <ProductDetailOtherInfo
        title="Merak Edilenler"
        OtherInfo={formattedOtherInfo}
      />
    </Card>
  );
}
