import React from "react";

import Card from "@/components/ui/card/card";
import ProductDetailOtherInfo from "@/components/widget/product-detail/product-detail-other-info/product-detail-other-info";
import type { TourProgram } from "@/services/eva-display/tour/tour-detail/tour-detail-service";

interface TourDetailTourProgramProps {
  tourProgramList: TourProgram;
}

export default function TourDetailTourProgram({
  tourProgramList,
}: TourDetailTourProgramProps) {
  const formattedOtherInfo = tourProgramList.dailyPrograms.map((item) => ({
    label: String(item.day),
    value: item.text || "",
  }));
  return (
    <Card
      className="flex scroll-mt-16 flex-col gap-6 bg-white p-5 md:scroll-mt-44"
      id="tourProgram"
    >
      <ProductDetailOtherInfo
        hasDayİnfo
        title="Tur Programı"
        OtherInfo={formattedOtherInfo}
      />
    </Card>
  );
}
