/* eslint-disable no-console */
import React from "react";

import { Button } from "@/components/ui/button/button";
import LIcon from "@/components/ui/lucid-icon/lucid-icon";
import { useGetUsetSettingsQuery } from "@/services/eva-panel/get-user-settings/get-user-settings";
import { useNotifyStore } from "@/store/notify-store/use-notify-store";

export default function TourProductDetailQuotaLimit() {
  const { setNotify } = useNotifyStore();
  const getUserSettings = useGetUsetSettingsQuery();
  const value = getUserSettings?.data?.Result.find(
    (i) => i.PropertyName === "Çağrı Merkezi",
  );

  return (
    <div className="flex flex-col items-center justify-center gap-6 p-6">
      <div>
        <LIcon name="PhoneCall" />
      </div>
      <div className="flex flex-col items-center justify-center gap-2">
        <p className="font-semibold leading-6 text-blue-900">
          Kontenjan Sınırına Ulaşıldı
        </p>
        <span className="text-center text-sm font-normal leading-5 text-gray-700">
          Görünüşe göre seçtiğiniz bu tarihlerdeki turun kontenjanı doldu. Bu
          tarihle ilgili talep oluşturabilir ya da müsait tarihlere
          bakabilirsiniz.
        </span>
      </div>
      <Button
        variant="primary"
        onClick={() => {
          setNotify({
            title: "Bizi Arayın",
            message: `İlgili tur talebi için ${value?.PropertyValue} numarasından Çağrı Merkezi ile iletişime geçebilirsiniz`,
            variant: "success",
          });
        }}
      >
        Talep Oluştur
      </Button>
    </div>
  );
}
