/* eslint-disable react/jsx-no-constructed-context-values */
import type { Dispatch, SetStateAction } from "react";
import { createContext, useContext, useState } from "react";

import type { ProviderProps } from "@/@types/types/provider-props.types";
import type { ITourDetailResponse } from "@/services/eva-display/tour/tour-detail/tour-detail-service";
import type {
  ITourSearchResponseItem,
  TourOptionItem,
} from "@/services/eva-display/tour/tour-search/tour-search.types";

export interface ITourDetailValueCtx {
  selectedOption: TourOptionItem | null;
  isSelectedOptionKey?: any;
  searchData?: ITourSearchResponseItem;
  detailData?: ITourDetailResponse;
  rooms: any;
  option?: any;
  loading?: boolean;
}

export interface ITourDetailCtx {
  data: ITourDetailValueCtx | null;
  setData: Dispatch<SetStateAction<ITourDetailValueCtx | null>>;
}

const TourDetailCtx = createContext<ITourDetailCtx>({} as ITourDetailCtx);

export const TourDetailCtxProvider = (props: ProviderProps) => {
  const [state, setState] = useState<ITourDetailValueCtx | null>(null);

  return (
    <TourDetailCtx.Provider value={{ data: state, setData: setState }}>
      {props.children}
    </TourDetailCtx.Provider>
  );
};

export const useTourDetailCtx = () => {
  return useContext(TourDetailCtx);
};
