import { PriceManager } from "@/libs/price-manager/price-manager";
import type { ITourSearchResponseItem } from "@/services/eva-display/tour/tour-search/tour-search.types";

import type { ITourListItem } from "../types/tour-list.types";

export const tourListItemFromApi = (
  responseItem: ITourSearchResponseItem,
): ITourListItem => {
  const transferListItem: ITourListItem = {
    defaultThumbnailImageUrl: responseItem.defaultThumbnailImageUrl,
    priceFormated: PriceManager({
      currency: `${responseItem.option?.priceDetail?.doublePp}`.slice(
        0,
        3,
      ) as string,
      value:
        (+`${responseItem.option?.priceDetail?.doublePp}`.slice(
          3,
        ) as unknown as number) || 0,
    }),
    title: responseItem.title,
    depaturePoints: responseItem.depaturePoints,
    option: responseItem.option,
    campaignInformations: responseItem.option.campaignInformations,
    allOptionList: responseItem.allOptionList,
  };

  return transferListItem;
};
