import dayjs from "dayjs";

import { DateHelper } from "@/libs/helpers/date-time-helper";

export const calculateDate = (
  dateRange: any,
  isCheckIn: boolean,
  defaultDate: string | null,
) => {
  if (!dateRange && defaultDate === null) {
    return isCheckIn
      ? dayjs().format("YYYY-MM-DD")
      : dayjs().add(1, "year").format("YYYY-MM-DD");
  }

  if (dateRange) {
    if (dateRange?.anySelected) {
      return isCheckIn
        ? dayjs().format("YYYY-MM-DD")
        : dayjs().add(1, "year").format("YYYY-MM-DD");
    }
    if (dateRange?.period) {
      return DateHelper.dateToISOString(
        isCheckIn
          ? dateRange?.period?.from ||
              dayjs().endOf("year").format("YYYY-MM-DD")
          : dateRange?.period?.to || dayjs().endOf("year").format("YYYY-MM-DD"),
      );
    }
    return DateHelper.dateToISOString(
      isCheckIn ? dateRange?.date?.from! : dateRange?.date?.to!,
    );
  }

  return defaultDate || dayjs().format("YYYY-MM-DD");
};
