import { DateHelper } from "@/libs/helpers/date-time-helper";
import { PriceManager } from "@/libs/price-manager/price-manager";
import type { ITransferSearchResponse } from "@/services/eva-display/transfer/transfer-search/transfer-search.types";

import type { ITransferListItem } from "../types/transfer-list.types";

export const transferListItemFromApi = (
  responseItem: ITransferSearchResponse["items"][0],
): ITransferListItem => {
  const transferListItem: ITransferListItem = {
    endTimeFormated: DateHelper.isoStringToTime(responseItem.arrivalTime),
    startTimeFormated: DateHelper.isoStringToTime(responseItem.departureTime),
    hasBestPriceBadge: responseItem.isEconomic,
    maxPassengerCount: responseItem.quota,
    imageUrl: responseItem.pictureUrl,
    priceFormated: PriceManager({
      currency: `${responseItem.totalPrice}`.slice(0, 3) as string,
      value: (+`${responseItem.totalPrice}`.slice(3) as unknown as number) || 0,
    }),
    title: responseItem.name,
    isEconomic: responseItem.isEconomic,
  };

  return transferListItem;
};
