import { storageManager } from "@/libs/storage-manager";
import { usePaymentStore } from "@/store/payment-store/use-payment-store";

import type { ITransferPaymentPayload } from "../types/transfer-payment.types";

export const usePayment = () => {
  const { setModuleData, paymentState, resetPaymentStore } = usePaymentStore();

  const setBookingData = (
    payload: Pick<
      ITransferPaymentPayload,
      | "cartId"
      | "searchId"
      | "transactionId"
      | "preSaleAgreementText"
      | "saleAgreementText"
    >,
  ) => {
    storageManager.set("core-payment", {
      moduleName: "Transfer",
      payload: { ...payload, paymentStatus: "payment" },
    });
    setModuleData({
      moduleName: "Transfer",
      payload: { ...payload, paymentStatus: "payment" },
    });
  };

  return {
    resetPaymentStore,
    setBookingData,
    isReady: paymentState.status === "done",
    paymentState: paymentState.data as {
      moduleName: "Transfer";
      payload: ITransferPaymentPayload;
    },
  };
};
