/* eslint-disable jsx-a11y/no-static-element-interactions */
/* eslint-disable jsx-a11y/click-events-have-key-events */

import { useLocale } from "@/hooks/useLocale";
import { PriceManager } from "@/libs/price-manager/price-manager";

/* eslint-disable jsx-a11y/interactive-supports-focus */
interface CreditCardInstallmentsSelectProps {
  value: string;
  onChange: (value: string) => void;
  options: {
    value: string;
    title: string;
    monthlyPrice: string;
    totalPrice: string;
  }[];
}

const CreditCardInstallmentsSelect = (
  props: CreditCardInstallmentsSelectProps,
) => {
  const { t } = useLocale();
  return (
    <div>
      <div className="flex px-3 text-sm text-gray-500">
        <div className="w-[50px]" />
        <div className="grow text-left">{t("Number of Installments")}</div>
        <div className="grow text-center">{t("Monthly Amount")}</div>
        <div className="grow text-right">{t("Total Price")}</div>
      </div>
      {props.options.map((option) => (
        <div
          onClick={() => props.onChange(option.value)}
          key={option.value}
          className="mt-2 flex rounded-primary border bg-white p-3 text-sm font-medium text-gray-600"
        >
          <div className="w-[50px]">
            <input type="radio" checked={props.value === option.value} />
          </div>
          <div className="flex-1 text-left font-normal">{option.title}</div>
          <div className="flex-1 text-center">
            {PriceManager({
              currency: option.totalPrice.slice(0, 3) as string,
              value: +option.monthlyPrice,
            })}
          </div>
          <div className="flex-1  text-right">
            {PriceManager({
              currency: option.totalPrice.slice(0, 3) as string,
              value: +option.totalPrice.slice(3),
            })}
          </div>
        </div>
      ))}
    </div>
  );
};

export default CreditCardInstallmentsSelect;
