import { useRoomCtx } from "../context/RoomContext";

const useRoomSelect = () => {
  const [state, dispatch] = useRoomCtx();

  const setRoomActiveTab = (activeTab: number) => {
    dispatch({
      type: "set-room-select",
      payload: {
        roomCount: state.roomCount,
        activeTab,
        selectedRooms: state?.selectedRooms,
      },
    });
  };

  const setRoomInfo = (room: any, _activeTab: number, insertState: boolean) => {
    if (insertState) {
      dispatch({
        type: "set-room-select",
        payload: {
          roomCount: state.roomCount,
          activeTab:
            state.activeTab + 1 > state.roomCount
              ? state.roomCount
              : state.activeTab + 1,
          selectedRooms:
            state.roomCount > 1
              ? state.selectedRooms.map((obje, index) => {
                  if (index === _activeTab - 1) {
                    return room;
                  }
                  return obje;
                })
              : [room],
        },
      });
    } else {
      dispatch({
        type: "set-room-select",
        payload: {
          roomCount: state.roomCount,
          activeTab: state.activeTab,
          selectedRooms: state.selectedRooms.map((obje, index) => {
            if (index === _activeTab - 1) {
              return room;
            }
            return obje;
          }),
        },
      });
    }
  };

  return {
    state,
    setRoomActiveTab,
    setRoomInfo,
  };
};

export default useRoomSelect;
