/* eslint-disable react/no-array-index-key */
import type { ComponentProps, ReactNode } from "react";

import LIcon from "@/components/ui/lucid-icon/lucid-icon";
import { cn } from "@/libs/utils";

interface BookingSuccessHeadingInfosProps extends ComponentProps<"div"> {
  infoItems: {
    text: string | ReactNode;
  }[];
}

const BookingSuccessHeadingInfos = ({
  infoItems,
  className,
  ...props
}: BookingSuccessHeadingInfosProps) => {
  return (
    <div className={cn("space-y-4", className)} {...props}>
      {infoItems.map((item, index) => (
        <div
          key={index.toString()}
          className="flex items-center gap-2 text-sm text-black"
        >
          <span>
            <LIcon name="Check" className="size-3" />
          </span>
          <span>{item.text}</span>
        </div>
      ))}
    </div>
  );
};

export default BookingSuccessHeadingInfos;
