/* eslint-disable react/no-danger */
import Card from "@/components/ui/card/card";
import LIcon from "@/components/ui/lucid-icon/lucid-icon";

interface BookingSuccessInformationHelpProps {
  relevantInformations: string;
  needHelp: string;
}

function BookingSuccessInformationHelp({
  needHelp,
  relevantInformations,
}: BookingSuccessInformationHelpProps) {
  return (
    <>
      <Card>
        <div className="rouned-primary border border-gray-200 bg-gray-50 p-4 text-sm">
          <h3 className="mb-4 text-base font-medium">Önemli Bilgiler</h3>
          <div
            className="text-gray-700 [&>ul>li]:mb-1 [&>ul>li]:list-disc [&>ul]:ml-4"
            dangerouslySetInnerHTML={{ __html: relevantInformations }}
          />
        </div>
      </Card>

      <Card>
        <div className="flex gap-4">
          <LIcon name="Phone" className="mt-1.5 size-[20px] shrink-0" />
          <div
            className="[&>b]:!text-sm [&>p>b]:text-gray-500 [&>p]:mt-1 [&>p]:!text-xs"
            dangerouslySetInnerHTML={{ __html: needHelp }}
          />
        </div>
      </Card>
    </>
  );
}

export default BookingSuccessInformationHelp;
