import { useMemo } from "react";

import { cabinTypeValues } from "@/components/widget/travel-planner/components/flight-customer-group-select/flight-customer-group-select";
import { useApp } from "@/hooks/useApp";
import { localeStorageHelper } from "@/libs/helpers/locale-storage-helper";

import TravelPlannerBox from "../travel-planner/components/travel-planner/travel-planner-box";
import TravelPlannerFlightForm from "../travel-planner/components/travel-planner/travel-planner-flight-form";

const FlightTpPage = () => {
  const { isB2E } = useApp();

  const defaultValues = useMemo(() => {
    const localStorageValue = localeStorageHelper.get("travel-planner");
    return localStorageValue;
  }, []);
  return (
    <TravelPlannerBox>
      <TravelPlannerFlightForm
        defaultValues={{
          ...defaultValues,
          "departure-date": defaultValues?.["departure-date"] ?? undefined,
          "return-date": defaultValues?.["return-date"] ?? undefined,
          reason: null,
          passengers: {
            employee: isB2E
              ? {
                  count: 1,
                }
              : undefined,
            guest: {
              count: isB2E ? 0 : 1,
            },
            child: {
              count: 0,
              ages: [],
            },
            cabinType: cabinTypeValues[0],
          },
          flightTripKind: defaultValues?.flightTripKind ?? "1",
        }}
      />
    </TravelPlannerBox>
  );
};

export default FlightTpPage;
