import FormItem from "@/components/form/form-item";
import TpDatePicker from "@/components/widget/travel-planner/components/tp-date-picker/tp-date-picker";
import TpDatePickerMobile from "@/components/widget/travel-planner/components/tp-date-picker/tp-date-picker.mobile";
import { useBreakpoints } from "@/hooks/useBreakpoints";

export const TP_POPOVER_OFFSET = 850;

export const TpDatePickerWrappedFormItem = (props: {
  name: string;
  placeholder: string;
  rules?: any;
}) => {
  const { isDesktop } = useBreakpoints();

  const TpDatePickerComp = isDesktop ? TpDatePicker : TpDatePickerMobile;

  return (
    <FormItem name={props.name} rules={props.rules}>
      {({ field, setValue, fieldState }) => (
        <TpDatePickerComp
          placeHolder={props.placeholder}
          value={field.value}
          errorMessage={fieldState.error?.message}
          onChange={(value) => {
            setValue(value);
          }}
        />
      )}
    </FormItem>
  );
};
