import FormItem from "@/components/form/form-item";
import TimePicker from "@/components/widget/time-picker/time-picker";

export const TpTimePickerWrappedFormItem = (props: {
  name: string;
  placeholder: string;
  rules?: any;
}) => {
  return (
    <FormItem name={props.name} rules={props.rules}>
      {({ field, setValue, fieldState }) => (
        <TimePicker
          placeholder={props.placeholder}
          startTime="00:00"
          endTime="24:00"
          value={field.value}
          rangeMinute={30}
          errorMessages={fieldState.error?.message}
          onChange={(value) => {
            setValue(value);
          }}
        />
      )}
    </FormItem>
  );
};
