import { createContext, useContext } from "react";

import type { ProviderProps } from "@/@types/types/provider-props.types";

interface TpContextProps {}

interface TpContextProviderProps extends ProviderProps {
  value: TpContextProps;
}

const TpContext = createContext<TpContextProps>({} as TpContextProps);

export const TpContextProvider = (props: TpContextProviderProps) => {
  return (
    <TpContext.Provider value={props.value}>
      {props.children}
    </TpContext.Provider>
  );
};

export const useTpContext = () => useContext(TpContext);
