import { useLocale } from "./useLocale";

export type LocalizationData = { name: string; value: string; menu?: boolean };

const useLanguageData = () => {
  const { t } = useLocale();

  const lngData: LocalizationData[] = [
    { name: t("Turkish"), value: "tr" },
    { name: t("Turkish"), value: "tr-TR", menu: true },
    { name: t("English"), value: "en" },
    { name: t("English"), value: "en-US", menu: true },
    { name: t("German"), value: "de" },
    { name: t("German"), value: "de-DE", menu: true },
  ];

  const currencyData: LocalizationData[] = [
    { name: t("TRY - Turkish Lira (₺)"), value: "TRY" },
    { name: t("USD - US Dollar ($)"), value: "USD" },
    { name: t("EUR - Euro (€)"), value: "EUR" },
  ];
  return { lngData, currencyData };
};

export default useLanguageData;
