/* eslint-disable no-useless-escape */
export const apiEnvs = {
  WL_BOOKING_URL: process.env.NEXT_PUBLIC_WL_BOOKING_URL ?? "",
  WL_AUTH_URL: process.env.NEXT_PUBLIC_WL_AUTH_URL ?? "",
  WL_DISPLAY_URL: process.env.NEXT_PUBLIC_WL_DISPLAY_URL ?? "",
  EVA_DATAAPI_URL: process.env.NEXT_PUBLIC_EVA_DATAAPI_URL ?? "",
  EVA_PANEL_URL: process.env.NEXT_PUBLIC_EVA_PANEL_URL ?? "",
};

export const envs = {
  wlBookingUrl: process.env.NEXT_PUBLIC_WL_BOOKING_URL ?? "",
  wlAuthUrl: process.env.NEXT_PUBLIC_WL_AUTH_URL ?? "",
  wlDisplayUrl: process.env.NEXT_PUBLIC_WL_DISPLAY_URL ?? "",
  evaDataApiUrl: process.env.NEXT_PUBLIC_EVA_DATAAPI_URL ?? "",
  evaPanelUrl: process.env.NEXT_PUBLIC_EVA_PANEL_URL ?? "",
  wlTravelPlannerUrl: process.env.NEXT_PUBLIC_WL_TRAVEL_PLANNER_URL ?? "",
  masterpassUrl: process.env.NEXT_PUBLIC_MASTERPASS_URL ?? "",
  baseUrl: process.env.NEXT_PUBLIC_BASE_URL ?? "",
  acpUrl: process.env.NEXT_PUBLIC_ACP_URL ?? "",
  nodeTlsRejectUnauthorized: process.env.NODE_TLS_REJECT_UNAUTHORIZED ?? "",
  clientSecret: process.env.CLIENT_SECRET ?? "",
  clientId: process.env.CLIENT_ID ?? "",
  clientScope: process.env.CLIENT_SCOPE ?? "",
  redisHost: process.env.REDIS_HOST ?? "",
  redisPassword: process.env.REDIS_PASSWORD ?? "",
  redisPort: process.env.REDIS_PORT ?? "",
  redisTLS: process.env.REDIS_TLS ?? "",
  redisTTL: process.env.REDIS_TTL_HOUR ?? "",
  masterpassClientId: process.env.NEXT_PUBLIC_MASTERPASS_CLIENT_ID ?? "",
  masterpassVersion: process.env.NEXT_PUBLIC_MASTERPASS_VERSION ?? "",
  masterpassClientType: process.env.NEXT_PUBLIC_MASTERPASS_CLIENT_TYPE ?? "",
  masterpassSendSmsLanguage:
    process.env.NEXT_PUBLIC_MASTEPASS_SEND_SMS_LANGUAGE ?? "",
  masterpassSendSms: process.env.NEXT_PUBLIC_MASTERPASS_SEND_SMS ?? "",
};

function addStgPrefix(url: string, subdomain: string) {
  // Update the subdomain part
  const newUrl = url.replace(/\/\/([^\.]+)\./, `//$1-${subdomain}.`);
  return newUrl;
}

export const getEnvs = (url?: string) => {
  if (url && url.includes("-stg.")) {
    return {
      ...envs,
      wlBookingUrl: addStgPrefix(envs.wlBookingUrl, "stg"),
      wlDisplayUrl: addStgPrefix(envs.wlDisplayUrl, "stg"),
      evaDataApiUrl: addStgPrefix(envs.evaDataApiUrl, "stg"),
      evaPanelUrl: addStgPrefix(envs.evaPanelUrl, "stg"),
      acpUrl: addStgPrefix(envs.acpUrl, "stg"),
    } as typeof envs;
  }
  return envs;
};
