import type { DateRange } from "react-day-picker";

import { useLocale } from "@/hooks/useLocale";

import { DateHelper } from "../helpers/date-time-helper";

export const useMessageByDates = (
  dates: DateRange,
  showNightInfo: boolean = false,
) => {
  const { t } = useLocale();
  if (!dates?.from && !dates?.to) {
    return t("Check-in and Check-out");
  }

  return showNightInfo && dates?.from && dates?.to
    ? `${t("Total")} ${DateHelper.getNightCount(dates.from, dates.to)} ${t("night")}`
    : `${DateHelper.formatDateToString(dates?.from)} - ${
        dates?.to
          ? DateHelper.formatDateToString(dates.to)
          : t("Choose a release date.")
      }`;
};
