import Cookies from "js-cookie";

export const cookieHelper = {
  get: (key: string) => {
    const value = Cookies.get(key);
    if (!value) return null;
    return JSON.parse(value);
  },
  set: (key: string, value: Record<string, unknown>) => {
    Cookies.set(key, JSON.stringify(value));
  },
  delete: (key: string) => {
    Cookies.remove(key);
  },
  getStr: (key: string) => {
    return Cookies.get(key);
  },
  setStr: (key: string, value: string) => {
    Cookies.set(key, value);
  },
};
