/* eslint-disable no-plusplus */
export default function hasClassParents(
  element: HTMLElement,
  classList: string[],
): boolean {
  for (let i = 0; i < classList.length; i++) {
    if (element.classList?.contains(classList[i] || "")) {
      return true;
    }
  }

  let parentNode = element?.parentNode as any;

  while (parentNode) {
    for (let i = 0; i < classList.length; i++) {
      if (parentNode.classList?.contains(classList[i])) {
        return true;
      }
    }
    parentNode = parentNode?.parentNode;
  }
  return false;
}
