export const localeStorageHelper = {
  get: (key: string) => {
    const value = localStorage.getItem(key);
    if (!value) return null;
    return JSON.parse(value);
  },
  set: (key: string, value: Record<string, unknown>) => {
    localStorage.setItem(key, JSON.stringify(value));
  },
  delete: (key: string) => {
    localStorage.removeItem(key);
  },
};
