export class PhoneNumberHelper {
  public static getPhoneNumberFromString(phoneNumber?: string) {
    if (!phoneNumber)
      return {
        dialCode: "90",
        phoneNumber: "",
      };

    const phoneNumberArray = phoneNumber.split(" ");
    if (phoneNumberArray.length < 2)
      return {
        dialCode: "90",
        phoneNumber: "",
      };

    return {
      dialCode: phoneNumberArray[0],
      phoneNumber: phoneNumberArray[1],
    };
  }

  public static phoneNumberToString(phoneNumber?: {
    dialCode: string;
    phoneNumber: string;
  }) {
    if (!phoneNumber) return "";
    return `${phoneNumber.dialCode} ${phoneNumber.phoneNumber}`;
  }

  public static phoneNumberStringToFormattedString(phoneNumber?: string) {
    if (!phoneNumber) return "";
    const phoneNumberArray = phoneNumber.split(" ");
    if (phoneNumberArray.length < 2) return "";
    const dialCode = phoneNumberArray[0];
    const phoneNumberString = phoneNumberArray[1];
    return `+${dialCode} (${phoneNumberString?.slice(
      0,
      3,
    )}) ${phoneNumberString?.slice(3)}`;
  }
}
