export const sessionStorageHelper = {
  get: (key: string) => {
    const value = sessionStorage.getItem(key);
    if (!value) return null;
    return JSON.parse(value);
  },
  set: (key: string, value: Record<string, unknown>) => {
    sessionStorage.setItem(key, JSON.stringify(value));
  },
  delete: (key: string) => {
    sessionStorage.removeItem(key);
  },
};
