import { getEnvs } from "../environment/env";

export const getPathStrategy = async (variables: {
  path: string;
  baseUrl: string;
  token: string;
}) => {
  const envs = getEnvs(variables.baseUrl);
  const url = `${envs.wlDisplayUrl}/api/v1/strategy/get?path=/${variables.path}&LanguageCode=tr`;

  try {
    const response = await fetch(url, {
      method: "GET",
      headers: { Authorization: `Bearer ${variables.token}` },
    });
    const responseJson = await response.json();
    return responseJson.result;
  } catch (error) {
    return null;
  }
};
