/* eslint-disable no-console */
import type { NextRequest } from "next/server";

export const getBaseUrl = (request: NextRequest) => {
  const host =
    request.headers.get("x-forwarded-host") ?? request.headers.get("host");
  const protocol = request.headers.get("x-forwarded-proto");
  return `${protocol?.includes("https") ? "https" : "http"}://${host}`;
};
