import { cookieHelper } from "../helpers/cookie-helper";
import { localeStorageHelper } from "../helpers/locale-storage-helper";
import { sessionStorageHelper } from "../helpers/session-storage-helper";
import type { StorageKey } from "./storage-manager-items";
import { storageItems } from "./storage-manager-items";

const helpers = {
  COOKIE: cookieHelper,
  LOCALE: localeStorageHelper,
  SESSION: sessionStorageHelper,
};

export function getManagerHelper(storageItemKey: StorageKey) {
  const storageItem = storageItems[storageItemKey];
  if (!storageItem) throw new Error("Storage item not found");
  const helper = helpers[storageItem.type];
  if (!helper) throw new Error("Storage helper not found");
  return helper;
}
