import type { StorageItem } from "./storage-manager.types";

const AuthStorage: StorageItem = {
  key: "auth",
  type: "COOKIE",
} as const;

const SummaryStorage: StorageItem = {
  key: "core-summary",
  type: "SESSION",
} as const;

const TravelPlannerStorage: StorageItem = {
  key: "core-travel-planner",
  type: "SESSION",
} as const;
const PaymentStorage: StorageItem = {
  key: "core-payment",
  type: "SESSION",
} as const;

const MasterpassStorage: StorageItem = {
  key: "masterpass",
  type: "SESSION",
} as const;

const FcdscpStorage: StorageItem = {
  key: "fcdscp",
  type: "LOCALE",
} as const;

const AppStorage: StorageItem = {
  key: "app",
  type: "LOCALE",
} as const;

export const storageItems = {
  auth: AuthStorage,
  "core-summary": SummaryStorage,
  "core-travel-planner": TravelPlannerStorage,
  "core-payment": PaymentStorage,
  masterpass: MasterpassStorage,
  fcdscp: FcdscpStorage,
  app: AppStorage,
};
export type StorageKey = keyof typeof storageItems;
