import type { DomainType } from "@/@types/types/domain.types";
import type { ModuleType } from "@/@types/types/module.types";
import type { Operation } from "@/@types/types/operation.types";
import type { PermissionType } from "@/@types/types/permission.types";

const PermissionValuesTypes = {
  all: "*",
  none: "none",
} as const;

export type PermissionFieldType<T> =
  | keyof (T & typeof PermissionValuesTypes)
  | (keyof (T & typeof PermissionValuesTypes))[];

export interface IPermission {
  domain: PermissionFieldType<typeof DomainType>;
  module: PermissionFieldType<typeof ModuleType>;
  operation: PermissionFieldType<typeof Operation>;
  type: keyof typeof PermissionType;
}
