"use client";

import "dayjs/locale/tr";
import "dayjs/locale/en";
import "dayjs/locale/de";

import dayjs from "dayjs";
import utcPlugin from "dayjs/plugin/utc";
import { I18nextProvider } from "react-i18next";

import type { ProviderProps } from "@/@types/types/provider-props.types";

import i18n from "./i18n";

interface LocalizationProviderProps extends ProviderProps {
  lang: string;
}

export const LocalizationProvider = (props: LocalizationProviderProps) => {
  dayjs.locale(props.lang);
  dayjs.extend(utcPlugin);
  return (
    <I18nextProvider i18n={i18n} defaultNS="translation">
      {props.children}
    </I18nextProvider>
  );
};
