import { SingletonRedisRepository } from "../repositories/redis.repository";

const CLIENT_CONFIG_REDIS_KEY = "client-config";

export class ClientConfigService {
  static async setClientConfig(config: any, baseUrl: string) {
    await SingletonRedisRepository.set(
      `${baseUrl}_${CLIENT_CONFIG_REDIS_KEY}`,
      JSON.stringify(config),
      10,
    );
  }

  static async getClientConfig(baseUrl: string) {
    const result = await SingletonRedisRepository.get(
      `${baseUrl}_${CLIENT_CONFIG_REDIS_KEY}`,
    );

    if (!result) {
      return null;
    }

    return JSON.parse(result);
  }

  static async deleteClientConfig(baseUrl: string) {
    await SingletonRedisRepository.delete(
      `${baseUrl}_${CLIENT_CONFIG_REDIS_KEY}`,
    );
  }
}
