import { SingletonRedisRepository } from "../repositories/redis.repository";

const STRATEGY_KEYS_REDIS_KEY = "strategy-keys";

export class StrategyService {
  static async setStrategyKeys(strategyKey: string, baseUrl: string) {
    await SingletonRedisRepository.set(
      `${baseUrl}_${STRATEGY_KEYS_REDIS_KEY}`,
      strategyKey,
    );
  }

  static async getStrategyKeys(baseUrl: string) {
    const result = await SingletonRedisRepository.get(
      `${baseUrl}_${STRATEGY_KEYS_REDIS_KEY}`,
    );

    if (result && result !== "") {
      return JSON.parse(result);
    }

    return result;
  }
}
