import { SingletonRedisRepository } from "../repositories/redis.repository";

const CLIENT_TOKEN_REDIS_KEY = "client-token";

export class TokenService {
  static async setClientToken(baseUrl: string, token: string) {
    await SingletonRedisRepository.set(
      `${baseUrl}_${CLIENT_TOKEN_REDIS_KEY}`,
      JSON.stringify(token),
    );
  }

  static async getClientToken(baseUrl: string) {
    const result = await SingletonRedisRepository.get(
      `${baseUrl}_${CLIENT_TOKEN_REDIS_KEY}`,
    );

    if (!result) {
      return null;
    }

    return JSON.parse(result);
  }

  static async deleteClientToken(baseUrl: string) {
    await SingletonRedisRepository.delete(
      `${baseUrl}_${CLIENT_TOKEN_REDIS_KEY}`,
    );
  }
}
