import { z } from "zod";

const serviceMessageScheme = z.object({
  code: z.optional(z.nullable(z.string())),
  message: z.string().nullable(),
  source: z.number(),
  innerExceptionDetail: z.optional(z.nullable(z.unknown())),
  exceptionDetail: z.optional(z.nullable(z.unknown())),
});

export const applyDiscountCouponResponseScheme = z.object({
  errors: z.optional(z.array(serviceMessageScheme)),
  warnings: z.optional(z.array(serviceMessageScheme)),
  informations: z.optional(z.array(serviceMessageScheme)),
  success: z.boolean(),
  result: z.nullable(z.unknown()),
});
