export interface IPaymentInstallmentResult {
  errors: any[];
  warnings: any[];
  informations: any[];
  success: boolean;
  result: Result;
}

interface Result {
  bankCode: string;
  bankName: string;
  cardType: number;
  cardTypeString: string;
  installmentList: InstallmentListItem[];
}

export interface InstallmentListItem {
  installmentCount: number;
  installmentAdditionalCount: number;
  installmentTotalCount: number;
  installmentCountText: string;
  installmentAmount: string;
  totalAmount: string;
  installmentKey: string;
  monthlyPayTotal: number;
  macroMerchantId: string;
  providerName: string;
  paymentProvider: string;
  discountRate: string;
  selected: boolean;
}
