import { useQuery } from "react-query";

import { useHttp } from "@/hooks/useHttp";
import type { IAddon } from "@/models/addon.model";

export interface IActiveAddonListResponse {
  Id: number;
  AddonId: number;
  DomainId: number;
  StartDate?: any;
  RenewalDate?: any;
  Status: number;
  CreateDate: string;
  UpdateDate: string;
  CreatedByUserId: string;
  UpdatedByUserId: string;
  Addon: IAddon;
  Domain?: any;
  DomainAddonSettings: any[];
}

export const useActiveAddonListQuery = () => {
  const http = useHttp("wl-display-api");
  const service = () =>
    http
      .get<IActiveAddonListResponse[]>("/api/clientdomainaddon/list")
      .then((res) => res.data);

  return useQuery({
    queryKey: "activeAddonList",
    queryFn: service,
    refetchOnWindowFocus: false,
  });
};
