import type { IBookingRequestResponse } from "../booking-request/booking-request-service.types";

export interface IBookingDetailResponse extends IBookingRequestResponse {
  id: number;
  displayInformations: string;
  moduleName: string;
  passengerInformations: string;
  searchId: string;
  userId: string;
  masterUserId?: any;
  travelReasonId: number;
  travelReasonName?: any;
  bookedProduct: string;
  predictedPriceTry: number;
  extraServiceRequests?: any;
  reservationData: string;
  searchRequest: string;
  bookedPriceTry?: any;
  budgetRoleId?: any;
  linkId: string;
  expensivePriceTry?: any;
  requestStatus: number;
  beforeRequestId?: any;
  netPrice: number;
  taxPrice: number;
  totalPrice: number;
  thycorporateCode?: any;
  scopePath: string;
  createDate: string;
  updateDate: string;
  createdByUserId: string;
  createdByUserName?: any;
  updatedByUserId: string;
  updatedByUserName?: any;
  status: number;
  cancelRequest: number;
  corpRequestHistories?: CorpRequestHistories[];
  requesterUserIds?: string[];
}

interface CorpRequestHistories {
  id: number;
  dateTime: string;
  description: any;
  newStatus: number;
  oldStatus: number;
  userId: string;
  type: number;
  createDate: string;
  updateDate: string;
  createdByUserName: string;
  updatedByUserId: string;
  updatedByUserName: string;
  status: number;
}
