export interface IBookingRequestTransferDisplayInformation {
  DomainId: number;
  UserName: string;
  Approvers: any[];
  UserEmail: string;
  SearchRequest: SearchRequest;
  MasterUserName?: any;
  UserDepartments: UserDepartment[];
}

interface UserDepartment {
  Id: number;
  Name: string;
}

interface SearchRequest {
  Filter: Filter;
  OriginId: number;
  SearchId?: any;
  Passengers: Passenger[];
  SearchLegs: SearchLeg[];
  TravelReason: number;
  DestinationId: number;
}

interface SearchLeg {
  OriginId: number;
  OriginType: number;
  DepartureTime: string;
  DestinationId: number;
  DestinationType: number;
}

interface Passenger {
  Age: number;
  Key?: any;
  Name?: any;
  Gender: number;
  CrmCode?: any;
  HesCode?: any;
  Surname?: any;
  Birthday: string;
  MilesCode?: any;
  PassengerType: number;
  PassportNumber?: any;
}

interface Filter {
  Page: number;
  GroupId?: any;
  PageSize?: any;
  PriceMax: number;
  PriceMin: number;
  IsEconomic?: any;
  IsPriceSortedByDesc?: any;
  PrivateTransferCount?: any;
  EconomicTransferCount?: any;
}
