export interface IBookingRequestTransferReservationData {
  SearchProductKey: string;
  BookingCode?: any;
  SaleCode?: any;
  SearchResponse: SearchResponse;
  DetailResponse: DetailResponse;
  ProductKeys: string[];
  CancelWarrantySearchId: string;
  RoundTripInformations: RoundTripInformation[];
  CancelWarranty?: any;
  ProjectCode: string;
  ReservationNote: string;
}

interface RoundTripInformation {
  SegmentGroupId: number;
  Information?: any;
}

interface DetailResponse {
  Name?: any;
  Information?: any;
  TransferSegmentGroupItem: TransferSegmentGroupItem[];
}

export interface TransferSegmentGroupItem {
  Key: string;
  Items: Item2[];
}

interface Item2 {
  Key: string;
  Name: string;
  TotalPrice: string;
  ArrivalTime: string;
  DepartureTime: string;
  IsEconomic: boolean;
  Quota: number;
  GroupId: number;
  PictureUrl: string;
  BasePrice: string;
  TaxPrice: string;
  TransferType: number;
  Discount: string;
}

interface SearchResponse {
  SearchId: string;
  HasMorePage: boolean;
  SearchLegs?: any;
  PassengerList?: any;
  Items: Item[];
  SegmentKeys?: any;
  Passengers?: any;
  Filter?: any;
  TotalCount: number;
}

interface Item {
  Key: string;
  Name: string;
  TotalPrice: string;
  TotalPriceCast: string;
  ArrivalTime: string;
  DepartureTime: string;
  IsEconomic: boolean;
  Quota: number;
  GroupId: number;
  PictureUrl: string;
  TransferType: number;
  Discount: string;
}
