import { useQuery } from "react-query";

import { useHttp } from "@/hooks/useHttp";

export const useCmsService = (params: { path: string }) => {
  const http = useHttp("wl-display-api");
  const service = () =>
    http.get(`/api/v1/strategy/get?path=/${params.path}&LanguageCode=tr`);

  return useQuery({
    queryFn: service,
    queryKey: `cms-${params.path}`,
  });
};
