import type { StrategyRunnerRequest } from "@/@types/types/strategy-service.types";

export type IBookingRequestChangeStatusStrategyRequest =
  StrategyRunnerRequest<IBookingRequestChangeStatusParameters>;

export interface IBookingRequestChangeStatusParameters {
  CorpBaseRequest: CorpBaseRequest;
}

interface CorpBaseRequest {
  RequestId: number;
  CorpRequestStatus: number;
  ApprovePriceChange?: boolean;
  DenyReasonId?: number;
  StatusChangeDescription?: string;
}

export enum CorpRequestStatusEnum {
  Waiting = 0,
  Approved = 1,
  Denied = 2,
  Cancelled = 3,
  NotCompleted = 4,
  Changed = 5,
}
