export interface IDisplayInformations {
  $id: string;
  Destination: IDestination;
  HotelName: string;
  RoomType: string;
  CheckInDate: string;
  CheckOutDate: string;
  SearchRooms: ISearchRoom[];
  UserName: string;
  UserDepartment: null;
  MasterUserName: null;
  SearchRequest: ISearchRequest;
  Approvers?: Approvers[];
}
interface Approvers {
  Email: string;
  FullName: string;
}
export interface IDestination {
  $id: string;
  $type: string;
  Id: number;
  ParentId: number;
  ParentRegion: IDestinationParentRegion;
  Label: null;
}

export interface IDestinationParentRegion {
  $id: string;
  $type: string;
  Id: number;
  ParentId: number;
  ParentRegion: IParentRegionParentRegion;
  Label: string;
}

export interface IParentRegionParentRegion {
  $id: string;
  $type: string;
  Id: number;
  ParentId: number | null;
  ParentRegion: IParentRegionParentRegion | null;
  Label: string;
}

export interface ISearchRoom {
  Passengers: IPassenger[];
}

export interface IPassenger {
  $id: string;
  Key: null;
  Name: null;
  Surname: null;
  Age: number;
  PassengerType: number;
  Birthday: string;
  Gender: number;
  CrmCode: null;
  MilesCode: null;
  HesCode: null;
  PassportNumber: null;
}

export interface ISearchRequest {
  HotelId: null;
  SearchId: null;
  RequestKey: null;
  CountryCode: string;
  Currency: string;
  CheckInDate: Date;
  CheckOutDate: Date;
  PageSize: number;
  PageNumber: number;
  DestinationId: number;
  DestinationCode: null;
  OriginCode: null;
  TrfSrc: null;
  DestinationType: number;
  DestinationSubType: number;
  OrderBy: number;
  Rooms: ISearchRoom[];
  Filter: IFilter;
  ExtraFilterLocationId: null;
  TravelReason: number;
  DestinationName: string;
}

export interface IFilter {
  HotelName: string;
  Locations: any[];
  MealTypes: any[];
  Facilities: any[];
  Themes: any[];
  MinPrice: null;
  MaxPrice: null;
}
