export interface IFlightDisplayInformation {
  SearchRequest: ISearchRequest;
  UserName: string;
  UserEmail: null;
  UserDepartment: null;
  UserDepartmentId: number;
  MasterUserName: string;
  Approvers?: Approvers[];
}

interface Approvers {
  Email: string;
  FullName: string;
}
export interface ISearchRequest {
  SearchId: null;
  SearchLegs: ISearchLeg[];
  SearchPassengers: ISearchPassenger[];
  FlightDisplayType: number;
  FlightTripKind: number;
  Filter: IFilter;
}

export interface IFilter {
  PriceMin: number;
  PriceMax: number;
  AirlineCodes: null;
  Layover: null;
  GoingFlightDestinations: null;
  ReturnFlightDestinations: null;
  GoingDepartureMinTime: string;
  GoingDepartureMaxTime: string;
  GoingArrivalMinTime: string;
  GoingArrivalMaxTime: string;
  TurnDepartureMinTime: string;
  TurnDepartureMaxTime: string;
  TurnArrivalMinTime: string;
  TurnArrivalMaxTime: string;
  FlightMaxTime: string;
  FlightMinTime: string;
  PageSize: number;
  IsPaging: boolean;
  ResetPage: boolean;
  IsDirect: null;
  GroupId: number;
  Order: number;
}

export interface ISearchLeg {
  OriginId: number;
  DestinationId: number;
  OriginType: number;
  DestinationType: number;
  DepartureTime: Date;
  CabinClass: number;
}

export interface ISearchPassenger {
  Key: null;
  Name: null;
  Surname: null;
  Age: number;
  PassengerType: number;
  Birthday: Date;
  Gender: number;
  CrmCode: null;
  MilesCode: null;
  HesCode: null;
  PassportNumber: null;
}
