export interface IPassengerInformation {
  $id: string;
  Id: number;
  IsMaster: boolean;
  Address: IAddress;
  Email: string;
  Prefix: string;
  Suffix: string;
  PhoneNumbers: IPhoneNumber[];
  Country: ICountry;
  TcKimlikNo: string;
  SpecialServiceRequests: any[];
  ZipCode: string;
  SecretCustomer: boolean;
  PassportTypeId: number;
  MernisQueryStatus: number;
  LoyaltyCode: null | string;
  Key: string;
  Name: string;
  Surname: string;
  Age: number;
  PassengerType: number;
  Birthday: string;
  Gender: number;
  CrmCode: string;
  MilesCode: string;
  HesCode: string;
  PassportNumber: string;
}

export interface IAddress {
  $id: string;
  AddressName: string;
  Street: string;
  City: string;
  Country: ICountry;
  PostalCode: string;
}

export interface ICountry {
  $id: string;
  Id: number;
  ParentId: null;
  ParentRegion: null;
  Label: string;
}

export interface IPhoneNumber {
  $id: string;
  CountryCode: number;
  AreaCode: number;
  Number: string;
  Type: number;
}
