export default interface IRentACarDisplayInformation {
  CarName: string;
  DomainId: number;
  UserName: string;
  Approvers: any[];
  UserEmail: string;
  SearchRequest: SearchRequest;
  MasterUserName?: any;
  UserDepartments: UserDepartment[];
}

interface UserDepartment {
  Id: number;
  Name: string;
}

interface SearchRequest {
  Filter: Filter;
  SearchId?: any;
  DriverAge: number;
  SearchLeg: SearchLeg;
  PickupDateTime: string;
  ReturnDateTime: string;
}

interface SearchLeg {
  PickupStationId: number;
  ReturnStationId: number;
  PickupStationType: number;
  ReturnStationType: number;
}

interface Filter {
  Page: number;
  CarNames: any[];
  CarTypes: number[];
  PageSize: number;
  PriceMax: number;
  PriceMin: number;
  DriverAgeLimits: any[];
  PassengerCounts: any[];
  IsPriceSortedByDesc?: any;
  AutomaticTransmission?: any;
}
