export default interface IRentACarReservationData {
  SearchResponse: SearchResponse;
  DetailResponse: DetailResponse;
  SearchProductKey: string;
  DetailProductKey: string;
  CancelWarrantySearchId?: any;
  Agreements: Agreement[];
  CancelWarranty?: any;
  ProjectCode: string;
  ReservationNote: string;
}

interface Agreement {
  AgreementType: number;
  Text?: any;
  AgreementApprovalType: number;
  AgreementStatus: number;
  DownloadDate?: any;
  NotificationId?: any;
  ProductType: number;
}

interface DetailResponse {
  ExtrasPayIsActiveOffice: boolean;
  Car: Car;
}

interface Car {
  Key: string;
  CarDetail: CarDetail;
  CarInsurances: CarInsurance[];
  CarIncluded: any[];
  CarExtraOption: CarExtraOption[];
  OneWay: string;
  LocationFee: string;
  PickupStationKey: string;
  ReturnStationKey: string;
  TotalPrice: string;
  EquivalentTotalPrice: string;
  BasePrice: string;
  Taxes: string;
  TaxInfos?: any;
  Discount: string;
  DiscountInformations?: any;
  CampaignInformations?: any;
  Fee: Fee;
  ExchangeRates?: any;
  Commission: Commission;
  BankCampaingId?: any;
  PosKey?: any;
  CarRentalCompany: CarIncluded;
}

interface CarExtraOption {
  Code: string;
  CalculateInfo?: any;
  Name: string;
  TotalPrice: string;
  MaxDay: number;
  UnitPrice: string;
  Selected: boolean;
}

interface CarInsurance {
  Code: string;
  CalculateInfo?: any;
  Description: string;
  NoOfUnits: number;
  TotalPrice: string;
  UnitPrice: string;
  Selected: boolean;
}

interface SearchResponse {
  SearchId: string;
  Items: Item[];
  PassengerList?: any;
  Filter?: any;
  TotalCount: number;
  HasMorePage: boolean;
}

interface Item {
  Key: string;
  CarDetail: CarDetail;
  CarIncluded: CarIncluded[];
  OneWay: string;
  LocationFee: string;
  PickupStationKey: string;
  ReturnStationKey: string;
  TotalPrice: string;
  EquivalentTotalPrice: string;
  BasePrice: string;
  Taxes: string;
  TaxInfos?: any;
  Discount: string;
  DiscountInformations?: any;
  CampaignInformations?: any;
  Fee: Fee;
  ExchangeRates?: any;
  Commission: Commission;
  BankCampaingId?: any;
  PosKey?: any;
  CarRentalCompany: CarIncluded;
}

interface Commission {
  Code?: any;
  Price: string;
  CommissionType: number;
  CommissionValue: number;
}

interface Fee {
  Code?: any;
  Price: string;
}

interface CarIncluded {
  Code: string;
  Name: string;
}

interface CarDetail {
  AgeLimit: number;
  FuelType: number;
  AutomaticTransmission: boolean;
  AirConditioning: boolean;
  ImageUrl: string;
  Deposit: string;
  PassengerCount: number;
  Category: number;
  Type: number;
  ReturnCode: string;
  ReturnId: string;
  ReturnDate: string;
  PickupCode: string;
  PickupId: string;
  PickupDate: string;
  Name: string;
  DoorCount: number;
  DriverLicanseLimit: number;
}
