export interface ITransferDisplayInformation {
  SearchRequest: SearchRequest;
  UserName: string;
  UserEmail: string;
  UserDepartment: any;
  UserDepartmentId: number;
  MasterUserName: any;
  Approvers: any[];
}

export interface SearchRequest {
  SearchId: any;
  SearchLegs: SearchLeg[];
  Passengers: Passenger[];
  DestinationId: number;
  OriginId: number;
  TravelReason: number;
  Filter: Filter;
}

export interface SearchLeg {
  OriginType: number;
  DestinationType: number;
  OriginId: number;
  DestinationId: number;
  DepartureTime: string;
}

export interface Passenger {
  Key: any;
  Name: any;
  Surname: any;
  Age: number;
  PassengerType: number;
  Birthday: string;
  Gender: number;
  CrmCode: any;
  MilesCode: any;
  HesCode: any;
  PassportNumber: any;
}

export interface Filter {
  PriceMin: number;
  PriceMax: number;
  IsEconomic: boolean;
  EconomicTransferCount: any;
  PrivateTransferCount: any;
  IsPriceSortedByDesc: boolean;
  Page: number;
  PageSize: any;
  GroupId: any;
}
