export interface ITransferReservationData {
  SearchProductKey: string;
  BookingCode: any;
  SaleCode: any;
  SearchResponse: SearchResponse;
  DetailResponse: DetailResponse;
  ProductKeys: string[];
  RoundTripInformations: RoundTripInformation[];
  ProjectCode: string;
  ReservationNote: string;
}

export interface SearchResponse {
  SearchId: string;
  SearchLegs: any;
  PassengerList: any;
  Items: Item[];
  SegmentKeys: any;
  Passengers: any;
  Filter: any;
  TotalCount: number;
}

export interface Item {
  Key: string;
  Name: string;
  TotalPrice: string;
  TotalPriceCast: string;
  ArrivalTime: string;
  DepartureTime: string;
  IsEconomic: boolean;
  Quota: number;
  GroupId: number;
  PictureUrl: string;
  TransferType: number;
  Discount: string;
}

export interface DetailResponse {
  Name: any;
  Information: any;
  TransferSegmentGroupItem: TransferSegmentGroupItem[];
}

export interface TransferSegmentGroupItem {
  Key: string;
  Items: Item2[];
}

export interface Item2 {
  Key: string;
  Name: string;
  TotalPrice: string;
  ArrivalTime: string;
  DepartureTime: string;
  IsEconomic: boolean;
  Quota: number;
  GroupId: number;
  PictureUrl: string;
  BasePrice: string;
  TaxPrice: string;
  TransferType: number;
  Discount: string;
}

export interface RoundTripInformation {
  SegmentGroupId: number;
  Information: Information;
  TransferProductFlightDetails?: Information;
}

export interface Information {
  FlightDate: any;
  FlightNumber: any;
  FlightTimeDeparture: any;
  FlightTimeArrival: any;
  FlightAirline: any;
  FlightAirport: any;
  FlightAddressDeparture: any;
  FlightAddressArrival: any;
}
