import type { Addons } from "../hotel-detail/hotel-detail-services.types";

export interface IHotelAddToCartResponse {
  optionalAddOns: IOptionalAddOns[];
  cartId: string;
  reservationSummaryCaption: string;
  image: Image;
  hotelName: string;
  checkInString: string;
  checkOutString: string;
  accommodationCountString: string;
  checkInDate: string;
  checkOutDate: string;
  accommodationCount: string;
  roomItemList: IRoomItem[];
  extendedDiscountInformationList: ExtendedDiscountInformationList[];
  totalPriceString: string;
  totalPrice: string;
  totalPriceWithDiscount: string;
  totalExchangePrice: string;
  kvkkAgreementText: string;
  cancelWarranty: CancelWarranty;
  currencyMessage: string;
  isDifferentCurrency: boolean;
  loyaltyItem?: LoyalityItem;
  addons: Addons[];
  checkInHour: string;
  checkOutHour: string;
}

interface LoyalityItem {
  productKey: string;
  loyalities: Loyality[];
}

interface Loyality {
  key: string;
  value: number;
  productPrice: string;
  loyaltyPrice: string;
}

export interface CancelWarranty {
  searchId: string;
  totalPrice: string;
  totalExchangePrice: string;
  description: string;
  name: string;
}

interface ExtendedDiscountInformationList {
  price: string;
  key?: any;
  icon?: any;
  description: string;
  tooltip?: any;
  order: number;
}

export interface IRoomItem {
  roomTitle: string;
  passengerInformation: PassengerInformation;
  mealType: string;
  cancellationPolicy: string;
  roomPriceString: string;
  roomPriceDiscountString: string;
  roomPriceDiscountDescription: string;
  basePrice: string;
  totalPrice: string;
  totalPriceWithDiscount: string;
  baseExchangePrice: string;
  totalExchangePrice: string;
}

interface PassengerInformation {
  key?: any;
  icon: string;
  description: string;
  tooltip?: any;
  order: number;
}

interface Image {
  categoryType: string;
  url: string;
  thumbnailUrl: string;
  highResolutionUrl?: any;
}

export interface IOptionalAddOns {
  name: string;
  key: string;
  totalPrice: string;
  totalExchangePrice: string;
  passengers: IPassenger[];
  formattedDate: string;
  description: string;
}

export interface IPassenger {
  key: string;
  description: string;
}
