export interface IHotelBookingRequestResponse {
  requestId: number;
  withoutApprove: boolean;
}

export interface IHotelBookingRequestParameters {
  CorpCreateHotelRequest: CorpCreateHotelRequest;
}

interface CorpCreateHotelRequest {
  SearchId: string;
  CartId: string;
  TravelReasonId: number;
  BranchId?: number;
  LinkId: string;
  RequestId?: any;
  SearchProductKey: string;
  DetailProductKey: string;
  KvkkStatus: boolean;
  isPreBook: boolean;
  RequesterUserIds: string[];
  PassengerInformations: IPassengerInformation[];
  CancelWarrantySearchId?: string;
  ProjectCode?: string;
  ReservationNote?: string;
}

export interface IPassengerInformation {
  Id: number;
  IsMaster: boolean;
  Address: Address;
  Email: string;
  Prefix: string;
  Suffix: string;
  PhoneNumbers: PhoneNumber[];
  Country: Country;
  LoyaltyCode?: string;
  TcKimlikNo: string;
  SpecialServiceRequests: any[];
  ZipCode: string;
  SecretCustomer?: any;
  PassportTypeId: number;
  MernisQueryStatus: number;
  Key: string;
  Name: string;
  Surname: string;
  Age: number;
  PassengerType: number;
  Birthday: string;
  Gender: number | null;
  CrmCode: string;
  MilesCode: string;
  HesCode: string;
  PassportNumber: string;
}

interface PhoneNumber {
  CountryCode: number;
  AreaCode: number;
  Number: string;
  Type: number;
}

interface Address {
  AddressName: string;
  Street: string;
  City: string;
  Country: Country;
  PostalCode: string;
}

interface Country {
  Id: number;
  ParentId?: any;
  ParentRegion?: any;
  Label: string;
}
