import { getResultFromStrategyResponse } from "@/libs/helpers/strategy-service.helper";

import type {
  HotelListStrategyResponse,
  IHotelDetailSerializedResult,
} from "./hotel-detail-services.types";

export const hotelDetailResultSerializer = (
  data: HotelListStrategyResponse,
): IHotelDetailSerializedResult => {
  const {
    images,
    seasons,
    roomGroupResult,
    roomCollectionResult,
    hotelAddons,
    generalInformation,
    hotelThemes,
    nearDistances,
    foodDrinks,
    hygienicalMeasures,
    ...rest
  } = getResultFromStrategyResponse(data);

  return {
    metadata: rest,
    images,
    seasons,
    roomGroupResult,
    roomCollectionResult,
    hotelAddons,
    generalInformation,
    hotelThemes,
    nearDistances,
    foodDrinks,
    hygienicalMeasures,
  };
};
