import { getResultFromStrategyResponse } from "@/libs/helpers/strategy-service.helper";

import type {
  RoomCollectionResult,
  RoomGroupResult,
} from "../hotel-detail/hotel-detail-services.types";
import type {
  HotelRoomListStrategyResponse,
  PassengerList,
} from "./hotel-room-search-services.types";

export interface IHotelRoomSearchResultSerializer {
  roomGroupResult: RoomGroupResult[];
  roomCollectionResult: RoomCollectionResult[];
  searchId: string;
  passengerList: PassengerList[];
  documentNumber?: string;
}

export const hotelRoomSearchResultSerializer = (
  data: HotelRoomListStrategyResponse,
): IHotelRoomSearchResultSerializer => {
  const {
    roomGroupResult,
    roomCollectionResult,
    searchId,
    passengerList,
    documentNumber,
  } = getResultFromStrategyResponse(data);

  return {
    passengerList,
    roomGroupResult,
    roomCollectionResult,
    searchId,
    documentNumber,
  };
};
