import { getResultFromStrategyResponse } from "@/libs/helpers/strategy-service.helper";

import type {
  HotelListFilterResult,
  HotelListPassengerList,
  HotelListStrategyResponse,
  IHotelListItem,
} from "./hotel-search-services.types";

export interface IHotelSearchResultSerializer {
  metadata: {
    searchId: string;
    requestKey: string;
    hasMorePage: boolean;
  };
  hotelList: IHotelListItem[];
  totalHotelCount: number;
  passengerList: HotelListPassengerList[];
  filterResult: HotelListFilterResult;
  documentNumber?: string;
}

export const hotelSearchResultSerializer = (
  data: HotelListStrategyResponse,
): IHotelSearchResultSerializer => {
  const {
    items,
    passengerList,
    filterResult,
    totalHotelCount,
    documentNumber,
    ...rest
  } = getResultFromStrategyResponse(data);

  return {
    metadata: rest,
    hotelList: items,
    totalHotelCount,
    passengerList,
    filterResult,
    documentNumber,
  };
};
