export interface IHotelValidateParameters {
  HotelValidateBookingRequest: HotelValidateBookingRequest;
}

interface HotelValidateBookingRequest {
  CartId: string;
  ReservationNotes: string;
  AddOnsKeyList: any[];
  CancelWarrantySearchId: string;
  SearchId: string;
  KvkkApproval: boolean;
  BookingPassengers: IBookingPassenger[];
  BillingRequest: BillingRequest;
}

export interface BillingRequest {
  IsInvoiceInformationDifferent: boolean;
  Type: number;
  InvoiceAccountCode?: any;
  InvoiceFirstName: string;
  InvoiceLastName: string;
  Gender: number;
  InvoiceTitle: string;
  InvoiceTaxOffice: string;
  InvoiceIdentityNumber?: any;
  InvoiceEmail?: any;
  InvoicePhone: string;
  InvoiceAddress: InvoiceAddress;
  InvoiceCountry?: any;
}

interface InvoiceAddress {
  AddressName?: any;
  Street: string;
  City?: any;
  Country?: any;
  PostalCode?: any;
}

export interface IBookingPassenger {
  Id: number;
  IsMaster: boolean;
  Address: Address;
  Email: string;
  Prefix: string;
  Suffix: string;
  PhoneNumbers: string[];
  Country?: any;
  LoyaltyCode?: string;
  TcKimlikNo?: any;
  SpecialServiceRequests: any[];
  ZipCode: string;
  SecretCustomer?: any;
  PassportTypeId: number;
  MernisQueryStatus: number;
  Key: string;
  Name: string;
  Surname: string;
  Age: number;
  PassengerType: number;
  Birthday: string;
  Gender: number | null;
  CrmCode: string;
  MilesCode: string;
  HesCode: string;
  PassportNumber: string;
}

interface Address {
  AddressName: string;
  Street: string;
  City: string;
  Country?: any;
  PostalCode: string;
}
