import type {
  CarExtraOption,
  CarInsurance,
} from "../rent-a-car-detail/rent-a-car-detail.types";

export interface IRentACarAddToCartRequest {
  CarRentalSearchRequest: CarRentalAddToCartRequest;
}

export interface CarRentalAddToCartRequest {
  // @todo - This should be cartId, not cardId.
  cardId: string | null;
  searchId: string;
  productKey: string;
}

export interface IRentACarAddToCartResponse {
  cartId: string;
  carName: string;
  pickupDate: string;
  pickupString: string;
  returnDate: string;
  returnString: string;
  pickupStation?: any;
  returnStation?: any;
  basePrice: string;
  totalPrice: string;
  totalPriceString: string;
  reservationSummaryCaption: string;
  kvkkAgreementText: string;
  cancelWarranty?: any;
  carExtraOptions?: CarExtraOption[];
  carInsurances?: CarInsurance[];
}
