import type { CarRentalCompany } from "../rent-a-car-search/rent-a-car-search.types";

export interface IRentACarDetailRequest {
  CarRentalSearchRequest: CarRentalDetailRequest;
}

export interface CarRentalDetailRequest {
  searchId: string;
  ProductKey: string;
  InsuranceOptions: string[];
  ExtraOptions: string[];
}

export interface IRentACarDetailResponse {
  extrasPayIsActiveOffice: boolean;
  car: Car;
}

export interface Car {
  key: string;
  carDetail: CarDetail;
  carInsurances: CarInsurance[];
  carIncluded: CarIncluded[];
  carExtraOption: CarExtraOption[];
  oneWay: string;
  locationFee: string;
  pickupStationKey?: any;
  returnStationKey?: any;
  totalPrice: string;
  equivalentTotalPrice: string;
  basePrice: string;
  taxes: string;
  discount: string;
  fee: Fee;
  commission: Commission;
  bankCampaingId?: any;
  posKey?: any;
  carRentalCompany: CarRentalCompany;
}

export interface Commission {
  code?: any;
  price: string;
  commissionType: number;
  commissionValue: number;
}

export interface Fee {
  code?: any;
  price: string;
}

export interface CarExtraOption {
  code: string;
  calculateInfo: CalculateInfo;
  name: string;
  Name?: string;
  totalPrice: string;
  maxDay: number;
  unitPrice: string;
  selected: boolean;
  Selected?: boolean;
}

export interface CarIncluded {
  code: string;
  name: string;
}

export interface CarInsurance {
  code: string;
  calculateInfo: CalculateInfo;
  description: string;
  Description?: string;
  noOfUnits: number;
  totalPrice: string;
  unitPrice: string;
  selected: boolean;
  Selected?: boolean;
}

export interface CalculateInfo {
  status: string;
  info: string;
}

export interface CarDetail {
  ageLimit: number;
  fuelType: number;
  automaticTransmission: boolean;
  airConditioning: boolean;
  imageUrl: string;
  deposit: string;
  passengerCount: number;
  category: number;
  type: number;
  returnCode: string;
  returnId: string;
  returnDate: string;
  pickupCode: string;
  pickupId: string;
  pickupDate: string;
  name: string;
  doorCount: number;
  driverLicanseLimit: number;
}
