export interface IRentACarRequestCreateRequest {
  CorpCreateTransferRequest: CarRentalCreateRequestRequest;
}

export interface CarRentalCreateRequestRequest {
  SearchId: string;
  CartId: string;
  RequestId?: any;
  TravelReasonId: number;
  BranchId?: number;
  LinkId: string;
  SearchProductKey: string;
  DetailProductKey: string;
  KvkkStatus: boolean;
  RequesterUserIds: string[];
  RequestDepartmentIds: number[];
  PassengerInformations: PassengerInformation[];
  ProjectCode: string;
  ReservationNote: string;
  CancelWarrantySearchId?: any;
}

export interface PassengerInformation {
  Id: number;
  IsMaster: boolean;
  Address: Address;
  Email: string;
  Prefix: string;
  Suffix: string;
  PhoneNumbers: PhoneNumber[];
  Country: Country;
  LoyaltyCode: string;
  TcKimlikNo: string;
  SpecialServiceRequests: any[];
  ZipCode: string;
  SecretCustomer?: any;
  PassportTypeId: number;
  MernisQueryStatus: number;
  Key: string;
  Name: string;
  Surname: string;
  Age: number;
  PassengerType: number;
  Birthday: string;
  Gender: number;
  CrmCode: string;
  HesCode: string;
  PassportNumber: string;
}

export interface PhoneNumber {
  CountryCode: number;
  AreaCode: string;
  Number: string;
  Type: number;
}

export interface Address {
  AddressName: string;
  Street: string;
  City: string;
  Country: Country;
  PostalCode: string;
}

export interface Country {
  Id: number;
  ParentId?: any;
  ParentRegion?: any;
  Label: string;
}

export interface IRentACarRequestCreateResponse {
  requestId: number;
}
