export interface ITourAddToCartResponse {
  cartId: string;
  tourName: string;
  tourCode: string;
  basePrice: string;
  baseExchangePrice: string;
  totalPrice: string;
  totalExchangePrice: string;
  taxes: string;
  discount: string;
  fee: Fee;
  startDate: string;
  endDate: string;
  optionName: string;
  description: string;
  kvkkAgreementText: string;
  tourInformation: TourInformation;
  campaignInformation: CampaignInformation[];
  currencyMessage: string;
}

export interface Fee {
  code: any;
  price: string;
}

export interface TourInformation {
  title: string;
  onRequest: boolean;
  closedGroup: boolean;
  boardType: string;
  currency: string;
  minDay: number;
  minNight: number;
  regionName: string;
  transportTypeName: any;
  transportReturnTypeName: any;
  tourProgram: any;
}

export interface CampaignInformation {
  code: string;
  name: string;
  startDate: string;
  endDate: string;
  priority: number;
  totalDiscount: string;
  discountPercent: any;
  campaignType: number;
  campaignUsage: number;
  used: boolean;
}
