import { useStrategyMutation } from "../../strategy/strategy-runner.service";

interface ITransferAddToCartVariables {
  TransferCartProductRequest: {
    CartId?: any;
    SearchId: string;
    ProductKeys: string[];
  };
}

export interface ITransferAddToCartItem {
  cartId: string;
  transferName: string;
  description?: any;
  startDate: string;
  endDate: string;
  totalPrice: string;
  basePrice: string;
  taxes: string;
  discount: string;
  fee: {
    code?: any;
    price: string;
  };
  destination: string;
  origin: string;
  groupId: number;
}
export interface ITransferAddToCartResponse {
  cartId: string;
  reservationSummaryCaption: string;
  accommodationCountString?: any;
  transferItemList: ITransferAddToCartItem[];
  totalPriceString: string;
  totalPrice: string;
  kvkkAgreementText: string;
  passengersCount: number;
  cancelWarranty?: any;
}

export const useTransferAddToCartMutation = () =>
  useStrategyMutation<ITransferAddToCartResponse, ITransferAddToCartVariables>({
    strategyKey: "transferAddToCart",
  });
