export interface ITransferCreatePostVariables {
  CorpCreateTransferRequest: CorpCreateTransferRequest;
}

interface CorpCreateTransferRequest {
  SearchId: string;
  CartId: string;
  RequestId?: any;
  TravelReasonId: number;
  BranchId?: number;
  LinkId: string;
  SearchProductKey: string;
  ProductKeys: string[];
  IsPreBook: boolean;
  KvkkStatus: boolean;
  RequesterUserIds: string[];
  PassengerInformations: PassengerInformation[];
  ProjectCode?: string;
  ReservationNote?: string;
  RoundTripInformations?: RoundTripInformation[];
  CancelWarrantySearchId?: any;
}

interface RoundTripInformation {
  SegmentGroupId?: any;
  TransferProductFlightDetails: TransferProductFlightDetails;
}

interface TransferProductFlightDetails {
  FlightDate?: any;
  FlightNumber?: any;
  FlightTimeDeparture?: any;
  FlightTimeArrival?: any;
  FlightAirline?: any;
  FlightAirport?: any;
  FlightAddressDeparture?: any;
  FlightAddressArrival?: any;
}

interface PassengerInformation {
  Id: number;
  IsMaster: boolean;
  Address: Address;
  Email: string;
  Prefix: string;
  Suffix: string;
  PhoneNumbers: PhoneNumber[];
  Country: Country;
  LoyaltyCode: string;
  TcKimlikNo: string;
  SpecialServiceRequests: any[];
  ZipCode: string;
  SecretCustomer?: any;
  PassportTypeId: number;
  MernisQueryStatus: number;
  Key: string;
  Name: string;
  Surname: string;
  Age: number;
  PassengerType: number;
  Birthday: string;
  Gender: number;
  CrmCode: string;
  HesCode: string;
  PassportNumber: string;
}

interface PhoneNumber {
  CountryCode: number;
  AreaCode: number;
  Number: string;
  Type: number;
}

interface Address {
  AddressName: string;
  Street: string;
  City: string;
  Country: Country;
  PostalCode: string;
}

interface Country {
  Id: number;
  ParentId?: any;
  ParentRegion?: any;
  Label: string;
}
