import { useStrategyMutation } from "../strategy/strategy-runner.service";

interface ITransferDetailVariables {
  TransferDetailRequest: {
    searchId: string;
    ProductKey: string;
  };
}

interface ITransferDetailResponse {
  name?: any;
  information?: any;
  transferSegmentGroupItem: TransferSegmentGroupItem[];
}

interface TransferSegmentGroupItem {
  key: string;
  items: {
    key: string;
    name: string;
    totalPrice: string;
    arrivalTime: string;
    departureTime: string;
    isEconomic: boolean;
    quota: number;
    groupId: number;
    pictureUrl: string;
    basePrice: string;
    taxPrice: string;
    transferType: number;
    discount: string;
  }[];
}

export const useTransferDetailMutation = () =>
  useStrategyMutation<ITransferDetailResponse, ITransferDetailVariables>({
    strategyKey: "transferDetail",
  });
