import type { IRetrieveDiscountCoupons } from "../../shared/eva-display-shared-types";
import { useStrategyMutation } from "../../strategy/strategy-runner.service";

interface ITransferRetrieveVariables {
  RetrieveRecordRequest: {
    transactionKey: string;
    cartId: string;
    searchId: string;
  };
}

export interface ITransferRetrieveResponse {
  resultString: string;
  bookingCodes: string[];
  descriptionList: string[];
  needHelp: string;
  relevantInformations: string;
  voucherButtonString: string;
  information: Information;
  priceSummary: PriceSummary;
  saleCodes: string[];
  paymentType: string;
  isRecurringPayment: boolean;
  discountCoupons?: IRetrieveDiscountCoupons | null;
}

export interface Information {
  key: any;
  icon: string;
  description: string;
  tooltip: any;
  order: number;
}

export interface PriceSummary {
  caption: string;
  roomsString: any;
  additionalProductString: any;
  discountString: string;
  totalPriceString: string;
  basePrice: string;
  taxPrice: string;
  totalPrice: string;
}

export const useTransferRetrieveMutation = () =>
  useStrategyMutation<ITransferRetrieveResponse, ITransferRetrieveVariables>({
    strategyKey: "transferRetrieve",
  });
