export interface ITransferSearchResponse {
  searchId?: any;
  items: ITransferSearchResponseItem[];
  passengerList: ITransferPassenger[];
  segmentKeys: ITransferSearchResponseSegmentKey[];
  filter: ITransferSearchResponseFilter;
  totalCount: number;
  hasMorePage?: boolean;
}

export interface ITransferPassenger {
  key: string;
  age: number;
  type: number;
}

export interface ITransferSearchResponseFilter {
  priceMin: number;
  priceMax: number;
  isEconomic: boolean;
  economicTransferCount: number;
  privateTransferCount: number;
  isPriceSortedByDesc: boolean;
  page: number;
  pageSize?: any;
}

export interface ITransferSearchResponseSegmentKey {
  transferSegmentKey: string[];
  segmentGroupKey: string;
  groupId: number;
}

export interface ITransferSearchResponseItem {
  key: string;
  name: string;
  totalPrice: string;
  totalPriceCast: string;
  arrivalTime: string;
  departureTime: string;
  isEconomic: boolean;
  quota: number;
  groupId: number;
  pictureUrl: string;
  transferType: number;
  discount: string;
}

export interface ITransferSearchRequest {
  SearchId?: any;
  SearchLegs: ITransferSearchRequestSearchLeg[];
  Passengers: ITransferSearchRequestPassenger[];
  DestinationId: number;
  OriginId: number;
  TravelReason: number;
  Filter: ITransferSearchRequestFilter;
}

interface ITransferSearchRequestFilter {
  PriceMin: number;
  PriceMax: number;
  IsEconomic: boolean;
  IsPriceSortedByDesc: boolean;
  Page: number;
  PageSize?: any;
  GroupId?: any;
}

interface ITransferSearchRequestPassenger {
  Age: number;
  PassengerType: number;
}

interface ITransferSearchRequestSearchLeg {
  OriginType: number;
  DestinationType: number;
  OriginId: number;
  DestinationId: number;
  DepartureTime: string;
}
