import { useQuery } from "react-query";

import { useHttp } from "@/hooks/useHttp";
import { useServerDataCtx } from "@/providers/server-data-provider/server-data-provider";

export const useReasonListQuery = () => {
  const { strategyKeys } = useServerDataCtx();
  const http = useHttp("wl-display-api");

  const service = () =>
    http.post("/api/v1/strategy/run", {
      Code: strategyKeys.travelReason, // "529bf043-b86c-4fc7-8208-1fec68823956",

      RequestInput: {
        Parameters: {
          Name: "Seyahat Nedeni",
        },
      },
    });

  return useQuery({ queryFn: service, queryKey: "travel-reason" });
};
