import { useQuery } from "react-query";

import { useHttp } from "@/hooks/useHttp";

import { userDepartmentSerializer } from "./user-department.serializer";

export const useUserDepartmentQuery = () => {
  const http = useHttp("wl-display-api");

  const service = () =>
    http
      .get(
        "/api/v1/strategy/get?path=/corporate-UserDepartment&LanguageCode=tr",
      )
      .then((res) => userDepartmentSerializer(res.data));

  return useQuery({
    queryFn: service,
    queryKey: "user-department",
  });
};
