import { useMutation, useQuery } from "react-query";

import { useHttp } from "@/hooks/useHttp";

import type { IResponseUserInformations } from "./user-information-service.types";

export const useUserInformationsQuery = (variables: { userIds: number[] }) => {
  const http = useHttp("wl-display-api");

  const service = () =>
    http.post("/api/userinformation/getusersinfo", {
      UserIds: variables.userIds,
    });

  return useQuery("user-informations", service);
};

export const useUserInformationsMutation = () => {
  const http = useHttp("wl-display-api");

  const service = (variables: { userIds: number[] }) =>
    http
      .post<IResponseUserInformations>("/api/userinformation/getusersinfo", {
        UserIds: variables.userIds,
      })
      .then((res) => res.data.result);

  return useMutation(service);
};
