import { useMutation } from "react-query";

import type { MutationOptions } from "@/@types/types/query.types";
import { useHttp } from "@/hooks/useHttp";
import { useLocale } from "@/hooks/useLocale";

export const useVoucherService = (queryOptions?: MutationOptions<any>) => {
  const http = useHttp("wl-display-api", "blob");
  const { getCultureCode } = useLocale();

  const service = (voucherNumber: string) =>
    http.get(`/api/voucher/get/${voucherNumber}?culture=${getCultureCode()}`);

  return useMutation({
    mutationFn: service,
    mutationKey: ["voucher"],
    ...queryOptions,
  });
};
