import { useMutation } from "react-query";

import type { MutationOptions } from "@/@types/types/query.types";
import { useHttp } from "@/hooks/useHttp";

import { permissionResultSerializer } from "./permission-services.serializer";

export const usePermissionMution = (queryOptions?: MutationOptions<any>) => {
  const http = useHttp("wl-auth-api");

  const service = () =>
    http
      .get("/api/permission")
      .then((res) => permissionResultSerializer(res.data));

  return useMutation({
    mutationFn: service,
    mutationKey: "permission",
    ...queryOptions,
  });
};
