export interface LinkCardToClientPayload {
  referenceNo: string;
  token: string;
  msisdn: string;
}

export interface LinkCardToClientResponse {
  Data: Data;
  Result: boolean;
  Message?: any;
}

interface Data {
  Body: Body;
}

interface Body {
  Fault: Fault;
  Response: Response;
}

interface Response {
  Result: Result;
}

interface Result {
  TransactionHeader: TransactionHeader;
  TransactionBody: TransactionBody;
}

interface TransactionBody {
  RefNo: string;
}

interface TransactionHeader {
  RequestDateTime?: any;
  ResponseDatetime?: any;
}

interface Fault {
  Detail: Detail;
}

interface Detail {
  ServiceFaultDetail: ServiceFaultDetail;
}

interface ServiceFaultDetail {
  ResponseCode: string;
  InternalResponseCode?: any;
  RefNo?: any;
  ResponseDesc: string;
  Token?: any;
  NewMsisdn?: any;
  InternalResponseMessage?: any;
  CardIssuerName?: any;
  MaskedPan?: any;
}
