import type {
  ListItems,
  ListManagementResponse,
} from "./list-management-services-types";

export const listManagementResultSerializer = (
  data: ListManagementResponse,
): {
  cardList: ListItems[];
  responseCode: string;
  responseDesc: string;
  token: string;
  success: boolean;
} => {
  return {
    cardList: data.Data.Body.Response.Result?.TransactionBody?.ListItems,
    responseCode:
      data.Data.Body?.Fault?.Detail?.ServiceFaultDetail?.ResponseCode,
    responseDesc:
      data.Data.Body?.Fault?.Detail?.ServiceFaultDetail?.ResponseDesc,
    token: data.Data.Body?.Fault?.Detail?.ServiceFaultDetail?.Token,
    success: data.Result,
  };
};
