export interface ListManagementPayload {
  referenceNo: string;
  token: string;
  msisdn: string;
}

export interface ListManagementResponse {
  Data: Data;
  Result: boolean;
  Message: string;
}

interface Data {
  Body: Body;
}

interface Body {
  Fault: Fault;
  Response: Response;
}

interface Response {
  Result: Result;
}

interface Result {
  TransactionHeader: TransactionHeader;
  TransactionBody: TransactionBody;
}

interface TransactionBody {
  RefNo: string;
  ListItems: ListItems[];
}

export interface ListItems {
  ListItem?: ListItem;
}

interface TransactionHeader {
  RequestDateTime: string;
  ResponseDatetime: string;
}

interface Fault {
  Detail: Detail;
}

interface Detail {
  ServiceFaultDetail: ServiceFaultDetail;
}

interface ServiceFaultDetail {
  ResponseCode: string;
  InternalResponseCode: string;
  RefNo: string;
  ResponseDesc: string;
  NewMsisdn: string;
  InternalResponseMessage: string;
  Token: string;
}

interface ListItem {
  Name: string;
  PromtCpin: string;
  Value1: string;
  Value2: string;
  IsMasterPassMember: string;
  CardStatus: string;
  BankIca: string;
  LoyaltyCode: string;
  ProductName: string;
  UniqueId: string;
  EftCode: string;
}
