export interface RegisterServicePayload {
  cardHolderName: string;
  token: string;
  msisdn: string;
  expiryDate: string;
  cvc: string;
  rtaPan: string;
  accountAliasName: string;
}

export interface RegisterServiceResponse {
  Data: Data;
  Result: boolean;
  Message: string;
}

interface Data {
  Body: Body;
}

interface Body {
  Fault: Fault;
  Response: Response;
}

interface Response {
  Result: Result;
}

interface Result {
  TransactionHeader: TransactionHeader;
  TransactionBody: TransactionBody;
  AdditionalFields: AdditionalFields;
}

interface AdditionalFields {}

interface TransactionBody {
  RefNo: string;
  SmsNoti: SmsNoti;
}

interface SmsNoti {
  To: string;
  Value: string;
}

interface TransactionHeader {
  RequestDateTime: string;
  ResponseDatetime: string;
}

interface Fault {
  Detail: Detail;
}

interface Detail {
  ServiceFaultDetail: ServiceFaultDetail;
}

interface ServiceFaultDetail {
  ResponseCode: string;
  InternalResponseCode: string;
  RefNo: string;
  ResponseDesc: string;
  Token: string;
  Url3D: string;
  Url3DSuccess: string;
  Url3DError: string;
  NewMsisdn: string;
  InternalResponseMessage: string;
}
