import { useMutation } from "react-query";

import type { MutationOptions } from "@/@types/types/query.types";
import { useHttp } from "@/hooks/useHttp";
import { getEnvs } from "@/libs/environment/env";

import type { RemotePurchaseOtherPayload } from "./remote-purchase-other-services-types";

export const useRemotePurchaseOtherMutation = (
  options?: MutationOptions<any>,
) => {
  const http = useHttp("masterpass-api");
  const env = getEnvs();

  const service = (variables: RemotePurchaseOtherPayload) =>
    http.post("/remotePurchaseOther", {
      aav: "aav",
      sendSmsMerchant: "Y",
      sendSms: env.masterpassSendSms,
      encCPin: "0",
      rewardValue: "",
      rewardName: "",
      paymentType: null,
      macroMerchantId: variables.macroMerchantId, // masterpassStore.data.payload.macroMerchantId
      moneyCardInvoiceAmount: null,
      moneyCardMigrosDiscountAmount: null,
      moneyCardPaymentAmount: null,
      moneyCardExtraDiscountAmount: null,
      moneyCardProductBasedDiscountAmount: null,
      password: "",
      encPassword: "",
      fp: "",
      dateTime: new Date().toISOString(),
      userId: null,
      referenceNo: variables.referenceNo, // masterpassStore.data.payload.masterpassUserData.referenceNumber
      installmentCount: variables.installmentCount, // masterpassStore.data.payload.installmentCount
      listAccountName: variables.listAccountName, // masterpassStore.data.payload.selectedCard.Name
      orderNo: variables.orderNo, // masterpassStore.data.payload.masterpassUserData.orderId
      token: variables.token, // masterpassStore.data.payload.payToken
      cvc: "",
      msisdn: variables.msisdn, // masterpassStore.data.payload.masterpassUserData.msisdn
      amount: variables.amount, // masterpassStore.data.payload.amount
      clientId: env.masterpassClientId,
      version: env.masterpassVersion,
      clientType: env.masterpassClientType,
      sendSmsLanguage: env.masterpassSendSmsLanguage,
      clientIp: "",
    });

  return useMutation({
    mutationFn: service,
    mutationKey: "remote-purchase-other-mutation",
    ...options,
  });
};
