export interface ValidateTransactionPayload {
  validationRefNo: string;
  userId: string;
  referenceNo: string;
  validationCode: string;
}

export interface ValidateTransactionResponse {
  Data: Data;
  Result: boolean;
  Message: string;
}

interface Data {
  Body: Body;
}

interface Body {
  Fault: Fault;
  Response: Response;
}

interface Response {
  Result: Result;
}

interface Result {
  TransactionHeader: TransactionHeader;
  TransactionBody: TransactionBody;
}

interface TransactionBody {
  Token: string;
  CardUniqueId?: any;
  RefNo: string;
}

interface TransactionHeader {
  RequestDateTime: string;
  ResponseDatetime: string;
}

interface Fault {
  Detail: Detail;
}

interface Detail {
  ServiceFaultDetail: ServiceFaultDetail;
}

interface ServiceFaultDetail {
  ResponseCode: string;
  InternalResponseCode: string;
  RefNo: string;
  ResponseDesc: string;
  Token: string;
  Url3D: string;
  Url3DSuccess: string;
  Url3DError: string;
  NewMsisdn: string;
  InternalResponseMessage: string;
}
