import { useMutation } from "react-query";

import type { MutationOptions } from "@/@types/types/query.types";
import { useHttp } from "@/hooks/useHttp";

interface IClientConfirmEmail {
  token: string;
  email: string;
}

export const useConfirmEmail = (options?: MutationOptions) => {
  const http = useHttp("wl-auth-api");
  const service = (variables: IClientConfirmEmail) =>
    http
      .post("/api/clientaccount/confirmemail", variables)
      .then((res) => res.data);

  return useMutation({
    mutationFn: service,
    mutationKey: "confirm-email",
    ...options,
  });
};
