import { useMutation } from "react-query";

import type { MutationOptions } from "@/@types/types/query.types";
import { useHttp } from "@/hooks/useHttp";

interface IClientResetPassword {
  Token: string;
  Email: string;
  NewPassword: string;
  NewPasswordAgain: string;
}

export const useResetPassword = (options?: MutationOptions) => {
  const http = useHttp("wl-auth-api");
  const service = (variables: IClientResetPassword) =>
    http
      .post("/api/clientaccount/resetpassword", variables)
      .then((res) => res.data);

  return useMutation({
    mutationFn: service,
    mutationKey: "reset-password",
    ...options,
  });
};
