import { useQuery } from "react-query";

import { useHttp } from "@/hooks/useHttp";

import type {
  CountriesListType,
  ILocationResponse,
} from "./location.services.types";

export const useCountriesQuery = () => {
  const http = useHttp("wl-booking");

  const service = () =>
    http
      .get<ILocationResponse<CountriesListType>>("/api/destination/countries")
      .then((res) => res.data);

  return useQuery({
    queryFn: service,
    queryKey: "countries",
  });
};
