import type { PayloadAction } from "@reduxjs/toolkit";
import { createSlice } from "@reduxjs/toolkit";

import type { IAppStore } from "./app-store.types";

export const initialState: IAppStore = {
  status: "idle",
  data: {
    strategy: "B2C",
  },
};

const appSlice = createSlice({
  name: "app",
  initialState,
  reducers: {
    setStatus(state, action: PayloadAction<IAppStore["status"]>) {
      state.status = action.payload;
    },
    setData(state, action: PayloadAction<IAppStore["data"]>) {
      state.data = action.payload;
      state.status = "done";
    },
    setStrategy(state, action: PayloadAction<IAppStore["data"]["strategy"]>) {
      state.data.strategy = action.payload;
    },
  },
});

export const appReducer = appSlice.reducer;
export const appActions = appSlice.actions;
