import { createSlice } from "@reduxjs/toolkit";

import type { IInterceptorStore } from "./interceptor-store.types";

export const initialState: IInterceptorStore = {
  networkErrorCount: 0,
};

const interceptorSlice = createSlice({
  name: "interceptor",
  initialState,
  reducers: {
    incrementNetworkErrorCount(state) {
      state.networkErrorCount += 1;
    },
    resetNetworkErrorCount(state) {
      state.networkErrorCount = 0;
    },
  },
});

export const interceptorReducer = interceptorSlice.reducer;
export const interceptorActions = interceptorSlice.actions;
