import type { PayloadAction } from "@reduxjs/toolkit";
import { createSlice } from "@reduxjs/toolkit";

import type { IListStore } from "./list-store.types";

export const initialState: IListStore = {
  status: "idle",
};

const listSlice = createSlice({
  name: "list",
  initialState,
  reducers: {
    setListStatus: (state, action) => {
      state.status = action.payload;
    },
    setListData: (state, action: PayloadAction<any>) => {
      state.status = "done";
      state.data = action.payload;
    },
    setModuleData: (state, action: PayloadAction<any>) => {
      state.data = {
        moduleName: action.payload.moduleName,
        payload: {
          ...state.data?.payload,
          ...action.payload.payload,
        },
      };
    },
  },
});

export const listReducer = listSlice.reducer;
export const listActions = listSlice.actions;
