import { useDispatch, useSelector } from "react-redux";

import type { RootState } from "../store";
import { listActions } from "./list.slice";
import type { IListStore } from "./list-store.types";

export const useListStore = () => {
  const listState = useSelector<RootState, IListStore>((state) => state.list);
  const dispatch = useDispatch();

  function setListData(listData: IListStore["data"]) {
    dispatch(listActions.setListData(listData));
  }

  function setModuleData(moduleData: IListStore["data"]) {
    dispatch(listActions.setModuleData(moduleData));
  }

  return {
    listState,
    setListData,
    setModuleData,
  };
};
