import { createSlice } from "@reduxjs/toolkit";

import type { ILocalizationStore } from "./localization-store.types";

export const initialState: ILocalizationStore = {
  status: "idle",
  data: {
    region: "",
    language: "",
    currency: "",
  },
};

const localizationSlice = createSlice({
  name: "localization",
  initialState,
  reducers: {
    setLocalizationStatus: (state, action) => {
      state.status = action.payload;
    },
    setLocalizationData: (state, action) => {
      state.status = "done";
      state.data = action.payload;
    },
  },
});

export const localizationReducer = localizationSlice.reducer;
export const localizationActions = localizationSlice.actions;
