import { createSlice } from "@reduxjs/toolkit";

import type { IMasterpassStore } from "./masterpass-store.types";

export const initialState: IMasterpassStore = {
  status: "idle",
};

const masterpassSlice = createSlice({
  name: "masterpass",
  initialState,
  reducers: {
    setMasterpassStatus: (state, action) => {
      state.status = action.payload;
    },
    setMasterpassData: (state, action) => {
      state.status = "done";
      state.data = action.payload;
    },
    setModuleData: (state, action) => {
      state.data = {
        moduleName: action.payload.moduleName,
        payload: {
          ...state.data?.payload,
          ...action.payload.payload,
        },
      };
    },
  },
});

export const masterpassReducer = masterpassSlice.reducer;
export const masterpassActions = masterpassSlice.actions;
