import { useDispatch, useSelector } from "react-redux";

import type { RootState } from "../store";
import type { IPageInfoStore } from "./page-info.slice";
import { pageInfoActions } from "./page-info.slice";

export const usePageInfoStore = () => {
  const pageInfoState = useSelector<RootState, IPageInfoStore>(
    (state) => state.pageInfo,
  );
  const dispatch = useDispatch();

  function setPageInfo(payload: IPageInfoStore["info"]) {
    dispatch(pageInfoActions.setPageInfo(payload!));
  }

  function setPageInfoStatus(status: IPageInfoStore["status"]) {
    dispatch(pageInfoActions.setStatus(status));
  }

  return {
    ...pageInfoState,
    setPageInfo,
    setPageInfoStatus,
  };
};
