import { createSlice } from "@reduxjs/toolkit";

import type { IPaymentStore } from "./payment-store.types";

export const initialState: IPaymentStore = {
  status: "idle",
};

const paymentSlice = createSlice({
  name: "payment",
  initialState,
  reducers: {
    setPaymentStatus: (state, action) => {
      state.status = action.payload;
    },
    setPaymentData: (state, action) => {
      state.status = "done";
      state.data = action.payload;
    },
    setModuleData: (state, action) => {
      state.data = {
        moduleName: action.payload.moduleName,
        payload: {
          ...state.data?.payload,
          ...action.payload.payload,
        },
      };
    },
    clearPaymentData: (state) => {
      state.status = "done";
      state.data = undefined;
    },
  },
});

export const paymentReducer = paymentSlice.reducer;
export const paymentActions = paymentSlice.actions;
