import { configureStore } from "@reduxjs/toolkit";

import { appReducer } from "./app-store/app.slice";
import { authReducer } from "./auth-store/auth.slice";
import { interceptorReducer } from "./interceptor-store/interceptor.slice";
import { listReducer } from "./list-store/list.slice";
import { loaderReducer } from "./loader-store/loader.slice";
import { localizationReducer } from "./localization-store/localization.slice";
import { masterpassReducer } from "./masterpass-store/masterpass.slice";
import { modalReducer } from "./modal-store/modal.slice";
import { notifyReducer } from "./notify-store/notify.slice";
import { pageInfoReducer } from "./page-info-store/page-info.slice";
import { paymentReducer } from "./payment-store/payment.slice";
import { summaryReducer } from "./summary-store/summary.slice";
import { travelPlannerReducer } from "./travel-planner-store/travel-planner.slice";

// Infer the type of makeStore

export const makeStore = () =>
  configureStore({
    reducer: {
      auth: authReducer,
      pageInfo: pageInfoReducer,
      notify: notifyReducer,
      summary: summaryReducer,
      travelPlanner: travelPlannerReducer,
      list: listReducer,
      payment: paymentReducer,
      masterpass: masterpassReducer,
      localization: localizationReducer,
      app: appReducer,
      loader: loaderReducer,
      interceptor: interceptorReducer,
      modal: modalReducer,
    },
    devTools: true,
  });

export type AppStore = ReturnType<typeof makeStore>;
export type RootState = ReturnType<AppStore["getState"]>;
export type AppDispatch = AppStore["dispatch"];
