import type { PayloadAction } from "@reduxjs/toolkit";
import { createSlice } from "@reduxjs/toolkit";

import type { ISummaryStore } from "./summary-store.types";

export const initialState: ISummaryStore = {
  status: "idle",
};

const summarySlice = createSlice({
  name: "summary",
  initialState,
  reducers: {
    setSummaryStatus: (state, action) => {
      state.status = action.payload;
    },
    setSummaryData: (state, action: PayloadAction<any>) => {
      state.status = "done";
      state.data = action.payload;
    },
    setModuleData: (state, action: PayloadAction<any>) => {
      state.data = {
        moduleName: action.payload.moduleName,
        payload: {
          ...state.data?.payload,
          ...action.payload.payload,
        },
      };
    },
    clearSummaryData: (state) => {
      state.status = "idle";
      state.data = undefined;
    },
  },
});

export const summaryReducer = summarySlice.reducer;
export const summaryActions = summarySlice.actions;
export const initialSummaryState = initialState;
