import type { PayloadAction } from "@reduxjs/toolkit";
import { createSlice } from "@reduxjs/toolkit";

import type { ITravelPlannerStore } from "./travel-planner-store.types";

export const initialState: ITravelPlannerStore = {
  status: "idle",
};

const travelPlannerSlice = createSlice({
  name: "travelPlanner",
  initialState,
  reducers: {
    setTravelPlannerStatus: (state, action) => {
      state.status = action.payload;
    },
    setTravelPlannerData: (state, action: PayloadAction<any>) => {
      state.status = "done";
      state.data = action.payload;
    },
    setModuleData: (state, action: PayloadAction<any>) => {
      if (action.payload) {
        state.data = {
          moduleName: action.payload.moduleName,
          payload: {
            ...state.data?.payload,
            ...action.payload.payload,
          },
        };
      } else {
        state.data = undefined;
      }
    },
  },
});

export const travelPlannerReducer = travelPlannerSlice.reducer;
export const travelPlannerActions = travelPlannerSlice.actions;
