import { useDispatch, useSelector } from "react-redux";

import type { RootState } from "../store";
import { travelPlannerActions } from "./travel-planner.slice";
import type { ITravelPlannerStore } from "./travel-planner-store.types";

export const useTravelPlannerStore = () => {
  const travelPlannerState = useSelector<RootState, ITravelPlannerStore>(
    (state) => state.travelPlanner,
  );
  const dispatch = useDispatch();

  function setData(travelPlannerData: ITravelPlannerStore["data"]) {
    dispatch(travelPlannerActions.setTravelPlannerData(travelPlannerData));
  }

  function setModuleData(moduleData: ITravelPlannerStore["data"]) {
    dispatch(travelPlannerActions.setModuleData(moduleData));
  }

  return {
    travelPlannerState,
    setData,
    setModuleData,
  };
};
