import { requiredRule } from "./rules/required-rule";

export const passwordValidation = {
  required: requiredRule,
  minLength: {
    value: 8,
    message: "En az 8 karekter kullanabilirsiniz",
  },
  validate: (value: string) => {
    const minLetter = value.match(/[a-z]+/);
    const maxLetter = value.match(/[A-Z]+/);
    const carecter = value.match(/.*[\W_]+/);
    const minNumber = value.match(/.*\d+/);

    if (!minLetter) {
      return "Minumum bir küçük karekter kullanmalısınız";
    }
    if (!maxLetter) {
      return "Minimum bir büyük karekter kullanmalısınız";
    }
    if (!carecter) {
      return "Minimum bir karekter kullanmalısınız";
    }
    if (!minNumber) {
      return "Minimum bir sayı kullanmalısınız";
    }
    return true;
  },
};

export const profilePasswordValidation = {
  validate: (value: string) => {
    if (!value || value.length === 0) return true;
    const minLetter = value.match(/[a-z]+/);
    const maxLetter = value.match(/[A-Z]+/);
    const carecter = value.match(/.*[\W_]+/);
    const minNumber = value.match(/.*\d+/);

    if (!minLetter) {
      return "Minumum bir küçük karekter kullanmalısınız";
    }
    if (!maxLetter) {
      return "Minimum bir büyük karekter kullanmalısınız";
    }
    if (!carecter) {
      return "Minimim bir sembol karakter kullanmalısınız";
    }
    if (!minNumber) {
      return "Minimum bir sayı kullanmalısınız";
    }
    return true;
  },
};
