type ValidationResult = string | boolean;

export const nameValidation = (value: string): ValidationResult => {
  const quietLetter = value.match(/[zyvtşsrpnmlkhjğgfdçcbx]/gi);
  const voicedLetter = value.match(/[aeıioöuüİÖÜ]/gi);
  if (quietLetter === null || voicedLetter === null) {
    return "Bu şekilde bir isim giremezsiniz";
  }
  return true;
};

export const surNameValidation = (value: string): ValidationResult => {
  const quietLetter = value
    .toLocaleLowerCase("tr-TR")
    .match(/[zyvtşsrpnmlkhjğgfdçcbx]/gi);
  const voicedLetter = value.toLocaleLowerCase("tr-TR").match(/[aeıioöuü]/gi);
  if (quietLetter === null || voicedLetter === null) {
    return "Bu şekilde bir soyisim giremezsiniz";
  }
  return true;
};
